//------------------------------------------------------------------------------
// PUBLIC_INTERFACE "libmysqladmin"

const
  libmysqladmin_PUBLIC_INTERFACE_VERSION: Integer = 1;

type


  //----------------------------------------------------------------------------
  // Enum definitions

  PMYX_ADMIN_LIB_ERROR = ^MYX_ADMIN_LIB_ERROR;
  MYX_ADMIN_LIB_ERROR =
  (
  MYX_ADMIN_NO_ERROR = 0, MYX_ADMIN_ERROR_CANT_OPEN_FILE,MYX_ADMIN_XML_PARSE_ERROR, 
  MYX_ADMIN_XML_NO_VALID_DOCUMENT, MYX_ADMIN_XML_EMPTY_DOCUMENT, MYX_ADMIN_INI_PARSE_ERROR,
  MYX_ADMIN_GENERAL_ERROR, MYX_ADMIN_SQL_ERROR
  );

  PMYX_GUI_WIDGET_TYPE = ^MYX_GUI_WIDGET_TYPE;
  MYX_GUI_WIDGET_TYPE =
  (
    MYX_CHECKBOX, MYX_SPINEDIT, MYX_TEXTEDIT, MYX_DROPDOWNBOX
  );

  PMYX_PLATFORM = ^MYX_PLATFORM;
  MYX_PLATFORM =
  (
    MYX_WINDOWS, MYX_LINUX, MYX_MACOS
  );

  PMYX_BACKUP_TYPE = ^MYX_BACKUP_TYPE;
  MYX_BACKUP_TYPE =
  (
  MYX_BT_SQL_SCRIPT
  );

  PMYX_RBS_OPTIONS = ^MYX_RBS_OPTIONS;
  MYX_RBS_OPTIONS =
  (
  MYX_RBS_FORCE=1, 
  MYX_RBS_DONT_CREATE_TARGETS=2 
  );

  PMYX_BACKUP_OPTIONS = ^MYX_BACKUP_OPTIONS;
  MYX_BACKUP_OPTIONS =
  (
  MYX_B_NO_CREATES=1,
  MYX_B_NO_EXTENDED_INSERT=2,
  MYX_B_ADD_DROP_TABLE=4,
  MYX_B_COMMENT=8, 
  MYX_B_DONT_WRITE_FULL_PATH=16,
  MYX_B_LOCK_ALL_TABLES=32,
  MYX_B_SINGLE_TRANSACTION=64,
  MYX_B_DISABLE_KEYS=128,
  MYX_B_COMPLETE_INSERTS=256,
  MYX_B_ANSI_QUOTES=512,
  MYX_B_ADD_LOCKS=1024,
  MYX_B_COMPLETE_SCHEMATAS=2048
  );

  PMYX_BACKUP_ERROR = ^MYX_BACKUP_ERROR;
  MYX_BACKUP_ERROR =
  (
  MYX_BACKUP_NO_ERROR=0, MYX_BACKUP_MYSQL_ERROR=1, MYX_BACKUP_CANT_OPEN_FILE, MYX_BACKUP_ILLEGAL_OPTION, MYX_BACKUP_PCRE_ERROR,
  MYX_BACKUP_MALLOC_FAILED,MYX_BACKUP_OUTPUTDEVICE_FULL
  );

  PMYX_EXPRESSION_ERROR = ^MYX_EXPRESSION_ERROR;
  MYX_EXPRESSION_ERROR =
  (
  MYX_EXPRESSION_NO_ERROR=0, MYX_EXPRESSION_SYNTAX_ERROR, MYX_EXPRESSION_DIVISION_BY_ZERO
  );

  PMYX_HEALTH_GRAPH_TYPE = ^MYX_HEALTH_GRAPH_TYPE;
  MYX_HEALTH_GRAPH_TYPE =
  (
  MYX_LINE_GRAPH=1, MYX_BAR_GRAPH
  );

  PMYX_HEALTH_GRAPH_VALUE_UNIT = ^MYX_HEALTH_GRAPH_VALUE_UNIT;
  MYX_HEALTH_GRAPH_VALUE_UNIT =
  (
  MYX_HGVU_PERCENTAGE, MYX_HGVU_COUNT, MYX_HGVU_BYTE, MYX_HGVU_SECONDS
  );

  PMYX_LOGFILE_EVENT_TYPE = ^MYX_LOGFILE_EVENT_TYPE;
  MYX_LOGFILE_EVENT_TYPE =
  (
  MYX_EVENT_START=1, MYX_EVENT_END, MYX_EVENT_ERROR, MYX_EVENT_INNODB_START, MYX_EVENT_INNODB_SHUTDOWN, 
  MYX_EVENT_FORCED_CLOSE_THREAD, MYX_EVENT_ABORT, MYX_EVENT_INIT, MYX_EVENT_CONNECT, MYX_EVENT_QUIT,
  MYX_EVENT_QUERY, MYX_EVENT_SELECT
  );

  PMYX_COMMAND_MESSAGE_TYPE = ^MYX_COMMAND_MESSAGE_TYPE;
  MYX_COMMAND_MESSAGE_TYPE =
  (
  MYX_MESSAGE_STATUS, MYX_MESSAGE_ERROR, MYX_MESSAGE_INFO, MYX_MESSAGE_WARNING
  );

  PMYX_TABLE_CHECK_TYPE = ^MYX_TABLE_CHECK_TYPE;
  MYX_TABLE_CHECK_TYPE =
  (
  MYX_CHECK_QUICK=1,
    MYX_CHECK_FAST=2, 
    MYX_CHECK_MEDIUM=4,
    MYX_CHECK_EXTENDED=8,
    MYX_CHECK_CHANGED=16,
    MYX_REPAIR_USE_FRM=32,
    MYX_REPAIR_NO_WRITE_TO_BINLOG=64
  );

  PMYX_REPL_HOST_STATUS = ^MYX_REPL_HOST_STATUS;
  MYX_REPL_HOST_STATUS =
  (
  MYX_RHS_AVAILABLE, MYX_RHS_NOT_AVAILABLE, MYX_RHS_NEW_HOST
  );


  //----------------------------------------------------------------------------
  // Struct definitions

  PMYX_USER_OBJECT_PRIVILEGES = ^MYX_USER_OBJECT_PRIVILEGES;
  PMYX_USER = ^MYX_USER;
  PMYX_USER_NAMES = ^MYX_USER_NAMES;
  PMYX_PROCESS_INFO = ^MYX_PROCESS_INFO;
  PMYX_PROCESS_LIST = ^MYX_PROCESS_LIST;
  PMYX_EXPRESSION_NODE = ^MYX_EXPRESSION_NODE;
  PMYX_COMPILED_EXPRESSION = ^MYX_COMPILED_EXPRESSION;
  PMYX_VARIABLE = ^MYX_VARIABLE;
  PMYX_VARIABLES = ^MYX_VARIABLES;
  PMYX_VARIABLE_ELEMENT = ^MYX_VARIABLE_ELEMENT;
  PMYX_VARIABLES_SUBGROUP = ^MYX_VARIABLES_SUBGROUP;
  PMYX_VARIABLES_GROUP = ^MYX_VARIABLES_GROUP;
  PMYX_VARIABLES_LISTING = ^MYX_VARIABLES_LISTING;
  PMYX_GUI_DROPDOWNBOX = ^MYX_GUI_DROPDOWNBOX;
  PMYX_GUI_TEXTEDIT = ^MYX_GUI_TEXTEDIT;
  PMYX_GUI_SPINEDIT = ^MYX_GUI_SPINEDIT;
  PMYX_GUI_CHECKBOX = ^MYX_GUI_CHECKBOX;
  PMYX_GUI_WIDGET = ^MYX_GUI_WIDGET;
  PMYX_GUI_GROUP = ^MYX_GUI_GROUP;
  PMYX_GUI_PAGE = ^MYX_GUI_PAGE;
  PMYX_GUI_DESCRIPTION = ^MYX_GUI_DESCRIPTION;
  PMYX_STRINGLIST = ^MYX_STRINGLIST;
  PMYX_BACKUP_TABLE = ^MYX_BACKUP_TABLE;
  PMYX_BACKUP_CONTENT = ^MYX_BACKUP_CONTENT;
  PMYX_BACKUP_PROFILE = ^MYX_BACKUP_PROFILE;
  PMYX_HEALTH_GRAPH = ^MYX_HEALTH_GRAPH;
  PMYX_HEALTH_GROUP = ^MYX_HEALTH_GROUP;
  PMYX_HEALTH_PAGE = ^MYX_HEALTH_PAGE;
  PMYX_HEALTH_PAGES = ^MYX_HEALTH_PAGES;
  PMYX_DATETIME = ^MYX_DATETIME;
  PMYX_LOGFILE_EVENT = ^MYX_LOGFILE_EVENT;
  PMYX_LOGFILE = ^MYX_LOGFILE;
  PMYX_TABLE_COMMAND_STATUS = ^MYX_TABLE_COMMAND_STATUS;
  PMYX_TABLE_COMMAND_STATUSES = ^MYX_TABLE_COMMAND_STATUSES;
  PMYX_USER_REPL_HOST = ^MYX_USER_REPL_HOST;
  PMYX_USER_REPL_HOSTS = ^MYX_USER_REPL_HOSTS;
  PMYX_REPL_HOST = ^MYX_REPL_HOST;
  PMYX_REPL_HOSTS = ^MYX_REPL_HOSTS;

  MYX_USER_OBJECT_PRIVILEGES = record
    host: PChar;
    object_name: PChar;
    user_privileges_num: Cardinal;
    user_privileges: PPChar;
  end;

  MYX_USER = record
    user_name: PChar;
    password: PChar;
    full_name: PChar;
    description: PChar;
    email: PChar;
    contact_information: PChar;
    icon_length: Cardinal;
    icon: PChar;
    hosts_num: Cardinal;
    hosts: PPChar;
    user_object_privileges_num: Cardinal;
    user_object_privileges: PMYX_USER_OBJECT_PRIVILEGES;
  end;

  MYX_USER_NAMES = record
    user_names_num: Cardinal;
    user_names: PPChar;
  end;

  MYX_PROCESS_INFO = record
    id: PChar;
    user: PChar;
    host: PChar;
    db: PChar;
    command: PChar;
    time: PChar;
    state: PChar;
    info: PChar;
  end;

  MYX_PROCESS_LIST = record
    process_infos_num: Cardinal;
    process_infos: PMYX_PROCESS_INFO;
  end;

  MYX_EXPRESSION_NODE = record
    ntype: Integer;
    variable_index: Integer;
    immediate: Double;
  end;

  MYX_COMPILED_EXPRESSION = record
    nodes_num: Cardinal;
    nodes: PMYX_EXPRESSION_NODE;
  end;

  MYX_VARIABLE = record
    name: PChar;
    value: PChar;
  end;

  MYX_VARIABLES = record
    variables_num: Cardinal;
    variables: PMYX_VARIABLE;
  end;

  MYX_VARIABLE_ELEMENT = record
    mysql_id: PChar;
    desc_id: PChar;
    editable: Cardinal;
  end;

  MYX_VARIABLES_SUBGROUP = record
    pos: Cardinal;
    name: PChar;
    caption_id: PChar;
    variables_num: Cardinal;
    variables: PMYX_VARIABLE_ELEMENT;
  end;

  MYX_VARIABLES_GROUP = record
    pos: Cardinal;
    name: PChar;
    caption_id: PChar;
    variables_num: Cardinal;
    variables: PMYX_VARIABLE_ELEMENT;
    subgroups_num: Cardinal;
    subgroups: PMYX_VARIABLES_SUBGROUP;
  end;

  MYX_VARIABLES_LISTING = record
    groups_num: Cardinal;
    groups: PMYX_VARIABLES_GROUP;
  end;

  MYX_GUI_DROPDOWNBOX = record
    editable: Integer;
    items_num: Cardinal;
    items: PPChar;
  end;

  MYX_GUI_TEXTEDIT = record
    edit_type: PChar;
  end;

  MYX_GUI_SPINEDIT = record
    unitcontrolbox: PChar;
  end;

  MYX_GUI_CHECKBOX = record
    is_boolean: Integer;
    invert: Integer;
  end;

  MYX_GUI_WIDGET = record
    id: PChar;
    alt_names_num: Cardinal;
    alt_names: PPChar;
    caption: PChar;
    description: PChar;
    default_value: PChar;
    position: Integer;
    value: PChar;
    active: Integer;
    loose_option: Integer;
    multiple: Integer;
    widget_type: MYX_GUI_WIDGET_TYPE;
    checkbox: PMYX_GUI_CHECKBOX;
    spinedit: PMYX_GUI_SPINEDIT;
    textedit: PMYX_GUI_TEXTEDIT;
    dropdownbox: PMYX_GUI_DROPDOWNBOX;
  end;

  MYX_GUI_GROUP = record
    caption: PChar;
    position: Integer;
    id: PChar;
    widgets_num: Cardinal;
    widgets: PMYX_GUI_WIDGET;
  end;

  MYX_GUI_PAGE = record
    caption: PChar;
    description: PChar;
    position: Integer;
    id: PChar;
    groups_num: Cardinal;
    groups: PMYX_GUI_GROUP;
  end;

  MYX_GUI_DESCRIPTION = record
    pages_num: Cardinal;
    pages: PMYX_GUI_PAGE;
  end;

  MYX_STRINGLIST = record
    strings_num: Cardinal;
    strings: PPChar;
  end;

  MYX_BACKUP_TABLE = record
    catalog: PChar;
    schema: PChar;
    table: PChar;
  end;

  MYX_BACKUP_CONTENT = record
    tables_num: Cardinal;
    tables: PMYX_BACKUP_TABLE;
  end;

  MYX_BACKUP_PROFILE = record
    profile_name: PChar;
    target_directory: PChar;
    filename_prefix: PChar;
    last_used: PChar;
    options: Integer;
    backup_type: MYX_BACKUP_TYPE;
    backup_content: PMYX_BACKUP_CONTENT;
  end;

  MYX_HEALTH_GRAPH = record
    graph_caption: PChar;
    display_graph_caption: Integer;
    graphtype: MYX_HEALTH_GRAPH_TYPE;
    value_unit: MYX_HEALTH_GRAPH_VALUE_UNIT;
    min: Double;
    max: Double;
    autoextend_max: Integer;
    value_formula: PChar;
    max_formula: PChar;
    value_caption: PChar;
    value_caption_trans_id: PChar;
    max_caption: PChar;
    max_caption_trans_id: PChar;
    refreshtime: Integer;
    pos: Integer;
  end;

  MYX_HEALTH_GROUP = record
    caption: PChar;
    caption_trans_id: PChar;
    pos: Integer;
    graphs_num: Cardinal;
    graphs: PMYX_HEALTH_GRAPH;
  end;

  MYX_HEALTH_PAGE = record
    caption: PChar;
    caption_trans_id: PChar;
    description: PChar;
    description_trans_id: PChar;
    pos: Integer;
    groups_num: Cardinal;
    groups: PMYX_HEALTH_GROUP;
  end;

  MYX_HEALTH_PAGES = record
    pages_num: Cardinal;
    pages: PMYX_HEALTH_PAGE;
  end;

  MYX_DATETIME = record
    tm_year: Cardinal;
    tm_mon: Cardinal;
    tm_mday: Cardinal;
    tm_hour: Cardinal;
    tm_min: Cardinal;
    tm_sec: Cardinal;
  end;

  MYX_LOGFILE_EVENT = record
    event_type: MYX_LOGFILE_EVENT_TYPE;
    line_no: Integer;
    date: PMYX_DATETIME;
  end;

  MYX_LOGFILE = record
    events_num: Cardinal;
    events: PMYX_LOGFILE_EVENT;
    file_size: Int64;
    block_num: Cardinal;
    lines_num: Cardinal;
    lines: PPChar;
  end;

  MYX_TABLE_COMMAND_STATUS = record
    table: PChar;
    message_type: MYX_COMMAND_MESSAGE_TYPE;
    message: PChar;
  end;

  MYX_TABLE_COMMAND_STATUSES = record
    status_num: Cardinal;
    status: PMYX_TABLE_COMMAND_STATUS;
  end;

  MYX_USER_REPL_HOST = record
    name: PChar;
  end;

  MYX_USER_REPL_HOSTS = record
    hosts_num: Cardinal;
    hosts: PMYX_USER_REPL_HOST;
  end;

  MYX_REPL_HOST = record
    server_id: Integer;
    host: PChar;
    port: Integer;
    rpl_recovery_rank: Integer;
    master_id: Integer;
    is_master: Integer;
    binlog_file: PChar;
    binlog_pos: PChar;
    status: MYX_REPL_HOST_STATUS;
  end;

  MYX_REPL_HOSTS = record
    hosts_num: Cardinal;
    hosts: PMYX_REPL_HOST;
  end;

type
  Tprogress_report_profile = function(current_table_name: PChar; num_tables: Integer; num_tables_processed: Integer; num_rows: Integer; num_rows_processed: Integer; user_data: Pointer):Integer cdecl;
  Tprogress_report_make_backup = function(current_table_name: PChar; num_tables: Integer; num_tables_processed: Integer; num_rows: Integer; num_rows_processed: Integer; user_data: Pointer):Integer cdecl;
  Tprogress_report = function(bytes_read: Int64; bytes_total: Int64; user_data: Pointer):Integer cdecl;
  Treport_warning = procedure(msg: PChar; user_data: Pointer) cdecl;


function myx_get_admin_public_interface_version(): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_string(txt: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_user_names(mysql: Pointer): PMYX_USER_NAMES; cdecl; external 'libmysqladmin.dll';
function myx_free_user_names(user_names: PMYX_USER_NAMES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_user(mysql: Pointer; user_name: PChar): PMYX_USER; cdecl; external 'libmysqladmin.dll';
function myx_get_user_with_privileges(mysql: Pointer; user_name: PChar): PMYX_USER; cdecl; external 'libmysqladmin.dll';
function myx_set_user(mysql: Pointer; user: PMYX_USER; previous_user_name: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_del_user(mysql: Pointer; user_name: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_user(user: PMYX_USER): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_privilege_struct(mysql: Pointer; object_name: PChar): PMYX_USER_OBJECT_PRIVILEGES; cdecl; external 'libmysqladmin.dll';
function myx_free_user_priv(user_priv: PMYX_USER_OBJECT_PRIVILEGES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_process_list(mysql: Pointer): PMYX_PROCESS_LIST; cdecl; external 'libmysqladmin.dll';
function myx_free_process_list(process_list: PMYX_PROCESS_LIST): Integer; cdecl; external 'libmysqladmin.dll';
function myx_kill_thread(mysql: Pointer; pid: Longint): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_thread_id(mysql: Pointer): Longint; cdecl; external 'libmysqladmin.dll';
function myx_get_server_variables(mysql: Pointer): PMYX_VARIABLES; cdecl; external 'libmysqladmin.dll';
function myx_get_status_variables(mysql: Pointer): PMYX_VARIABLES; cdecl; external 'libmysqladmin.dll';
function myx_free_variables(vars: PMYX_VARIABLES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_variables_listing(filename: Pointer; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_VARIABLES_LISTING; cdecl; external 'libmysqladmin.dll';
function myx_free_variables_listing(variables_listing: PMYX_VARIABLES_LISTING): Integer; cdecl; external 'libmysqladmin.dll';
function myx_set_variable(mysql: Pointer; mysql_id: PChar; value: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_gui_description(filename: PChar; version: Double; platform: MYX_PLATFORM; error_code: PMYX_ADMIN_LIB_ERROR; ini_filepath: PChar; ini_file_group: PChar): PMYX_GUI_DESCRIPTION; cdecl; external 'libmysqladmin.dll';
function myx_free_gui_description(gui_desc: PMYX_GUI_DESCRIPTION): Integer; cdecl; external 'libmysqladmin.dll';
function myx_update_mysql_cnf_file(desc: PMYX_GUI_DESCRIPTION; ini_filepath: PChar; group: PChar): MYX_ADMIN_LIB_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_get_all_cnf_sections(filename: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_STRINGLIST; cdecl; external 'libmysqladmin.dll';
function myx_get_cnf_value(filename: PChar; section: PChar; name: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PChar; cdecl; external 'libmysqladmin.dll';
function myx_free_stringlist(stringlist: PMYX_STRINGLIST): Integer; cdecl; external 'libmysqladmin.dll';
function myx_save_profile(profile_name: PChar; profile_directory: PChar; backup_profile: PMYX_BACKUP_PROFILE): MYX_ADMIN_LIB_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_load_profile(profile_name: PChar; profile_directory: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_BACKUP_PROFILE; cdecl; external 'libmysqladmin.dll';
function myx_free_profile(profile: PMYX_BACKUP_PROFILE): Integer; cdecl; external 'libmysqladmin.dll';
function myx_make_backup_with_profile(mysql: Pointer; profile: PMYX_BACKUP_PROFILE; path: PChar; callback_interval: Integer; progress_report_profile: Tprogress_report_profile; user_data: Pointer): MYX_BACKUP_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_make_backup(mysql: Pointer; filename: PChar; content: PMYX_BACKUP_CONTENT; backup_type: MYX_BACKUP_TYPE; options: Integer; callback_interval: Integer; progress_report_make_backup: Tprogress_report_make_backup; user_data: Pointer): MYX_BACKUP_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_get_backup_content(filename: PChar; backup_type: MYX_BACKUP_TYPE; report_interval: Integer; progress_report: Tprogress_report; user_data: Pointer; error: PMYX_BACKUP_ERROR): PMYX_BACKUP_CONTENT; cdecl; external 'libmysqladmin.dll';
function myx_free_backup_content(backup: PMYX_BACKUP_CONTENT): Integer; cdecl; external 'libmysqladmin.dll';
function myx_restore_backup(mysql: Pointer; filename: PChar; content: PMYX_BACKUP_CONTENT; target_catalog: PChar; target_schema: PChar; backup_type: MYX_BACKUP_TYPE; options: Integer; report_interval: Integer; progress_report: Tprogress_report; ruser_data: Pointer; report_warning: Treport_warning; wuser_data: Pointer): MYX_BACKUP_ERROR ; cdecl; external 'libmysqladmin.dll';
function myx_compile_expression(expr: PChar; error: PMYX_EXPRESSION_ERROR): PMYX_COMPILED_EXPRESSION; cdecl; external 'libmysqladmin.dll';
function myx_eval_expression(expr: PMYX_COMPILED_EXPRESSION; old_vars: PMYX_VARIABLES; vars: PMYX_VARIABLES; error: PMYX_EXPRESSION_ERROR): Double; cdecl; external 'libmysqladmin.dll';
function myx_free_expression(expr: PMYX_COMPILED_EXPRESSION): Integer; cdecl; external 'libmysqladmin.dll';
function myx_parse_error_log(filename: PChar; block_size: Integer; block_num: Integer; last_block: Pointer): PMYX_LOGFILE; cdecl; external 'libmysqladmin.dll';
function myx_parse_slow_log(filename: PChar; block_size: Integer; block_num: Integer; last_block: Pointer): PMYX_LOGFILE; cdecl; external 'libmysqladmin.dll';
function myx_parse_general_log(filename: PChar; block_size: Integer; block_num: Integer; last_block: Pointer): PMYX_LOGFILE; cdecl; external 'libmysqladmin.dll';
function myx_free_logfile(logfile: PMYX_LOGFILE): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_errorlog_filename(mysql: Pointer): PChar; cdecl; external 'libmysqladmin.dll';
function myx_optimize_table(mysql: Pointer; objects: PChar; type_mask: Integer): PMYX_TABLE_COMMAND_STATUSES; cdecl; external 'libmysqladmin.dll';
function myx_check_table(mysql: Pointer; objects: PChar; type_mask: Integer): PMYX_TABLE_COMMAND_STATUSES; cdecl; external 'libmysqladmin.dll';
function myx_repair_table(mysql: Pointer; objects: PChar; type_mask: Integer): PMYX_TABLE_COMMAND_STATUSES; cdecl; external 'libmysqladmin.dll';
function myx_free_command_status(status: PMYX_TABLE_COMMAND_STATUSES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_read_in_health_pages(filename: Pointer; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_HEALTH_PAGES; cdecl; external 'libmysqladmin.dll';
function myx_free_health_pages(pages: PMYX_HEALTH_PAGES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_save_health_pages(pages: PMYX_HEALTH_PAGES; filename: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_show_repl_hosts_status(mysql: Pointer; replist: PMYX_USER_REPL_HOSTS; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_REPL_HOSTS; cdecl; external 'libmysqladmin.dll';
function myx_read_repl_user_hosts(filename: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_USER_REPL_HOSTS; cdecl; external 'libmysqladmin.dll';
function myx_save_repl_user_hosts(replist: Pointer; filename: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_repl_user_hosts(replist: PMYX_USER_REPL_HOSTS): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_repl_hosts_status(list: PMYX_REPL_HOSTS): Integer; cdecl; external 'libmysqladmin.dll';

