/* Copyright (C) 2003 MySQL AB

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#ifndef myx_aux_functions_h
#define myx_aux_functions_h

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

#if !defined(__WIN__) && !defined(_WIN32) && !defined(_WIN64)
#include <stdio.h>
#include <sys/types.h>
#endif

#if defined(__WIN__) || defined(_WIN32) || defined(_WIN64)
#define bigint __int64
#else
#define bigint long long
#endif

/*
 * Enums
 */


/*
 * Structs
 */


/*
 * Functions
 */

char *myx_gstr_append(char *base_str, const char *addon);
int txtcmp(const char *str1, const char *str2);
char *strmov(register char *dst, register const char *src);
int strcmp2(const char *str1, const char *str2);
unsigned int strlen2(const char *str);
char *strcpy2(char *dst, const char *src);
char *str_trim(char *str);
char *str_left(char *dest, char *src, unsigned int len);
char *str_right(char *dest, char *src, unsigned int len);
int sub_str_count(char *search_str, const char *src);
char *name_of_str(char *dst, const char *src);
char *value_of_str(char *dst, const char *src);
int set_value(char **string_list, unsigned int string_list_num, char *name, char *new_value);

int str_beginswith(const char *str, const char *substr);
int str_endswith(const char *str, const char *substr);
char *str_toupper(char *str);
char *strdup_toupper(char *str);

#if defined(__WIN__) || defined(_WIN32) || defined(_WIN64)
int get_value_from_registry(HKEY root_key, const char *sub_key, const char *key, const char *def, char *value);
int set_value_to_registry(HKEY root_key, const char *sub_key, const char *key, const char *value);
#else
FILE *myx_popen(char *const argv[], pid_t *pid_ret);
int myx_pclose(FILE *f, pid_t pid);
int myx_read_timeout(FILE *f, int timeout, char *result, size_t result_len);
#endif

char *get_local_os_name();
char *get_local_hardware_info();

int copy_file(const char *orig_file, const char *new_fil);
  
bigint get_file_size(const char *filename); //TODO: Write this for Windows! and the return value should be bigint

#ifdef __cplusplus
};
#endif

#endif
