unit MyxError;

interface

uses
  Classes, SysUtils, Forms, AuxFuncs;

type
  EMyxError = class(Exception)
  end;

  EMyxSystemError = class(Exception)
    constructor Create(Message: string; ErrorNr: integer); reintroduce;
  public
    ErrorNr: string;
    ErrorTxt: string;
  end;

  EMyxCriticalError = class(Exception)
  end;

  EMyxSQLError = class(Exception)
    constructor Create(Message: string; ErrorNr: integer; ErrorTxt: string); reintroduce;
  public
    ErrorNr: string;
    ErrorTxt: string;
  end;

  EMyxLibraryError = class(Exception)
    constructor Create(ErrorNr: integer; ErrorTxt: string); virtual; abstract;
  public
    ErrorNr: string;
    ErrorTxt: string;
  end;

procedure ShowError(E: Exception);


implementation


constructor EMyxSQLError.Create(Message: string; ErrorNr: integer; ErrorTxt: string);
begin
  self.Message:=Message;
  self.ErrorNr:=IntToStr(ErrorNr);
  self.ErrorTxt:=ErrorTxt;
end;

constructor EMyxSystemError.Create(Message: string; ErrorNr: integer);
begin
  self.ErrorNr:=IntToStr(ErrorNr);
  self.ErrorTxt:=SysErrorMessage(ErrorNr);
end;

procedure ShowError(E: Exception);
var res: integer;
begin
  if(not(Application.Terminated))then
  begin
    if(E is EMyxCriticalError)then
    begin
      res:=ShowModalDialog(Application.Title+' Critical Error', 'The following Exception occurred:'+#13#10+
        E.Message+#13#10#13#10+
        'Please choose whether to continue '+Application.Title+', terminate the application '+
        'or restart the program.',
        myx_mtError, 'Continue'#13#10'Terminate'#13#10'Restart');

      if(res=2)then
        Application.Terminate
      else if(res=3)then
      begin
        CreateProz(Application.ExeName);
        Application.Terminate;
      end;
    end
    else if(E is EMyxSQLError)then
    begin
      ShowModalDialog(Application.Title+' SQL Error', E.Message+#13#10#13#10+
        'MySQL Error Nr.'+EMyxSQLError(E).ErrorNr+#13#10+
        EMyxSQLError(E).ErrorTxt, myx_mtError, 'OK');
    end
    else if(E is EMyxSystemError)then
    begin
      ShowModalDialog(Application.Title+' System Error', E.Message+#13#10#13#10+
        'System Error Nr.'+EMyxSystemError(E).ErrorNr+#13#10+
        EMyxSystemError(E).ErrorTxt, myx_mtError, 'OK');
    end
    else if(E is EMyxLibraryError)then
    begin
      ShowModalDialog(Application.Title+' Library Error', E.Message+#13#10#13#10+
        'Library Error Nr.'+EMyxLibraryError(E).ErrorNr+#13#10+
        EMyxLibraryError(E).ErrorTxt, myx_mtError, 'OK');
    end
    else
    begin
      ShowModalDialog(Application.Title+' Error', 'The following Exception occurred:'+#13#10#13#10+
        E.Message, myx_mtError, 'OK');
    end;
  end;
end;


end.
