unit myx_admin_public_interface;

interface

uses
  Classes, SysUtils, StrUtils, Contnrs;

{$Z4}

//------------------------------------------------------------------------------
// PUBLIC_INTERFACE "libmysqladmin"

const
  libmysqladmin_PUBLIC_INTERFACE_VERSION: Integer = 1;

type


  //----------------------------------------------------------------------------
  // Enum definitions

  PMYX_ADMIN_LIB_ERROR = ^MYX_ADMIN_LIB_ERROR;
  MYX_ADMIN_LIB_ERROR =
  (
  MYX_ADMIN_NO_ERROR = 0, MYX_ADMIN_ERROR_CANT_OPEN_FILE,MYX_ADMIN_XML_PARSE_ERROR, 
  MYX_ADMIN_XML_NO_VALID_DOCUMENT, MYX_ADMIN_XML_EMPTY_DOCUMENT, MYX_ADMIN_INI_PARSE_ERROR,
  MYX_ADMIN_GENERAL_ERROR, MYX_ADMIN_SQL_ERROR
  );

  PMYX_GUI_WIDGET_TYPE = ^MYX_GUI_WIDGET_TYPE;
  MYX_GUI_WIDGET_TYPE =
  (
    MYX_CHECKBOX, MYX_SPINEDIT, MYX_TEXTEDIT, MYX_DROPDOWNBOX
  );

  PMYX_PLATFORM = ^MYX_PLATFORM;
  MYX_PLATFORM =
  (
    MYX_WINDOWS, MYX_LINUX, MYX_MACOS
  );

  PMYX_BACKUP_TYPE = ^MYX_BACKUP_TYPE;
  MYX_BACKUP_TYPE =
  (
  MYX_BT_SQL_SCRIPT
  );

  PMYX_RBS_OPTIONS = ^MYX_RBS_OPTIONS;
  MYX_RBS_OPTIONS =
  (
  MYX_RBS_FORCE=1, 
  MYX_RBS_DONT_CREATE_TARGETS=2 
  );

  PMYX_BACKUP_OPTIONS = ^MYX_BACKUP_OPTIONS;
  MYX_BACKUP_OPTIONS =
  (
  MYX_B_NO_CREATES=1,
  MYX_B_NO_EXTENDED_INSERT=2,
  MYX_B_ADD_DROP_TABLE=4,
  MYX_B_COMMENT=8, 
  MYX_B_DONT_WRITE_FULL_PATH=16,
  MYX_B_LOCK_ALL_TABLES=32,
  MYX_B_SINGLE_TRANSACTION=64,
  MYX_B_DISABLE_KEYS=128,
  MYX_B_COMPLETE_INSERTS=256,
  MYX_B_ANSI_QUOTES=512,
  MYX_B_ADD_LOCKS=1024,
  MYX_B_COMPLETE_SCHEMATAS=2048
  );

  PMYX_BACKUP_ERROR = ^MYX_BACKUP_ERROR;
  MYX_BACKUP_ERROR =
  (
  MYX_BACKUP_NO_ERROR=0, MYX_BACKUP_MYSQL_ERROR=1, MYX_BACKUP_CANT_OPEN_FILE, MYX_BACKUP_ILLEGAL_OPTION, MYX_BACKUP_PCRE_ERROR,
  MYX_BACKUP_MALLOC_FAILED,MYX_BACKUP_OUTPUTDEVICE_FULL
  );

  PMYX_EXPRESSION_ERROR = ^MYX_EXPRESSION_ERROR;
  MYX_EXPRESSION_ERROR =
  (
  MYX_EXPRESSION_NO_ERROR=0, MYX_EXPRESSION_SYNTAX_ERROR, MYX_EXPRESSION_DIVISION_BY_ZERO
  );

  PMYX_HEALTH_GRAPH_TYPE = ^MYX_HEALTH_GRAPH_TYPE;
  MYX_HEALTH_GRAPH_TYPE =
  (
  MYX_LINE_GRAPH=1, MYX_BAR_GRAPH
  );

  PMYX_HEALTH_GRAPH_VALUE_UNIT = ^MYX_HEALTH_GRAPH_VALUE_UNIT;
  MYX_HEALTH_GRAPH_VALUE_UNIT =
  (
  MYX_HGVU_PERCENTAGE, MYX_HGVU_COUNT, MYX_HGVU_BYTE, MYX_HGVU_SECONDS
  );

  PMYX_LOGFILE_EVENT_TYPE = ^MYX_LOGFILE_EVENT_TYPE;
  MYX_LOGFILE_EVENT_TYPE =
  (
  MYX_EVENT_START=1, MYX_EVENT_END, MYX_EVENT_ERROR, MYX_EVENT_INNODB_START, MYX_EVENT_INNODB_SHUTDOWN, 
  MYX_EVENT_FORCED_CLOSE_THREAD, MYX_EVENT_ABORT, MYX_EVENT_INIT, MYX_EVENT_CONNECT, MYX_EVENT_QUIT,
  MYX_EVENT_QUERY, MYX_EVENT_SELECT
  );

  PMYX_COMMAND_MESSAGE_TYPE = ^MYX_COMMAND_MESSAGE_TYPE;
  MYX_COMMAND_MESSAGE_TYPE =
  (
  MYX_MESSAGE_STATUS, MYX_MESSAGE_ERROR, MYX_MESSAGE_INFO, MYX_MESSAGE_WARNING
  );

  PMYX_TABLE_CHECK_TYPE = ^MYX_TABLE_CHECK_TYPE;
  MYX_TABLE_CHECK_TYPE =
  (
  MYX_CHECK_QUICK=1,
    MYX_CHECK_FAST=2, 
    MYX_CHECK_MEDIUM=4,
    MYX_CHECK_EXTENDED=8,
    MYX_CHECK_CHANGED=16,
    MYX_REPAIR_USE_FRM=32,
    MYX_REPAIR_NO_WRITE_TO_BINLOG=64
  );

  PMYX_REPL_HOST_STATUS = ^MYX_REPL_HOST_STATUS;
  MYX_REPL_HOST_STATUS =
  (
  MYX_RHS_AVAILABLE, MYX_RHS_NOT_AVAILABLE, MYX_RHS_NEW_HOST
  );


  //----------------------------------------------------------------------------
  // Struct definitions

  PMYX_USER_OBJECT_PRIVILEGES = ^MYX_USER_OBJECT_PRIVILEGES;
  PMYX_USER = ^MYX_USER;
  PMYX_USER_NAMES = ^MYX_USER_NAMES;
  PMYX_PROCESS_INFO = ^MYX_PROCESS_INFO;
  PMYX_PROCESS_LIST = ^MYX_PROCESS_LIST;
  PMYX_EXPRESSION_NODE = ^MYX_EXPRESSION_NODE;
  PMYX_COMPILED_EXPRESSION = ^MYX_COMPILED_EXPRESSION;
  PMYX_VARIABLE = ^MYX_VARIABLE;
  PMYX_VARIABLES = ^MYX_VARIABLES;
  PMYX_VARIABLE_ELEMENT = ^MYX_VARIABLE_ELEMENT;
  PMYX_VARIABLES_SUBGROUP = ^MYX_VARIABLES_SUBGROUP;
  PMYX_VARIABLES_GROUP = ^MYX_VARIABLES_GROUP;
  PMYX_VARIABLES_LISTING = ^MYX_VARIABLES_LISTING;
  PMYX_GUI_DROPDOWNBOX = ^MYX_GUI_DROPDOWNBOX;
  PMYX_GUI_TEXTEDIT = ^MYX_GUI_TEXTEDIT;
  PMYX_GUI_SPINEDIT = ^MYX_GUI_SPINEDIT;
  PMYX_GUI_CHECKBOX = ^MYX_GUI_CHECKBOX;
  PMYX_GUI_WIDGET = ^MYX_GUI_WIDGET;
  PMYX_GUI_GROUP = ^MYX_GUI_GROUP;
  PMYX_GUI_PAGE = ^MYX_GUI_PAGE;
  PMYX_GUI_DESCRIPTION = ^MYX_GUI_DESCRIPTION;
  PMYX_STRINGLIST = ^MYX_STRINGLIST;
  PMYX_BACKUP_TABLE = ^MYX_BACKUP_TABLE;
  PMYX_BACKUP_CONTENT = ^MYX_BACKUP_CONTENT;
  PMYX_BACKUP_PROFILE = ^MYX_BACKUP_PROFILE;
  PMYX_HEALTH_GRAPH = ^MYX_HEALTH_GRAPH;
  PMYX_HEALTH_GROUP = ^MYX_HEALTH_GROUP;
  PMYX_HEALTH_PAGE = ^MYX_HEALTH_PAGE;
  PMYX_HEALTH_PAGES = ^MYX_HEALTH_PAGES;
  PMYX_DATETIME = ^MYX_DATETIME;
  PMYX_LOGFILE_EVENT = ^MYX_LOGFILE_EVENT;
  PMYX_LOGFILE = ^MYX_LOGFILE;
  PMYX_TABLE_COMMAND_STATUS = ^MYX_TABLE_COMMAND_STATUS;
  PMYX_TABLE_COMMAND_STATUSES = ^MYX_TABLE_COMMAND_STATUSES;
  PMYX_USER_REPL_HOST = ^MYX_USER_REPL_HOST;
  PMYX_USER_REPL_HOSTS = ^MYX_USER_REPL_HOSTS;
  PMYX_REPL_HOST = ^MYX_REPL_HOST;
  PMYX_REPL_HOSTS = ^MYX_REPL_HOSTS;

  MYX_USER_OBJECT_PRIVILEGES = record
    host: PChar;
    object_name: PChar;
    user_privileges_num: Cardinal;
    user_privileges: PPChar;
  end;

  MYX_USER = record
    user_name: PChar;
    password: PChar;
    full_name: PChar;
    description: PChar;
    email: PChar;
    contact_information: PChar;
    icon_length: Cardinal;
    icon: PChar;
    hosts_num: Cardinal;
    hosts: PPChar;
    user_object_privileges_num: Cardinal;
    user_object_privileges: PMYX_USER_OBJECT_PRIVILEGES;
  end;

  MYX_USER_NAMES = record
    user_names_num: Cardinal;
    user_names: PPChar;
  end;

  MYX_PROCESS_INFO = record
    id: PChar;
    user: PChar;
    host: PChar;
    db: PChar;
    command: PChar;
    time: PChar;
    state: PChar;
    info: PChar;
  end;

  MYX_PROCESS_LIST = record
    process_infos_num: Cardinal;
    process_infos: PMYX_PROCESS_INFO;
  end;

  MYX_EXPRESSION_NODE = record
    ntype: Integer;
    variable_index: Integer;
    immediate: Double;
  end;

  MYX_COMPILED_EXPRESSION = record
    nodes_num: Cardinal;
    nodes: PMYX_EXPRESSION_NODE;
  end;

  MYX_VARIABLE = record
    name: PChar;
    value: PChar;
  end;

  MYX_VARIABLES = record
    variables_num: Cardinal;
    variables: PMYX_VARIABLE;
  end;

  MYX_VARIABLE_ELEMENT = record
    mysql_id: PChar;
    desc_id: PChar;
    editable: Cardinal;
  end;

  MYX_VARIABLES_SUBGROUP = record
    pos: Cardinal;
    name: PChar;
    caption_id: PChar;
    variables_num: Cardinal;
    variables: PMYX_VARIABLE_ELEMENT;
  end;

  MYX_VARIABLES_GROUP = record
    pos: Cardinal;
    name: PChar;
    caption_id: PChar;
    variables_num: Cardinal;
    variables: PMYX_VARIABLE_ELEMENT;
    subgroups_num: Cardinal;
    subgroups: PMYX_VARIABLES_SUBGROUP;
  end;

  MYX_VARIABLES_LISTING = record
    groups_num: Cardinal;
    groups: PMYX_VARIABLES_GROUP;
  end;

  MYX_GUI_DROPDOWNBOX = record
    editable: Integer;
    items_num: Cardinal;
    items: PPChar;
  end;

  MYX_GUI_TEXTEDIT = record
    edit_type: PChar;
  end;

  MYX_GUI_SPINEDIT = record
    unitcontrolbox: PChar;
  end;

  MYX_GUI_CHECKBOX = record
    is_boolean: Integer;
    invert: Integer;
  end;

  MYX_GUI_WIDGET = record
    id: PChar;
    alt_names_num: Cardinal;
    alt_names: PPChar;
    caption: PChar;
    description: PChar;
    default_value: PChar;
    position: Integer;
    value: PChar;
    active: Integer;
    loose_option: Integer;
    multiple: Integer;
    widget_type: MYX_GUI_WIDGET_TYPE;
    checkbox: PMYX_GUI_CHECKBOX;
    spinedit: PMYX_GUI_SPINEDIT;
    textedit: PMYX_GUI_TEXTEDIT;
    dropdownbox: PMYX_GUI_DROPDOWNBOX;
  end;

  MYX_GUI_GROUP = record
    caption: PChar;
    position: Integer;
    id: PChar;
    widgets_num: Cardinal;
    widgets: PMYX_GUI_WIDGET;
  end;

  MYX_GUI_PAGE = record
    caption: PChar;
    description: PChar;
    position: Integer;
    id: PChar;
    groups_num: Cardinal;
    groups: PMYX_GUI_GROUP;
  end;

  MYX_GUI_DESCRIPTION = record
    pages_num: Cardinal;
    pages: PMYX_GUI_PAGE;
  end;

  MYX_STRINGLIST = record
    strings_num: Cardinal;
    strings: PPChar;
  end;

  MYX_BACKUP_TABLE = record
    catalog: PChar;
    schema: PChar;
    table: PChar;
  end;

  MYX_BACKUP_CONTENT = record
    tables_num: Cardinal;
    tables: PMYX_BACKUP_TABLE;
  end;

  MYX_BACKUP_PROFILE = record
    profile_name: PChar;
    target_directory: PChar;
    filename_prefix: PChar;
    last_used: PChar;
    options: Integer;
    backup_type: MYX_BACKUP_TYPE;
    backup_content: PMYX_BACKUP_CONTENT;
  end;

  MYX_HEALTH_GRAPH = record
    graph_caption: PChar;
    display_graph_caption: Integer;
    graphtype: MYX_HEALTH_GRAPH_TYPE;
    value_unit: MYX_HEALTH_GRAPH_VALUE_UNIT;
    min: Double;
    max: Double;
    autoextend_max: Integer;
    value_formula: PChar;
    max_formula: PChar;
    value_caption: PChar;
    value_caption_trans_id: PChar;
    max_caption: PChar;
    max_caption_trans_id: PChar;
    refreshtime: Integer;
    pos: Integer;
  end;

  MYX_HEALTH_GROUP = record
    caption: PChar;
    caption_trans_id: PChar;
    pos: Integer;
    graphs_num: Cardinal;
    graphs: PMYX_HEALTH_GRAPH;
  end;

  MYX_HEALTH_PAGE = record
    caption: PChar;
    caption_trans_id: PChar;
    description: PChar;
    description_trans_id: PChar;
    pos: Integer;
    groups_num: Cardinal;
    groups: PMYX_HEALTH_GROUP;
  end;

  MYX_HEALTH_PAGES = record
    pages_num: Cardinal;
    pages: PMYX_HEALTH_PAGE;
  end;

  MYX_DATETIME = record
    tm_year: Cardinal;
    tm_mon: Cardinal;
    tm_mday: Cardinal;
    tm_hour: Cardinal;
    tm_min: Cardinal;
    tm_sec: Cardinal;
  end;

  MYX_LOGFILE_EVENT = record
    event_type: MYX_LOGFILE_EVENT_TYPE;
    line_no: Integer;
    date: PMYX_DATETIME;
  end;

  MYX_LOGFILE = record
    events_num: Cardinal;
    events: PMYX_LOGFILE_EVENT;
    file_size: Int64;
    block_num: Cardinal;
    lines_num: Cardinal;
    lines: PPChar;
  end;

  MYX_TABLE_COMMAND_STATUS = record
    table: PChar;
    message_type: MYX_COMMAND_MESSAGE_TYPE;
    message: PChar;
  end;

  MYX_TABLE_COMMAND_STATUSES = record
    status_num: Cardinal;
    status: PMYX_TABLE_COMMAND_STATUS;
  end;

  MYX_USER_REPL_HOST = record
    name: PChar;
  end;

  MYX_USER_REPL_HOSTS = record
    hosts_num: Cardinal;
    hosts: PMYX_USER_REPL_HOST;
  end;

  MYX_REPL_HOST = record
    server_id: Integer;
    host: PChar;
    port: Integer;
    rpl_recovery_rank: Integer;
    master_id: Integer;
    is_master: Integer;
    binlog_file: PChar;
    binlog_pos: PChar;
    status: MYX_REPL_HOST_STATUS;
  end;

  MYX_REPL_HOSTS = record
    hosts_num: Cardinal;
    hosts: PMYX_REPL_HOST;
  end;

type
  Tprogress_report_profile = function(current_table_name: PChar; num_tables: Integer; num_tables_processed: Integer; num_rows: Integer; num_rows_processed: Integer; user_data: Pointer):Integer cdecl;
  Tprogress_report_make_backup = function(current_table_name: PChar; num_tables: Integer; num_tables_processed: Integer; num_rows: Integer; num_rows_processed: Integer; user_data: Pointer):Integer cdecl;
  Tprogress_report = function(bytes_read: Int64; bytes_total: Int64; user_data: Pointer):Integer cdecl;
  Treport_warning = procedure(msg: PChar; user_data: Pointer) cdecl;


function myx_get_admin_public_interface_version(): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_string(txt: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_user_names(mysql: Pointer): PMYX_USER_NAMES; cdecl; external 'libmysqladmin.dll';
function myx_free_user_names(user_names: PMYX_USER_NAMES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_user(mysql: Pointer; user_name: PChar): PMYX_USER; cdecl; external 'libmysqladmin.dll';
function myx_get_user_with_privileges(mysql: Pointer; user_name: PChar): PMYX_USER; cdecl; external 'libmysqladmin.dll';
function myx_set_user(mysql: Pointer; user: PMYX_USER; previous_user_name: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_del_user(mysql: Pointer; user_name: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_user(user: PMYX_USER): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_privilege_struct(mysql: Pointer; object_name: PChar): PMYX_USER_OBJECT_PRIVILEGES; cdecl; external 'libmysqladmin.dll';
function myx_free_user_priv(user_priv: PMYX_USER_OBJECT_PRIVILEGES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_process_list(mysql: Pointer): PMYX_PROCESS_LIST; cdecl; external 'libmysqladmin.dll';
function myx_free_process_list(process_list: PMYX_PROCESS_LIST): Integer; cdecl; external 'libmysqladmin.dll';
function myx_kill_thread(mysql: Pointer; pid: Longint): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_thread_id(mysql: Pointer): Longint; cdecl; external 'libmysqladmin.dll';
function myx_get_server_variables(mysql: Pointer): PMYX_VARIABLES; cdecl; external 'libmysqladmin.dll';
function myx_get_status_variables(mysql: Pointer): PMYX_VARIABLES; cdecl; external 'libmysqladmin.dll';
function myx_free_variables(vars: PMYX_VARIABLES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_variables_listing(filename: Pointer; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_VARIABLES_LISTING; cdecl; external 'libmysqladmin.dll';
function myx_free_variables_listing(variables_listing: PMYX_VARIABLES_LISTING): Integer; cdecl; external 'libmysqladmin.dll';
function myx_set_variable(mysql: Pointer; mysql_id: PChar; value: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_gui_description(filename: PChar; version: Double; platform: MYX_PLATFORM; error_code: PMYX_ADMIN_LIB_ERROR; ini_filepath: PChar; ini_file_group: PChar): PMYX_GUI_DESCRIPTION; cdecl; external 'libmysqladmin.dll';
function myx_free_gui_description(gui_desc: PMYX_GUI_DESCRIPTION): Integer; cdecl; external 'libmysqladmin.dll';
function myx_update_mysql_cnf_file(desc: PMYX_GUI_DESCRIPTION; ini_filepath: PChar; group: PChar): MYX_ADMIN_LIB_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_get_all_cnf_sections(filename: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_STRINGLIST; cdecl; external 'libmysqladmin.dll';
function myx_get_cnf_value(filename: PChar; section: PChar; name: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PChar; cdecl; external 'libmysqladmin.dll';
function myx_free_stringlist(stringlist: PMYX_STRINGLIST): Integer; cdecl; external 'libmysqladmin.dll';
function myx_save_profile(profile_name: PChar; profile_directory: PChar; backup_profile: PMYX_BACKUP_PROFILE): MYX_ADMIN_LIB_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_load_profile(profile_name: PChar; profile_directory: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_BACKUP_PROFILE; cdecl; external 'libmysqladmin.dll';
function myx_free_profile(profile: PMYX_BACKUP_PROFILE): Integer; cdecl; external 'libmysqladmin.dll';
function myx_make_backup_with_profile(mysql: Pointer; profile: PMYX_BACKUP_PROFILE; path: PChar; callback_interval: Integer; progress_report_profile: Tprogress_report_profile; user_data: Pointer): MYX_BACKUP_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_make_backup(mysql: Pointer; filename: PChar; content: PMYX_BACKUP_CONTENT; backup_type: MYX_BACKUP_TYPE; options: Integer; callback_interval: Integer; progress_report_make_backup: Tprogress_report_make_backup; user_data: Pointer): MYX_BACKUP_ERROR; cdecl; external 'libmysqladmin.dll';
function myx_get_backup_content(filename: PChar; backup_type: MYX_BACKUP_TYPE; report_interval: Integer; progress_report: Tprogress_report; user_data: Pointer; error: PMYX_BACKUP_ERROR): PMYX_BACKUP_CONTENT; cdecl; external 'libmysqladmin.dll';
function myx_free_backup_content(backup: PMYX_BACKUP_CONTENT): Integer; cdecl; external 'libmysqladmin.dll';
function myx_restore_backup(mysql: Pointer; filename: PChar; content: PMYX_BACKUP_CONTENT; target_catalog: PChar; target_schema: PChar; backup_type: MYX_BACKUP_TYPE; options: Integer; report_interval: Integer; progress_report: Tprogress_report; ruser_data: Pointer; report_warning: Treport_warning; wuser_data: Pointer): MYX_BACKUP_ERROR ; cdecl; external 'libmysqladmin.dll';
function myx_compile_expression(expr: PChar; error: PMYX_EXPRESSION_ERROR): PMYX_COMPILED_EXPRESSION; cdecl; external 'libmysqladmin.dll';
function myx_eval_expression(expr: PMYX_COMPILED_EXPRESSION; old_vars: PMYX_VARIABLES; vars: PMYX_VARIABLES; error: PMYX_EXPRESSION_ERROR): Double; cdecl; external 'libmysqladmin.dll';
function myx_free_expression(expr: PMYX_COMPILED_EXPRESSION): Integer; cdecl; external 'libmysqladmin.dll';
function myx_parse_error_log(filename: PChar; block_size: Integer; block_num: Integer; last_block: Pointer): PMYX_LOGFILE; cdecl; external 'libmysqladmin.dll';
function myx_parse_slow_log(filename: PChar; block_size: Integer; block_num: Integer; last_block: Pointer): PMYX_LOGFILE; cdecl; external 'libmysqladmin.dll';
function myx_parse_general_log(filename: PChar; block_size: Integer; block_num: Integer; last_block: Pointer): PMYX_LOGFILE; cdecl; external 'libmysqladmin.dll';
function myx_free_logfile(logfile: PMYX_LOGFILE): Integer; cdecl; external 'libmysqladmin.dll';
function myx_get_errorlog_filename(mysql: Pointer): PChar; cdecl; external 'libmysqladmin.dll';
function myx_optimize_table(mysql: Pointer; objects: PChar; type_mask: Integer): PMYX_TABLE_COMMAND_STATUSES; cdecl; external 'libmysqladmin.dll';
function myx_check_table(mysql: Pointer; objects: PChar; type_mask: Integer): PMYX_TABLE_COMMAND_STATUSES; cdecl; external 'libmysqladmin.dll';
function myx_repair_table(mysql: Pointer; objects: PChar; type_mask: Integer): PMYX_TABLE_COMMAND_STATUSES; cdecl; external 'libmysqladmin.dll';
function myx_free_command_status(status: PMYX_TABLE_COMMAND_STATUSES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_read_in_health_pages(filename: Pointer; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_HEALTH_PAGES; cdecl; external 'libmysqladmin.dll';
function myx_free_health_pages(pages: PMYX_HEALTH_PAGES): Integer; cdecl; external 'libmysqladmin.dll';
function myx_save_health_pages(pages: PMYX_HEALTH_PAGES; filename: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_show_repl_hosts_status(mysql: Pointer; replist: PMYX_USER_REPL_HOSTS; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_REPL_HOSTS; cdecl; external 'libmysqladmin.dll';
function myx_read_repl_user_hosts(filename: PChar; error_code: PMYX_ADMIN_LIB_ERROR): PMYX_USER_REPL_HOSTS; cdecl; external 'libmysqladmin.dll';
function myx_save_repl_user_hosts(replist: Pointer; filename: PChar): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_repl_user_hosts(replist: PMYX_USER_REPL_HOSTS): Integer; cdecl; external 'libmysqladmin.dll';
function myx_free_repl_hosts_status(list: PMYX_REPL_HOSTS): Integer; cdecl; external 'libmysqladmin.dll';



type

  //----------------------------------------------------------------------------
  // class definitions

  TMYX_USER_OBJECT_PRIVILEGES = Class(TPersistent)
  private
    record_pointer: PMYX_USER_OBJECT_PRIVILEGES;

    Fhost: string;
    Fobject_name: string;

  public

    user_privileges: TStringList;

    constructor create(host: string;object_name: string); overload;
    constructor create(record_pointer: PMYX_USER_OBJECT_PRIVILEGES); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_USER_OBJECT_PRIVILEGES;

    procedure Assign(Source: TPersistent); override;

    property host: string read Fhost write Fhost;
    property object_name: string read Fobject_name write Fobject_name;
  end;

  TMYX_USER_OBJECT_PRIVILEGES_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_USER_OBJECT_PRIVILEGES; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_USER_OBJECT_PRIVILEGES); overload;
  public
    function Add(AObject: TMYX_USER_OBJECT_PRIVILEGES): Integer; overload;
    function Extract(Item: TMYX_USER_OBJECT_PRIVILEGES): TMYX_USER_OBJECT_PRIVILEGES; overload;
    function Remove(AObject: TMYX_USER_OBJECT_PRIVILEGES): Integer; overload;
    function IndexOf(AObject: TMYX_USER_OBJECT_PRIVILEGES): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_USER_OBJECT_PRIVILEGES); overload;
    function First: TMYX_USER_OBJECT_PRIVILEGES; overload;
    function Last: TMYX_USER_OBJECT_PRIVILEGES; overload;
    property Items[Index: Integer]: TMYX_USER_OBJECT_PRIVILEGES read GetItem write SetItem; default;
  end;

  TMYX_USER = Class(TPersistent)
  private
    record_pointer: PMYX_USER;

    Fuser_name: string;
    Fpassword: string;
    Ffull_name: string;
    Fdescription: string;
    Femail: string;
    Fcontact_information: string;
    Ficon_length: Cardinal;
    Ficon: string;

  public
    user_object_privileges: TMYX_USER_OBJECT_PRIVILEGES_List;


    hosts: TStringList;

    constructor create(user_name: string;password: string;full_name: string;description: string;email: string;contact_information: string;icon_length: Cardinal;icon: string); overload;
    constructor create(record_pointer: PMYX_USER); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_USER;

    procedure Assign(Source: TPersistent); override;

    property user_name: string read Fuser_name write Fuser_name;
    property password: string read Fpassword write Fpassword;
    property full_name: string read Ffull_name write Ffull_name;
    property description: string read Fdescription write Fdescription;
    property email: string read Femail write Femail;
    property contact_information: string read Fcontact_information write Fcontact_information;
    property icon_length: Cardinal read Ficon_length write Ficon_length;
    property icon: string read Ficon write Ficon;
  end;

  TMYX_USER_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_USER; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_USER); overload;
  public
    function Add(AObject: TMYX_USER): Integer; overload;
    function Extract(Item: TMYX_USER): TMYX_USER; overload;
    function Remove(AObject: TMYX_USER): Integer; overload;
    function IndexOf(AObject: TMYX_USER): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_USER); overload;
    function First: TMYX_USER; overload;
    function Last: TMYX_USER; overload;
    property Items[Index: Integer]: TMYX_USER read GetItem write SetItem; default;
  end;

  TMYX_USER_NAMES = Class(TPersistent)
  private
    record_pointer: PMYX_USER_NAMES;

  public

    user_names: TStringList;

    constructor create(); overload;
    constructor create(record_pointer: PMYX_USER_NAMES); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_USER_NAMES;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_USER_NAMES_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_USER_NAMES; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_USER_NAMES); overload;
  public
    function Add(AObject: TMYX_USER_NAMES): Integer; overload;
    function Extract(Item: TMYX_USER_NAMES): TMYX_USER_NAMES; overload;
    function Remove(AObject: TMYX_USER_NAMES): Integer; overload;
    function IndexOf(AObject: TMYX_USER_NAMES): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_USER_NAMES); overload;
    function First: TMYX_USER_NAMES; overload;
    function Last: TMYX_USER_NAMES; overload;
    property Items[Index: Integer]: TMYX_USER_NAMES read GetItem write SetItem; default;
  end;

  TMYX_PROCESS_INFO = Class(TPersistent)
  private
    record_pointer: PMYX_PROCESS_INFO;

    Fid: string;
    Fuser: string;
    Fhost: string;
    Fdb: string;
    Fcommand: string;
    Ftime: string;
    Fstate: string;
    Finfo: string;

  public


    constructor create(id: string;user: string;host: string;db: string;command: string;time: string;state: string;info: string); overload;
    constructor create(record_pointer: PMYX_PROCESS_INFO); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_PROCESS_INFO;

    procedure Assign(Source: TPersistent); override;

    property id: string read Fid write Fid;
    property user: string read Fuser write Fuser;
    property host: string read Fhost write Fhost;
    property db: string read Fdb write Fdb;
    property command: string read Fcommand write Fcommand;
    property time: string read Ftime write Ftime;
    property state: string read Fstate write Fstate;
    property info: string read Finfo write Finfo;
  end;

  TMYX_PROCESS_INFO_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_PROCESS_INFO; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_PROCESS_INFO); overload;
  public
    function Add(AObject: TMYX_PROCESS_INFO): Integer; overload;
    function Extract(Item: TMYX_PROCESS_INFO): TMYX_PROCESS_INFO; overload;
    function Remove(AObject: TMYX_PROCESS_INFO): Integer; overload;
    function IndexOf(AObject: TMYX_PROCESS_INFO): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_PROCESS_INFO); overload;
    function First: TMYX_PROCESS_INFO; overload;
    function Last: TMYX_PROCESS_INFO; overload;
    property Items[Index: Integer]: TMYX_PROCESS_INFO read GetItem write SetItem; default;
  end;

  TMYX_PROCESS_LIST = Class(TPersistent)
  private
    record_pointer: PMYX_PROCESS_LIST;

  public
    process_infos: TMYX_PROCESS_INFO_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_PROCESS_LIST); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_PROCESS_LIST;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_PROCESS_LIST_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_PROCESS_LIST; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_PROCESS_LIST); overload;
  public
    function Add(AObject: TMYX_PROCESS_LIST): Integer; overload;
    function Extract(Item: TMYX_PROCESS_LIST): TMYX_PROCESS_LIST; overload;
    function Remove(AObject: TMYX_PROCESS_LIST): Integer; overload;
    function IndexOf(AObject: TMYX_PROCESS_LIST): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_PROCESS_LIST); overload;
    function First: TMYX_PROCESS_LIST; overload;
    function Last: TMYX_PROCESS_LIST; overload;
    property Items[Index: Integer]: TMYX_PROCESS_LIST read GetItem write SetItem; default;
  end;

  TMYX_VARIABLE = Class(TPersistent)
  private
    record_pointer: PMYX_VARIABLE;

    Fname: string;
    Fvalue: string;

  public


    constructor create(name: string;value: string); overload;
    constructor create(record_pointer: PMYX_VARIABLE); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_VARIABLE;

    procedure Assign(Source: TPersistent); override;

    property name: string read Fname write Fname;
    property value: string read Fvalue write Fvalue;
  end;

  TMYX_VARIABLE_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_VARIABLE; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_VARIABLE); overload;
  public
    function Add(AObject: TMYX_VARIABLE): Integer; overload;
    function Extract(Item: TMYX_VARIABLE): TMYX_VARIABLE; overload;
    function Remove(AObject: TMYX_VARIABLE): Integer; overload;
    function IndexOf(AObject: TMYX_VARIABLE): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_VARIABLE); overload;
    function First: TMYX_VARIABLE; overload;
    function Last: TMYX_VARIABLE; overload;
    property Items[Index: Integer]: TMYX_VARIABLE read GetItem write SetItem; default;
  end;

  TMYX_VARIABLES = Class(TPersistent)
  private
    record_pointer: PMYX_VARIABLES;

  public
    variables: TMYX_VARIABLE_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_VARIABLES); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_VARIABLES;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_VARIABLES_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_VARIABLES; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_VARIABLES); overload;
  public
    function Add(AObject: TMYX_VARIABLES): Integer; overload;
    function Extract(Item: TMYX_VARIABLES): TMYX_VARIABLES; overload;
    function Remove(AObject: TMYX_VARIABLES): Integer; overload;
    function IndexOf(AObject: TMYX_VARIABLES): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_VARIABLES); overload;
    function First: TMYX_VARIABLES; overload;
    function Last: TMYX_VARIABLES; overload;
    property Items[Index: Integer]: TMYX_VARIABLES read GetItem write SetItem; default;
  end;

  TMYX_VARIABLE_ELEMENT = Class(TPersistent)
  private
    record_pointer: PMYX_VARIABLE_ELEMENT;

    Fmysql_id: string;
    Fdesc_id: string;
    Feditable: Cardinal;

  public


    constructor create(mysql_id: string;desc_id: string;editable: Cardinal); overload;
    constructor create(record_pointer: PMYX_VARIABLE_ELEMENT); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_VARIABLE_ELEMENT;

    procedure Assign(Source: TPersistent); override;

    property mysql_id: string read Fmysql_id write Fmysql_id;
    property desc_id: string read Fdesc_id write Fdesc_id;
    property editable: Cardinal read Feditable write Feditable;
  end;

  TMYX_VARIABLE_ELEMENT_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_VARIABLE_ELEMENT; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_VARIABLE_ELEMENT); overload;
  public
    function Add(AObject: TMYX_VARIABLE_ELEMENT): Integer; overload;
    function Extract(Item: TMYX_VARIABLE_ELEMENT): TMYX_VARIABLE_ELEMENT; overload;
    function Remove(AObject: TMYX_VARIABLE_ELEMENT): Integer; overload;
    function IndexOf(AObject: TMYX_VARIABLE_ELEMENT): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_VARIABLE_ELEMENT); overload;
    function First: TMYX_VARIABLE_ELEMENT; overload;
    function Last: TMYX_VARIABLE_ELEMENT; overload;
    property Items[Index: Integer]: TMYX_VARIABLE_ELEMENT read GetItem write SetItem; default;
  end;

  TMYX_VARIABLES_SUBGROUP = Class(TPersistent)
  private
    record_pointer: PMYX_VARIABLES_SUBGROUP;

    Fpos: Cardinal;
    Fname: string;
    Fcaption_id: string;

  public
    variables: TMYX_VARIABLE_ELEMENT_List;



    constructor create(pos: Cardinal;name: string;caption_id: string); overload;
    constructor create(record_pointer: PMYX_VARIABLES_SUBGROUP); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_VARIABLES_SUBGROUP;

    procedure Assign(Source: TPersistent); override;

    property pos: Cardinal read Fpos write Fpos;
    property name: string read Fname write Fname;
    property caption_id: string read Fcaption_id write Fcaption_id;
  end;

  TMYX_VARIABLES_SUBGROUP_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_VARIABLES_SUBGROUP; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_VARIABLES_SUBGROUP); overload;
  public
    function Add(AObject: TMYX_VARIABLES_SUBGROUP): Integer; overload;
    function Extract(Item: TMYX_VARIABLES_SUBGROUP): TMYX_VARIABLES_SUBGROUP; overload;
    function Remove(AObject: TMYX_VARIABLES_SUBGROUP): Integer; overload;
    function IndexOf(AObject: TMYX_VARIABLES_SUBGROUP): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_VARIABLES_SUBGROUP); overload;
    function First: TMYX_VARIABLES_SUBGROUP; overload;
    function Last: TMYX_VARIABLES_SUBGROUP; overload;
    property Items[Index: Integer]: TMYX_VARIABLES_SUBGROUP read GetItem write SetItem; default;
  end;

  TMYX_VARIABLES_GROUP = Class(TPersistent)
  private
    record_pointer: PMYX_VARIABLES_GROUP;

    Fpos: Cardinal;
    Fname: string;
    Fcaption_id: string;

  public
    variables: TMYX_VARIABLE_ELEMENT_List;
    subgroups: TMYX_VARIABLES_SUBGROUP_List;



    constructor create(pos: Cardinal;name: string;caption_id: string); overload;
    constructor create(record_pointer: PMYX_VARIABLES_GROUP); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_VARIABLES_GROUP;

    procedure Assign(Source: TPersistent); override;

    property pos: Cardinal read Fpos write Fpos;
    property name: string read Fname write Fname;
    property caption_id: string read Fcaption_id write Fcaption_id;
  end;

  TMYX_VARIABLES_GROUP_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_VARIABLES_GROUP; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_VARIABLES_GROUP); overload;
  public
    function Add(AObject: TMYX_VARIABLES_GROUP): Integer; overload;
    function Extract(Item: TMYX_VARIABLES_GROUP): TMYX_VARIABLES_GROUP; overload;
    function Remove(AObject: TMYX_VARIABLES_GROUP): Integer; overload;
    function IndexOf(AObject: TMYX_VARIABLES_GROUP): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_VARIABLES_GROUP); overload;
    function First: TMYX_VARIABLES_GROUP; overload;
    function Last: TMYX_VARIABLES_GROUP; overload;
    property Items[Index: Integer]: TMYX_VARIABLES_GROUP read GetItem write SetItem; default;
  end;

  TMYX_VARIABLES_LISTING = Class(TPersistent)
  private
    record_pointer: PMYX_VARIABLES_LISTING;

  public
    groups: TMYX_VARIABLES_GROUP_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_VARIABLES_LISTING); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_VARIABLES_LISTING;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_VARIABLES_LISTING_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_VARIABLES_LISTING; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_VARIABLES_LISTING); overload;
  public
    function Add(AObject: TMYX_VARIABLES_LISTING): Integer; overload;
    function Extract(Item: TMYX_VARIABLES_LISTING): TMYX_VARIABLES_LISTING; overload;
    function Remove(AObject: TMYX_VARIABLES_LISTING): Integer; overload;
    function IndexOf(AObject: TMYX_VARIABLES_LISTING): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_VARIABLES_LISTING); overload;
    function First: TMYX_VARIABLES_LISTING; overload;
    function Last: TMYX_VARIABLES_LISTING; overload;
    property Items[Index: Integer]: TMYX_VARIABLES_LISTING read GetItem write SetItem; default;
  end;

  TMYX_GUI_DROPDOWNBOX = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_DROPDOWNBOX;

    Feditable: Integer;

  public

    items: TStringList;

    constructor create(editable: Integer); overload;
    constructor create(record_pointer: PMYX_GUI_DROPDOWNBOX); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_DROPDOWNBOX;

    procedure Assign(Source: TPersistent); override;

    property editable: Integer read Feditable write Feditable;
  end;

  TMYX_GUI_DROPDOWNBOX_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_DROPDOWNBOX; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_DROPDOWNBOX); overload;
  public
    function Add(AObject: TMYX_GUI_DROPDOWNBOX): Integer; overload;
    function Extract(Item: TMYX_GUI_DROPDOWNBOX): TMYX_GUI_DROPDOWNBOX; overload;
    function Remove(AObject: TMYX_GUI_DROPDOWNBOX): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_DROPDOWNBOX): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_DROPDOWNBOX); overload;
    function First: TMYX_GUI_DROPDOWNBOX; overload;
    function Last: TMYX_GUI_DROPDOWNBOX; overload;
    property Items[Index: Integer]: TMYX_GUI_DROPDOWNBOX read GetItem write SetItem; default;
  end;

  TMYX_GUI_TEXTEDIT = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_TEXTEDIT;

    Fedit_type: string;

  public


    constructor create(edit_type: string); overload;
    constructor create(record_pointer: PMYX_GUI_TEXTEDIT); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_TEXTEDIT;

    procedure Assign(Source: TPersistent); override;

    property edit_type: string read Fedit_type write Fedit_type;
  end;

  TMYX_GUI_TEXTEDIT_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_TEXTEDIT; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_TEXTEDIT); overload;
  public
    function Add(AObject: TMYX_GUI_TEXTEDIT): Integer; overload;
    function Extract(Item: TMYX_GUI_TEXTEDIT): TMYX_GUI_TEXTEDIT; overload;
    function Remove(AObject: TMYX_GUI_TEXTEDIT): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_TEXTEDIT): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_TEXTEDIT); overload;
    function First: TMYX_GUI_TEXTEDIT; overload;
    function Last: TMYX_GUI_TEXTEDIT; overload;
    property Items[Index: Integer]: TMYX_GUI_TEXTEDIT read GetItem write SetItem; default;
  end;

  TMYX_GUI_SPINEDIT = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_SPINEDIT;

    Funitcontrolbox: string;

  public


    constructor create(unitcontrolbox: string); overload;
    constructor create(record_pointer: PMYX_GUI_SPINEDIT); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_SPINEDIT;

    procedure Assign(Source: TPersistent); override;

    property unitcontrolbox: string read Funitcontrolbox write Funitcontrolbox;
  end;

  TMYX_GUI_SPINEDIT_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_SPINEDIT; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_SPINEDIT); overload;
  public
    function Add(AObject: TMYX_GUI_SPINEDIT): Integer; overload;
    function Extract(Item: TMYX_GUI_SPINEDIT): TMYX_GUI_SPINEDIT; overload;
    function Remove(AObject: TMYX_GUI_SPINEDIT): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_SPINEDIT): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_SPINEDIT); overload;
    function First: TMYX_GUI_SPINEDIT; overload;
    function Last: TMYX_GUI_SPINEDIT; overload;
    property Items[Index: Integer]: TMYX_GUI_SPINEDIT read GetItem write SetItem; default;
  end;

  TMYX_GUI_CHECKBOX = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_CHECKBOX;

    Fis_boolean: Integer;
    Finvert: Integer;

  public


    constructor create(is_boolean: Integer;invert: Integer); overload;
    constructor create(record_pointer: PMYX_GUI_CHECKBOX); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_CHECKBOX;

    procedure Assign(Source: TPersistent); override;

    property is_boolean: Integer read Fis_boolean write Fis_boolean;
    property invert: Integer read Finvert write Finvert;
  end;

  TMYX_GUI_CHECKBOX_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_CHECKBOX; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_CHECKBOX); overload;
  public
    function Add(AObject: TMYX_GUI_CHECKBOX): Integer; overload;
    function Extract(Item: TMYX_GUI_CHECKBOX): TMYX_GUI_CHECKBOX; overload;
    function Remove(AObject: TMYX_GUI_CHECKBOX): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_CHECKBOX): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_CHECKBOX); overload;
    function First: TMYX_GUI_CHECKBOX; overload;
    function Last: TMYX_GUI_CHECKBOX; overload;
    property Items[Index: Integer]: TMYX_GUI_CHECKBOX read GetItem write SetItem; default;
  end;

  TMYX_GUI_WIDGET = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_WIDGET;

    Fid: string;
    Fcaption: string;
    Fdescription: string;
    Fdefault_value: string;
    Fposition: Integer;
    Fvalue: string;
    Factive: Integer;
    Floose_option: Integer;
    Fmultiple: Integer;
    Fwidget_type: MYX_GUI_WIDGET_TYPE;

  public
    checkbox: TMYX_GUI_CHECKBOX;
    spinedit: TMYX_GUI_SPINEDIT;
    textedit: TMYX_GUI_TEXTEDIT;
    dropdownbox: TMYX_GUI_DROPDOWNBOX;

    alt_names: TStringList;

    constructor create(id: string;caption: string;description: string;default_value: string;position: Integer;value: string;active: Integer;loose_option: Integer;multiple: Integer;widget_type: MYX_GUI_WIDGET_TYPE;checkbox: PMYX_GUI_CHECKBOX;spinedit: PMYX_GUI_SPINEDIT;textedit: PMYX_GUI_TEXTEDIT;dropdownbox: PMYX_GUI_DROPDOWNBOX); overload;
    constructor create(record_pointer: PMYX_GUI_WIDGET); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_WIDGET;

    procedure Assign(Source: TPersistent); override;

    property id: string read Fid write Fid;
    property caption: string read Fcaption write Fcaption;
    property description: string read Fdescription write Fdescription;
    property default_value: string read Fdefault_value write Fdefault_value;
    property position: Integer read Fposition write Fposition;
    property value: string read Fvalue write Fvalue;
    property active: Integer read Factive write Factive;
    property loose_option: Integer read Floose_option write Floose_option;
    property multiple: Integer read Fmultiple write Fmultiple;
    property widget_type: MYX_GUI_WIDGET_TYPE read Fwidget_type write Fwidget_type;
  end;

  TMYX_GUI_WIDGET_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_WIDGET; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_WIDGET); overload;
  public
    function Add(AObject: TMYX_GUI_WIDGET): Integer; overload;
    function Extract(Item: TMYX_GUI_WIDGET): TMYX_GUI_WIDGET; overload;
    function Remove(AObject: TMYX_GUI_WIDGET): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_WIDGET): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_WIDGET); overload;
    function First: TMYX_GUI_WIDGET; overload;
    function Last: TMYX_GUI_WIDGET; overload;
    property Items[Index: Integer]: TMYX_GUI_WIDGET read GetItem write SetItem; default;
  end;

  TMYX_GUI_GROUP = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_GROUP;

    Fcaption: string;
    Fposition: Integer;
    Fid: string;

  public
    widgets: TMYX_GUI_WIDGET_List;



    constructor create(caption: string;position: Integer;id: string); overload;
    constructor create(record_pointer: PMYX_GUI_GROUP); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_GROUP;

    procedure Assign(Source: TPersistent); override;

    property caption: string read Fcaption write Fcaption;
    property position: Integer read Fposition write Fposition;
    property id: string read Fid write Fid;
  end;

  TMYX_GUI_GROUP_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_GROUP; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_GROUP); overload;
  public
    function Add(AObject: TMYX_GUI_GROUP): Integer; overload;
    function Extract(Item: TMYX_GUI_GROUP): TMYX_GUI_GROUP; overload;
    function Remove(AObject: TMYX_GUI_GROUP): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_GROUP): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_GROUP); overload;
    function First: TMYX_GUI_GROUP; overload;
    function Last: TMYX_GUI_GROUP; overload;
    property Items[Index: Integer]: TMYX_GUI_GROUP read GetItem write SetItem; default;
  end;

  TMYX_GUI_PAGE = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_PAGE;

    Fcaption: string;
    Fdescription: string;
    Fposition: Integer;
    Fid: string;

  public
    groups: TMYX_GUI_GROUP_List;



    constructor create(caption: string;description: string;position: Integer;id: string); overload;
    constructor create(record_pointer: PMYX_GUI_PAGE); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_PAGE;

    procedure Assign(Source: TPersistent); override;

    property caption: string read Fcaption write Fcaption;
    property description: string read Fdescription write Fdescription;
    property position: Integer read Fposition write Fposition;
    property id: string read Fid write Fid;
  end;

  TMYX_GUI_PAGE_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_PAGE; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_PAGE); overload;
  public
    function Add(AObject: TMYX_GUI_PAGE): Integer; overload;
    function Extract(Item: TMYX_GUI_PAGE): TMYX_GUI_PAGE; overload;
    function Remove(AObject: TMYX_GUI_PAGE): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_PAGE): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_PAGE); overload;
    function First: TMYX_GUI_PAGE; overload;
    function Last: TMYX_GUI_PAGE; overload;
    property Items[Index: Integer]: TMYX_GUI_PAGE read GetItem write SetItem; default;
  end;

  TMYX_GUI_DESCRIPTION = Class(TPersistent)
  private
    record_pointer: PMYX_GUI_DESCRIPTION;

  public
    pages: TMYX_GUI_PAGE_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_GUI_DESCRIPTION); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_GUI_DESCRIPTION;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_GUI_DESCRIPTION_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_GUI_DESCRIPTION; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_GUI_DESCRIPTION); overload;
  public
    function Add(AObject: TMYX_GUI_DESCRIPTION): Integer; overload;
    function Extract(Item: TMYX_GUI_DESCRIPTION): TMYX_GUI_DESCRIPTION; overload;
    function Remove(AObject: TMYX_GUI_DESCRIPTION): Integer; overload;
    function IndexOf(AObject: TMYX_GUI_DESCRIPTION): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_GUI_DESCRIPTION); overload;
    function First: TMYX_GUI_DESCRIPTION; overload;
    function Last: TMYX_GUI_DESCRIPTION; overload;
    property Items[Index: Integer]: TMYX_GUI_DESCRIPTION read GetItem write SetItem; default;
  end;

  TMYX_STRINGLIST = Class(TPersistent)
  private
    record_pointer: PMYX_STRINGLIST;

  public

    strings: TStringList;

    constructor create(); overload;
    constructor create(record_pointer: PMYX_STRINGLIST); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_STRINGLIST;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_STRINGLIST_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_STRINGLIST; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_STRINGLIST); overload;
  public
    function Add(AObject: TMYX_STRINGLIST): Integer; overload;
    function Extract(Item: TMYX_STRINGLIST): TMYX_STRINGLIST; overload;
    function Remove(AObject: TMYX_STRINGLIST): Integer; overload;
    function IndexOf(AObject: TMYX_STRINGLIST): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_STRINGLIST); overload;
    function First: TMYX_STRINGLIST; overload;
    function Last: TMYX_STRINGLIST; overload;
    property Items[Index: Integer]: TMYX_STRINGLIST read GetItem write SetItem; default;
  end;

  TMYX_BACKUP_TABLE = Class(TPersistent)
  private
    record_pointer: PMYX_BACKUP_TABLE;

    Fcatalog: string;
    Fschema: string;
    Ftable: string;

  public


    constructor create(catalog: string;schema: string;table: string); overload;
    constructor create(record_pointer: PMYX_BACKUP_TABLE); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_BACKUP_TABLE;

    procedure Assign(Source: TPersistent); override;

    property catalog: string read Fcatalog write Fcatalog;
    property schema: string read Fschema write Fschema;
    property table: string read Ftable write Ftable;
  end;

  TMYX_BACKUP_TABLE_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_BACKUP_TABLE; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_BACKUP_TABLE); overload;
  public
    function Add(AObject: TMYX_BACKUP_TABLE): Integer; overload;
    function Extract(Item: TMYX_BACKUP_TABLE): TMYX_BACKUP_TABLE; overload;
    function Remove(AObject: TMYX_BACKUP_TABLE): Integer; overload;
    function IndexOf(AObject: TMYX_BACKUP_TABLE): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_BACKUP_TABLE); overload;
    function First: TMYX_BACKUP_TABLE; overload;
    function Last: TMYX_BACKUP_TABLE; overload;
    property Items[Index: Integer]: TMYX_BACKUP_TABLE read GetItem write SetItem; default;
  end;

  TMYX_BACKUP_CONTENT = Class(TPersistent)
  private
    record_pointer: PMYX_BACKUP_CONTENT;

  public
    tables: TMYX_BACKUP_TABLE_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_BACKUP_CONTENT); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_BACKUP_CONTENT;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_BACKUP_CONTENT_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_BACKUP_CONTENT; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_BACKUP_CONTENT); overload;
  public
    function Add(AObject: TMYX_BACKUP_CONTENT): Integer; overload;
    function Extract(Item: TMYX_BACKUP_CONTENT): TMYX_BACKUP_CONTENT; overload;
    function Remove(AObject: TMYX_BACKUP_CONTENT): Integer; overload;
    function IndexOf(AObject: TMYX_BACKUP_CONTENT): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_BACKUP_CONTENT); overload;
    function First: TMYX_BACKUP_CONTENT; overload;
    function Last: TMYX_BACKUP_CONTENT; overload;
    property Items[Index: Integer]: TMYX_BACKUP_CONTENT read GetItem write SetItem; default;
  end;

  TMYX_BACKUP_PROFILE = Class(TPersistent)
  private
    record_pointer: PMYX_BACKUP_PROFILE;

    Fprofile_name: string;
    Ftarget_directory: string;
    Ffilename_prefix: string;
    Flast_used: string;
    Foptions: Integer;
    Fbackup_type: MYX_BACKUP_TYPE;

  public
    backup_content: TMYX_BACKUP_CONTENT;


    constructor create(profile_name: string;target_directory: string;filename_prefix: string;last_used: string;options: Integer;backup_type: MYX_BACKUP_TYPE;backup_content: PMYX_BACKUP_CONTENT); overload;
    constructor create(record_pointer: PMYX_BACKUP_PROFILE); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_BACKUP_PROFILE;

    procedure Assign(Source: TPersistent); override;

    property profile_name: string read Fprofile_name write Fprofile_name;
    property target_directory: string read Ftarget_directory write Ftarget_directory;
    property filename_prefix: string read Ffilename_prefix write Ffilename_prefix;
    property last_used: string read Flast_used write Flast_used;
    property options: Integer read Foptions write Foptions;
    property backup_type: MYX_BACKUP_TYPE read Fbackup_type write Fbackup_type;
  end;

  TMYX_BACKUP_PROFILE_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_BACKUP_PROFILE; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_BACKUP_PROFILE); overload;
  public
    function Add(AObject: TMYX_BACKUP_PROFILE): Integer; overload;
    function Extract(Item: TMYX_BACKUP_PROFILE): TMYX_BACKUP_PROFILE; overload;
    function Remove(AObject: TMYX_BACKUP_PROFILE): Integer; overload;
    function IndexOf(AObject: TMYX_BACKUP_PROFILE): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_BACKUP_PROFILE); overload;
    function First: TMYX_BACKUP_PROFILE; overload;
    function Last: TMYX_BACKUP_PROFILE; overload;
    property Items[Index: Integer]: TMYX_BACKUP_PROFILE read GetItem write SetItem; default;
  end;

  TMYX_HEALTH_GRAPH = Class(TPersistent)
  private
    record_pointer: PMYX_HEALTH_GRAPH;

    Fgraph_caption: string;
    Fdisplay_graph_caption: Integer;
    Fgraphtype: MYX_HEALTH_GRAPH_TYPE;
    Fvalue_unit: MYX_HEALTH_GRAPH_VALUE_UNIT;
    Fmin: Double;
    Fmax: Double;
    Fautoextend_max: Integer;
    Fvalue_formula: string;
    Fmax_formula: string;
    Fvalue_caption: string;
    Fvalue_caption_trans_id: string;
    Fmax_caption: string;
    Fmax_caption_trans_id: string;
    Frefreshtime: Integer;
    Fpos: Integer;

  public


    constructor create(graph_caption: string;display_graph_caption: Integer;graphtype: MYX_HEALTH_GRAPH_TYPE;value_unit: MYX_HEALTH_GRAPH_VALUE_UNIT;min: Double;max: Double;autoextend_max: Integer;value_formula: string;max_formula: string;value_caption: string;value_caption_trans_id: string;max_caption: string;max_caption_trans_id: string;refreshtime: Integer;pos: Integer); overload;
    constructor create(record_pointer: PMYX_HEALTH_GRAPH); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_HEALTH_GRAPH;

    procedure Assign(Source: TPersistent); override;

    property graph_caption: string read Fgraph_caption write Fgraph_caption;
    property display_graph_caption: Integer read Fdisplay_graph_caption write Fdisplay_graph_caption;
    property graphtype: MYX_HEALTH_GRAPH_TYPE read Fgraphtype write Fgraphtype;
    property value_unit: MYX_HEALTH_GRAPH_VALUE_UNIT read Fvalue_unit write Fvalue_unit;
    property min: Double read Fmin write Fmin;
    property max: Double read Fmax write Fmax;
    property autoextend_max: Integer read Fautoextend_max write Fautoextend_max;
    property value_formula: string read Fvalue_formula write Fvalue_formula;
    property max_formula: string read Fmax_formula write Fmax_formula;
    property value_caption: string read Fvalue_caption write Fvalue_caption;
    property value_caption_trans_id: string read Fvalue_caption_trans_id write Fvalue_caption_trans_id;
    property max_caption: string read Fmax_caption write Fmax_caption;
    property max_caption_trans_id: string read Fmax_caption_trans_id write Fmax_caption_trans_id;
    property refreshtime: Integer read Frefreshtime write Frefreshtime;
    property pos: Integer read Fpos write Fpos;
  end;

  TMYX_HEALTH_GRAPH_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_HEALTH_GRAPH; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_HEALTH_GRAPH); overload;
  public
    function Add(AObject: TMYX_HEALTH_GRAPH): Integer; overload;
    function Extract(Item: TMYX_HEALTH_GRAPH): TMYX_HEALTH_GRAPH; overload;
    function Remove(AObject: TMYX_HEALTH_GRAPH): Integer; overload;
    function IndexOf(AObject: TMYX_HEALTH_GRAPH): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_HEALTH_GRAPH); overload;
    function First: TMYX_HEALTH_GRAPH; overload;
    function Last: TMYX_HEALTH_GRAPH; overload;
    property Items[Index: Integer]: TMYX_HEALTH_GRAPH read GetItem write SetItem; default;
  end;

  TMYX_HEALTH_GROUP = Class(TPersistent)
  private
    record_pointer: PMYX_HEALTH_GROUP;

    Fcaption: string;
    Fcaption_trans_id: string;
    Fpos: Integer;

  public
    graphs: TMYX_HEALTH_GRAPH_List;



    constructor create(caption: string;caption_trans_id: string;pos: Integer); overload;
    constructor create(record_pointer: PMYX_HEALTH_GROUP); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_HEALTH_GROUP;

    procedure Assign(Source: TPersistent); override;

    property caption: string read Fcaption write Fcaption;
    property caption_trans_id: string read Fcaption_trans_id write Fcaption_trans_id;
    property pos: Integer read Fpos write Fpos;
  end;

  TMYX_HEALTH_GROUP_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_HEALTH_GROUP; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_HEALTH_GROUP); overload;
  public
    function Add(AObject: TMYX_HEALTH_GROUP): Integer; overload;
    function Extract(Item: TMYX_HEALTH_GROUP): TMYX_HEALTH_GROUP; overload;
    function Remove(AObject: TMYX_HEALTH_GROUP): Integer; overload;
    function IndexOf(AObject: TMYX_HEALTH_GROUP): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_HEALTH_GROUP); overload;
    function First: TMYX_HEALTH_GROUP; overload;
    function Last: TMYX_HEALTH_GROUP; overload;
    property Items[Index: Integer]: TMYX_HEALTH_GROUP read GetItem write SetItem; default;
  end;

  TMYX_HEALTH_PAGE = Class(TPersistent)
  private
    record_pointer: PMYX_HEALTH_PAGE;

    Fcaption: string;
    Fcaption_trans_id: string;
    Fdescription: string;
    Fdescription_trans_id: string;
    Fpos: Integer;

  public
    groups: TMYX_HEALTH_GROUP_List;



    constructor create(caption: string;caption_trans_id: string;description: string;description_trans_id: string;pos: Integer); overload;
    constructor create(record_pointer: PMYX_HEALTH_PAGE); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_HEALTH_PAGE;

    procedure Assign(Source: TPersistent); override;

    property caption: string read Fcaption write Fcaption;
    property caption_trans_id: string read Fcaption_trans_id write Fcaption_trans_id;
    property description: string read Fdescription write Fdescription;
    property description_trans_id: string read Fdescription_trans_id write Fdescription_trans_id;
    property pos: Integer read Fpos write Fpos;
  end;

  TMYX_HEALTH_PAGE_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_HEALTH_PAGE; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_HEALTH_PAGE); overload;
  public
    function Add(AObject: TMYX_HEALTH_PAGE): Integer; overload;
    function Extract(Item: TMYX_HEALTH_PAGE): TMYX_HEALTH_PAGE; overload;
    function Remove(AObject: TMYX_HEALTH_PAGE): Integer; overload;
    function IndexOf(AObject: TMYX_HEALTH_PAGE): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_HEALTH_PAGE); overload;
    function First: TMYX_HEALTH_PAGE; overload;
    function Last: TMYX_HEALTH_PAGE; overload;
    property Items[Index: Integer]: TMYX_HEALTH_PAGE read GetItem write SetItem; default;
  end;

  TMYX_HEALTH_PAGES = Class(TPersistent)
  private
    record_pointer: PMYX_HEALTH_PAGES;

  public
    pages: TMYX_HEALTH_PAGE_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_HEALTH_PAGES); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_HEALTH_PAGES;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_HEALTH_PAGES_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_HEALTH_PAGES; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_HEALTH_PAGES); overload;
  public
    function Add(AObject: TMYX_HEALTH_PAGES): Integer; overload;
    function Extract(Item: TMYX_HEALTH_PAGES): TMYX_HEALTH_PAGES; overload;
    function Remove(AObject: TMYX_HEALTH_PAGES): Integer; overload;
    function IndexOf(AObject: TMYX_HEALTH_PAGES): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_HEALTH_PAGES); overload;
    function First: TMYX_HEALTH_PAGES; overload;
    function Last: TMYX_HEALTH_PAGES; overload;
    property Items[Index: Integer]: TMYX_HEALTH_PAGES read GetItem write SetItem; default;
  end;

  TMYX_DATETIME = Class(TPersistent)
  private
    record_pointer: PMYX_DATETIME;

    Ftm_year: Cardinal;
    Ftm_mon: Cardinal;
    Ftm_mday: Cardinal;
    Ftm_hour: Cardinal;
    Ftm_min: Cardinal;
    Ftm_sec: Cardinal;

  public


    constructor create(tm_year: Cardinal;tm_mon: Cardinal;tm_mday: Cardinal;tm_hour: Cardinal;tm_min: Cardinal;tm_sec: Cardinal); overload;
    constructor create(record_pointer: PMYX_DATETIME); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_DATETIME;

    procedure Assign(Source: TPersistent); override;

    property tm_year: Cardinal read Ftm_year write Ftm_year;
    property tm_mon: Cardinal read Ftm_mon write Ftm_mon;
    property tm_mday: Cardinal read Ftm_mday write Ftm_mday;
    property tm_hour: Cardinal read Ftm_hour write Ftm_hour;
    property tm_min: Cardinal read Ftm_min write Ftm_min;
    property tm_sec: Cardinal read Ftm_sec write Ftm_sec;
  end;

  TMYX_DATETIME_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_DATETIME; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_DATETIME); overload;
  public
    function Add(AObject: TMYX_DATETIME): Integer; overload;
    function Extract(Item: TMYX_DATETIME): TMYX_DATETIME; overload;
    function Remove(AObject: TMYX_DATETIME): Integer; overload;
    function IndexOf(AObject: TMYX_DATETIME): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_DATETIME); overload;
    function First: TMYX_DATETIME; overload;
    function Last: TMYX_DATETIME; overload;
    property Items[Index: Integer]: TMYX_DATETIME read GetItem write SetItem; default;
  end;

  TMYX_LOGFILE_EVENT = Class(TPersistent)
  private
    record_pointer: PMYX_LOGFILE_EVENT;

    Fevent_type: MYX_LOGFILE_EVENT_TYPE;
    Fline_no: Integer;

  public
    date: TMYX_DATETIME;


    constructor create(event_type: MYX_LOGFILE_EVENT_TYPE;line_no: Integer;date: PMYX_DATETIME); overload;
    constructor create(record_pointer: PMYX_LOGFILE_EVENT); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_LOGFILE_EVENT;

    procedure Assign(Source: TPersistent); override;

    property event_type: MYX_LOGFILE_EVENT_TYPE read Fevent_type write Fevent_type;
    property line_no: Integer read Fline_no write Fline_no;
  end;

  TMYX_LOGFILE_EVENT_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_LOGFILE_EVENT; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_LOGFILE_EVENT); overload;
  public
    function Add(AObject: TMYX_LOGFILE_EVENT): Integer; overload;
    function Extract(Item: TMYX_LOGFILE_EVENT): TMYX_LOGFILE_EVENT; overload;
    function Remove(AObject: TMYX_LOGFILE_EVENT): Integer; overload;
    function IndexOf(AObject: TMYX_LOGFILE_EVENT): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_LOGFILE_EVENT); overload;
    function First: TMYX_LOGFILE_EVENT; overload;
    function Last: TMYX_LOGFILE_EVENT; overload;
    property Items[Index: Integer]: TMYX_LOGFILE_EVENT read GetItem write SetItem; default;
  end;

  TMYX_LOGFILE = Class(TPersistent)
  private
    record_pointer: PMYX_LOGFILE;

    Ffile_size: Int64;
    Fblock_num: Cardinal;

  public
    events: TMYX_LOGFILE_EVENT_List;


    lines: TStringList;

    constructor create(file_size: Int64;block_num: Cardinal); overload;
    constructor create(record_pointer: PMYX_LOGFILE); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_LOGFILE;

    procedure Assign(Source: TPersistent); override;

    property file_size: Int64 read Ffile_size write Ffile_size;
    property block_num: Cardinal read Fblock_num write Fblock_num;
  end;

  TMYX_LOGFILE_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_LOGFILE; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_LOGFILE); overload;
  public
    function Add(AObject: TMYX_LOGFILE): Integer; overload;
    function Extract(Item: TMYX_LOGFILE): TMYX_LOGFILE; overload;
    function Remove(AObject: TMYX_LOGFILE): Integer; overload;
    function IndexOf(AObject: TMYX_LOGFILE): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_LOGFILE); overload;
    function First: TMYX_LOGFILE; overload;
    function Last: TMYX_LOGFILE; overload;
    property Items[Index: Integer]: TMYX_LOGFILE read GetItem write SetItem; default;
  end;

  TMYX_TABLE_COMMAND_STATUS = Class(TPersistent)
  private
    record_pointer: PMYX_TABLE_COMMAND_STATUS;

    Ftable: string;
    Fmessage_type: MYX_COMMAND_MESSAGE_TYPE;
    Fmessage: string;

  public


    constructor create(table: string;message_type: MYX_COMMAND_MESSAGE_TYPE;message: string); overload;
    constructor create(record_pointer: PMYX_TABLE_COMMAND_STATUS); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_TABLE_COMMAND_STATUS;

    procedure Assign(Source: TPersistent); override;

    property table: string read Ftable write Ftable;
    property message_type: MYX_COMMAND_MESSAGE_TYPE read Fmessage_type write Fmessage_type;
    property message: string read Fmessage write Fmessage;
  end;

  TMYX_TABLE_COMMAND_STATUS_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_TABLE_COMMAND_STATUS; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUS); overload;
  public
    function Add(AObject: TMYX_TABLE_COMMAND_STATUS): Integer; overload;
    function Extract(Item: TMYX_TABLE_COMMAND_STATUS): TMYX_TABLE_COMMAND_STATUS; overload;
    function Remove(AObject: TMYX_TABLE_COMMAND_STATUS): Integer; overload;
    function IndexOf(AObject: TMYX_TABLE_COMMAND_STATUS): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUS); overload;
    function First: TMYX_TABLE_COMMAND_STATUS; overload;
    function Last: TMYX_TABLE_COMMAND_STATUS; overload;
    property Items[Index: Integer]: TMYX_TABLE_COMMAND_STATUS read GetItem write SetItem; default;
  end;

  TMYX_TABLE_COMMAND_STATUSES = Class(TPersistent)
  private
    record_pointer: PMYX_TABLE_COMMAND_STATUSES;

  public
    status: TMYX_TABLE_COMMAND_STATUS_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_TABLE_COMMAND_STATUSES); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_TABLE_COMMAND_STATUSES;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_TABLE_COMMAND_STATUSES_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_TABLE_COMMAND_STATUSES; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUSES); overload;
  public
    function Add(AObject: TMYX_TABLE_COMMAND_STATUSES): Integer; overload;
    function Extract(Item: TMYX_TABLE_COMMAND_STATUSES): TMYX_TABLE_COMMAND_STATUSES; overload;
    function Remove(AObject: TMYX_TABLE_COMMAND_STATUSES): Integer; overload;
    function IndexOf(AObject: TMYX_TABLE_COMMAND_STATUSES): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUSES); overload;
    function First: TMYX_TABLE_COMMAND_STATUSES; overload;
    function Last: TMYX_TABLE_COMMAND_STATUSES; overload;
    property Items[Index: Integer]: TMYX_TABLE_COMMAND_STATUSES read GetItem write SetItem; default;
  end;

  TMYX_USER_REPL_HOST = Class(TPersistent)
  private
    record_pointer: PMYX_USER_REPL_HOST;

    Fname: string;

  public


    constructor create(name: string); overload;
    constructor create(record_pointer: PMYX_USER_REPL_HOST); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_USER_REPL_HOST;

    procedure Assign(Source: TPersistent); override;

    property name: string read Fname write Fname;
  end;

  TMYX_USER_REPL_HOST_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_USER_REPL_HOST; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_USER_REPL_HOST); overload;
  public
    function Add(AObject: TMYX_USER_REPL_HOST): Integer; overload;
    function Extract(Item: TMYX_USER_REPL_HOST): TMYX_USER_REPL_HOST; overload;
    function Remove(AObject: TMYX_USER_REPL_HOST): Integer; overload;
    function IndexOf(AObject: TMYX_USER_REPL_HOST): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_USER_REPL_HOST); overload;
    function First: TMYX_USER_REPL_HOST; overload;
    function Last: TMYX_USER_REPL_HOST; overload;
    property Items[Index: Integer]: TMYX_USER_REPL_HOST read GetItem write SetItem; default;
  end;

  TMYX_USER_REPL_HOSTS = Class(TPersistent)
  private
    record_pointer: PMYX_USER_REPL_HOSTS;

  public
    hosts: TMYX_USER_REPL_HOST_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_USER_REPL_HOSTS); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_USER_REPL_HOSTS;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_USER_REPL_HOSTS_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_USER_REPL_HOSTS; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_USER_REPL_HOSTS); overload;
  public
    function Add(AObject: TMYX_USER_REPL_HOSTS): Integer; overload;
    function Extract(Item: TMYX_USER_REPL_HOSTS): TMYX_USER_REPL_HOSTS; overload;
    function Remove(AObject: TMYX_USER_REPL_HOSTS): Integer; overload;
    function IndexOf(AObject: TMYX_USER_REPL_HOSTS): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_USER_REPL_HOSTS); overload;
    function First: TMYX_USER_REPL_HOSTS; overload;
    function Last: TMYX_USER_REPL_HOSTS; overload;
    property Items[Index: Integer]: TMYX_USER_REPL_HOSTS read GetItem write SetItem; default;
  end;

  TMYX_REPL_HOST = Class(TPersistent)
  private
    record_pointer: PMYX_REPL_HOST;

    Fserver_id: Integer;
    Fhost: string;
    Fport: Integer;
    Frpl_recovery_rank: Integer;
    Fmaster_id: Integer;
    Fis_master: Integer;
    Fbinlog_file: string;
    Fbinlog_pos: string;
    Fstatus: MYX_REPL_HOST_STATUS;

  public


    constructor create(server_id: Integer;host: string;port: Integer;rpl_recovery_rank: Integer;master_id: Integer;is_master: Integer;binlog_file: string;binlog_pos: string;status: MYX_REPL_HOST_STATUS); overload;
    constructor create(record_pointer: PMYX_REPL_HOST); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_REPL_HOST;

    procedure Assign(Source: TPersistent); override;

    property server_id: Integer read Fserver_id write Fserver_id;
    property host: string read Fhost write Fhost;
    property port: Integer read Fport write Fport;
    property rpl_recovery_rank: Integer read Frpl_recovery_rank write Frpl_recovery_rank;
    property master_id: Integer read Fmaster_id write Fmaster_id;
    property is_master: Integer read Fis_master write Fis_master;
    property binlog_file: string read Fbinlog_file write Fbinlog_file;
    property binlog_pos: string read Fbinlog_pos write Fbinlog_pos;
    property status: MYX_REPL_HOST_STATUS read Fstatus write Fstatus;
  end;

  TMYX_REPL_HOST_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_REPL_HOST; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_REPL_HOST); overload;
  public
    function Add(AObject: TMYX_REPL_HOST): Integer; overload;
    function Extract(Item: TMYX_REPL_HOST): TMYX_REPL_HOST; overload;
    function Remove(AObject: TMYX_REPL_HOST): Integer; overload;
    function IndexOf(AObject: TMYX_REPL_HOST): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_REPL_HOST); overload;
    function First: TMYX_REPL_HOST; overload;
    function Last: TMYX_REPL_HOST; overload;
    property Items[Index: Integer]: TMYX_REPL_HOST read GetItem write SetItem; default;
  end;

  TMYX_REPL_HOSTS = Class(TPersistent)
  private
    record_pointer: PMYX_REPL_HOSTS;

  public
    hosts: TMYX_REPL_HOST_List;



    constructor create(); overload;
    constructor create(record_pointer: PMYX_REPL_HOSTS); overload;
    destructor destroy; override;

    function get_record_pointer: PMYX_REPL_HOSTS;

    procedure Assign(Source: TPersistent); override;

  end;

  TMYX_REPL_HOSTS_List = Class(TObjectList)
  protected
    function GetItem(Index: Integer): TMYX_REPL_HOSTS; overload;
    procedure SetItem(Index: Integer; AObject: TMYX_REPL_HOSTS); overload;
  public
    function Add(AObject: TMYX_REPL_HOSTS): Integer; overload;
    function Extract(Item: TMYX_REPL_HOSTS): TMYX_REPL_HOSTS; overload;
    function Remove(AObject: TMYX_REPL_HOSTS): Integer; overload;
    function IndexOf(AObject: TMYX_REPL_HOSTS): Integer; overload;
    procedure Insert(Index: Integer; AObject: TMYX_REPL_HOSTS); overload;
    function First: TMYX_REPL_HOSTS; overload;
    function Last: TMYX_REPL_HOSTS; overload;
    property Items[Index: Integer]: TMYX_REPL_HOSTS read GetItem write SetItem; default;
  end;



implementation

  //----------------------------------------------------------------------------
  // class implementations

constructor TMYX_USER_OBJECT_PRIVILEGES.create(host: string;object_name: string);
begin
  inherited create;

  self.Fhost:=host;
  self.Fobject_name:=object_name;
  user_privileges:=TStringList.Create;
end;

constructor TMYX_USER_OBJECT_PRIVILEGES.create(record_pointer: PMYX_USER_OBJECT_PRIVILEGES);
var i: integer;
begin

  create(Utf8ToAnsi(record_pointer.host),Utf8ToAnsi(record_pointer.object_name));

  self.record_pointer:=nil;

  for i:=0 to record_pointer.user_privileges_num-1 do
  begin
    user_privileges.Add(
        PPChar(
          integer(record_pointer.user_privileges)+sizeof(PChar)*i
        )^
      );
  end;
end;

destructor TMYX_USER_OBJECT_PRIVILEGES.destroy;
begin
  //Free Mem allocated for List
  if(record_pointer<>nil)then
    if(record_pointer.user_privileges<>nil)then
      FreeMem(record_pointer.user_privileges);

  //Free List
  user_privileges.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable host
    if(record_pointer.host=nil)then
      FreeMem(record_pointer.host);
    //Free mem for string variable object_name
    if(record_pointer.object_name=nil)then
      FreeMem(record_pointer.object_name);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_USER_OBJECT_PRIVILEGES.get_record_pointer: PMYX_USER_OBJECT_PRIVILEGES;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_USER_OBJECT_PRIVILEGES));
    record_pointer.host:=nil;
    record_pointer.object_name:=nil;
    record_pointer.user_privileges:=nil;
  end;

  //Allocate memory for string variable host
  if(record_pointer.host=nil)then
    GetMem(record_pointer.host, Length(AnsiToUtf8(Fhost))+1)
  else
    ReallocMem(record_pointer.host, Length(AnsiToUtf8(Fhost))+1);
  StrMove(record_pointer.host, PChar(AnsiToUtf8(Fhost)), Length(AnsiToUtf8(Fhost))+1);

  //Allocate memory for string variable object_name
  if(record_pointer.object_name=nil)then
    GetMem(record_pointer.object_name, Length(AnsiToUtf8(Fobject_name))+1)
  else
    ReallocMem(record_pointer.object_name, Length(AnsiToUtf8(Fobject_name))+1);
  StrMove(record_pointer.object_name, PChar(AnsiToUtf8(Fobject_name)), Length(AnsiToUtf8(Fobject_name))+1);

  record_pointer.user_privileges_num:=user_privileges.Count;
  if(user_privileges.Count=0)then
  begin
    if(record_pointer.user_privileges<>nil)then
    begin
      FreeMem(record_pointer.user_privileges);
      record_pointer.user_privileges:=nil;
    end;
  end
  else
  begin
    ReallocMem(record_pointer.user_privileges,
      user_privileges.Count*sizeof(PChar));
  end;

  for i:=0 to user_privileges.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PPChar(
      Integer(record_pointer.user_privileges)+sizeof(PChar)*i
      )^:=PChar(user_privileges[i]);
  end;  Result:=record_pointer;
end;

procedure TMYX_USER_OBJECT_PRIVILEGES.Assign(Source: TPersistent);
begin
  if(Source is TMYX_USER_OBJECT_PRIVILEGES)then
  begin
    with TMYX_USER_OBJECT_PRIVILEGES(Source) do
    begin
      self.host:=host;
      self.object_name:=object_name;
      self.user_privileges.Assign(user_privileges);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_USER_OBJECT_PRIVILEGES_List.GetItem(Index: Integer): TMYX_USER_OBJECT_PRIVILEGES;
begin
  Result:=TMYX_USER_OBJECT_PRIVILEGES(inherited GetItem(Index));
end;

procedure TMYX_USER_OBJECT_PRIVILEGES_List.SetItem(Index: Integer; AObject: TMYX_USER_OBJECT_PRIVILEGES);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_USER_OBJECT_PRIVILEGES_List.Add(AObject: TMYX_USER_OBJECT_PRIVILEGES): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_USER_OBJECT_PRIVILEGES_List.Extract(Item: TMYX_USER_OBJECT_PRIVILEGES): TMYX_USER_OBJECT_PRIVILEGES;
begin
  Result:=TMYX_USER_OBJECT_PRIVILEGES(inherited Extract(Item));
end;

function TMYX_USER_OBJECT_PRIVILEGES_List.Remove(AObject: TMYX_USER_OBJECT_PRIVILEGES): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_USER_OBJECT_PRIVILEGES_List.IndexOf(AObject: TMYX_USER_OBJECT_PRIVILEGES): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_USER_OBJECT_PRIVILEGES_List.Insert(Index: Integer; AObject: TMYX_USER_OBJECT_PRIVILEGES);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_USER_OBJECT_PRIVILEGES_List.First: TMYX_USER_OBJECT_PRIVILEGES;
begin
  Result:=TMYX_USER_OBJECT_PRIVILEGES(inherited First);
end;

function TMYX_USER_OBJECT_PRIVILEGES_List.Last: TMYX_USER_OBJECT_PRIVILEGES;
begin
  Result:=TMYX_USER_OBJECT_PRIVILEGES(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_USER.create(user_name: string;password: string;full_name: string;description: string;email: string;contact_information: string;icon_length: Cardinal;icon: string);
begin
  inherited create;

  self.Fuser_name:=user_name;
  self.Fpassword:=password;
  self.Ffull_name:=full_name;
  self.Fdescription:=description;
  self.Femail:=email;
  self.Fcontact_information:=contact_information;
  self.Ficon_length:=icon_length;
  self.Ficon:=icon;
  self.user_object_privileges:=TMYX_USER_OBJECT_PRIVILEGES_List.Create;
  hosts:=TStringList.Create;
end;

constructor TMYX_USER.create(record_pointer: PMYX_USER);
var i: integer;
begin
  SetString(self.Ficon, record_pointer.icon, record_pointer.icon_length);

  create(Utf8ToAnsi(record_pointer.user_name),Utf8ToAnsi(record_pointer.password),Utf8ToAnsi(record_pointer.full_name),Utf8ToAnsi(record_pointer.description),Utf8ToAnsi(record_pointer.email),Utf8ToAnsi(record_pointer.contact_information),record_pointer.icon_length,self.Ficon);

  self.record_pointer:=nil;

  for i:=0 to record_pointer.user_object_privileges_num-1 do
  begin
    user_object_privileges.Add(TMYX_USER_OBJECT_PRIVILEGES.Create(
      PMYX_USER_OBJECT_PRIVILEGES(
        (Integer(record_pointer.user_object_privileges)+sizeof(MYX_USER_OBJECT_PRIVILEGES)*i)
        )
      ));
  end;
  for i:=0 to record_pointer.hosts_num-1 do
  begin
    hosts.Add(
        PPChar(
          integer(record_pointer.hosts)+sizeof(PChar)*i
        )^
      );
  end;
end;

destructor TMYX_USER.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.user_object_privileges<>nil)then
      FreeMem(record_pointer.user_object_privileges);

  user_object_privileges.Free;

  //Free Mem allocated for List
  if(record_pointer<>nil)then
    if(record_pointer.hosts<>nil)then
      FreeMem(record_pointer.hosts);

  //Free List
  hosts.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable user_name
    if(record_pointer.user_name=nil)then
      FreeMem(record_pointer.user_name);
    //Free mem for string variable password
    if(record_pointer.password=nil)then
      FreeMem(record_pointer.password);
    //Free mem for string variable full_name
    if(record_pointer.full_name=nil)then
      FreeMem(record_pointer.full_name);
    //Free mem for string variable description
    if(record_pointer.description=nil)then
      FreeMem(record_pointer.description);
    //Free mem for string variable email
    if(record_pointer.email=nil)then
      FreeMem(record_pointer.email);
    //Free mem for string variable contact_information
    if(record_pointer.contact_information=nil)then
      FreeMem(record_pointer.contact_information);
    //Free mem for string variable icon
    if(record_pointer.icon=nil)then
      FreeMem(record_pointer.icon);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_USER.get_record_pointer: PMYX_USER;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_USER));
    record_pointer.user_name:=nil;
    record_pointer.password:=nil;
    record_pointer.full_name:=nil;
    record_pointer.description:=nil;
    record_pointer.email:=nil;
    record_pointer.contact_information:=nil;
    record_pointer.icon:=nil;
    record_pointer.user_object_privileges:=nil;
    record_pointer.hosts:=nil;
  end;

  //Allocate memory for string variable user_name
  if(record_pointer.user_name=nil)then
    GetMem(record_pointer.user_name, Length(AnsiToUtf8(Fuser_name))+1)
  else
    ReallocMem(record_pointer.user_name, Length(AnsiToUtf8(Fuser_name))+1);
  StrMove(record_pointer.user_name, PChar(AnsiToUtf8(Fuser_name)), Length(AnsiToUtf8(Fuser_name))+1);

  //Allocate memory for string variable password
  if(record_pointer.password=nil)then
    GetMem(record_pointer.password, Length(AnsiToUtf8(Fpassword))+1)
  else
    ReallocMem(record_pointer.password, Length(AnsiToUtf8(Fpassword))+1);
  StrMove(record_pointer.password, PChar(AnsiToUtf8(Fpassword)), Length(AnsiToUtf8(Fpassword))+1);

  //Allocate memory for string variable full_name
  if(record_pointer.full_name=nil)then
    GetMem(record_pointer.full_name, Length(AnsiToUtf8(Ffull_name))+1)
  else
    ReallocMem(record_pointer.full_name, Length(AnsiToUtf8(Ffull_name))+1);
  StrMove(record_pointer.full_name, PChar(AnsiToUtf8(Ffull_name)), Length(AnsiToUtf8(Ffull_name))+1);

  //Allocate memory for string variable description
  if(record_pointer.description=nil)then
    GetMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1)
  else
    ReallocMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1);
  StrMove(record_pointer.description, PChar(AnsiToUtf8(Fdescription)), Length(AnsiToUtf8(Fdescription))+1);

  //Allocate memory for string variable email
  if(record_pointer.email=nil)then
    GetMem(record_pointer.email, Length(AnsiToUtf8(Femail))+1)
  else
    ReallocMem(record_pointer.email, Length(AnsiToUtf8(Femail))+1);
  StrMove(record_pointer.email, PChar(AnsiToUtf8(Femail)), Length(AnsiToUtf8(Femail))+1);

  //Allocate memory for string variable contact_information
  if(record_pointer.contact_information=nil)then
    GetMem(record_pointer.contact_information, Length(AnsiToUtf8(Fcontact_information))+1)
  else
    ReallocMem(record_pointer.contact_information, Length(AnsiToUtf8(Fcontact_information))+1);
  StrMove(record_pointer.contact_information, PChar(AnsiToUtf8(Fcontact_information)), Length(AnsiToUtf8(Fcontact_information))+1);

  record_pointer.icon_length:=Cardinal(Ficon_length);
  //Allocate memory for variable icon
  if(record_pointer.icon=nil)then
    GetMem(record_pointer.icon, Ficon_length)
  else
    ReallocMem(record_pointer.icon, Ficon_length);
  StrMove(record_pointer.icon, PChar(Ficon), Ficon_length);

  record_pointer.user_object_privileges_num:=user_object_privileges.Count;
  //if the number of user_object_privileges is now 0, free memory
  if(user_object_privileges.Count=0)then
  begin
    if(record_pointer.user_object_privileges<>nil)then
    begin
      FreeMem(record_pointer.user_object_privileges);
      record_pointer.user_object_privileges:=nil;
    end;
  end
  //make sure enough memory is allocated for all user_object_privileges in the "array"
  else
  begin
    ReallocMem(record_pointer.user_object_privileges,
      user_object_privileges.Count*sizeof(MYX_USER_OBJECT_PRIVILEGES));
  end;

  //Get all records in the "array"
  for i:=0 to user_object_privileges.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_USER_OBJECT_PRIVILEGES(
      Integer(record_pointer.user_object_privileges)+sizeof(MYX_USER_OBJECT_PRIVILEGES)*i
      )^:=(TMYX_USER_OBJECT_PRIVILEGES(user_object_privileges[i]).get_record_pointer)^;
  end;

    record_pointer.hosts_num:=hosts.Count;
  if(hosts.Count=0)then
  begin
    if(record_pointer.hosts<>nil)then
    begin
      FreeMem(record_pointer.hosts);
      record_pointer.hosts:=nil;
    end;
  end
  else
  begin
    ReallocMem(record_pointer.hosts,
      hosts.Count*sizeof(PChar));
  end;

  for i:=0 to hosts.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PPChar(
      Integer(record_pointer.hosts)+sizeof(PChar)*i
      )^:=PChar(hosts[i]);
  end;  Result:=record_pointer;
end;

procedure TMYX_USER.Assign(Source: TPersistent);
begin
  if(Source is TMYX_USER)then
  begin
    with TMYX_USER(Source) do
    begin
      self.user_name:=user_name;
      self.password:=password;
      self.full_name:=full_name;
      self.description:=description;
      self.email:=email;
      self.contact_information:=contact_information;
      self.icon_length:=icon_length;
      self.icon:=icon;
      self.user_object_privileges.Assign(user_object_privileges);
      self.hosts.Assign(hosts);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_USER_List.GetItem(Index: Integer): TMYX_USER;
begin
  Result:=TMYX_USER(inherited GetItem(Index));
end;

procedure TMYX_USER_List.SetItem(Index: Integer; AObject: TMYX_USER);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_USER_List.Add(AObject: TMYX_USER): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_USER_List.Extract(Item: TMYX_USER): TMYX_USER;
begin
  Result:=TMYX_USER(inherited Extract(Item));
end;

function TMYX_USER_List.Remove(AObject: TMYX_USER): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_USER_List.IndexOf(AObject: TMYX_USER): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_USER_List.Insert(Index: Integer; AObject: TMYX_USER);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_USER_List.First: TMYX_USER;
begin
  Result:=TMYX_USER(inherited First);
end;

function TMYX_USER_List.Last: TMYX_USER;
begin
  Result:=TMYX_USER(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_USER_NAMES.create();
begin
  inherited create;

  user_names:=TStringList.Create;
end;

constructor TMYX_USER_NAMES.create(record_pointer: PMYX_USER_NAMES);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.user_names_num-1 do
  begin
    user_names.Add(
        PPChar(
          integer(record_pointer.user_names)+sizeof(PChar)*i
        )^
      );
  end;
end;

destructor TMYX_USER_NAMES.destroy;
begin
  //Free Mem allocated for List
  if(record_pointer<>nil)then
    if(record_pointer.user_names<>nil)then
      FreeMem(record_pointer.user_names);

  //Free List
  user_names.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_USER_NAMES.get_record_pointer: PMYX_USER_NAMES;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_USER_NAMES));
    record_pointer.user_names:=nil;
  end;

  record_pointer.user_names_num:=user_names.Count;
  if(user_names.Count=0)then
  begin
    if(record_pointer.user_names<>nil)then
    begin
      FreeMem(record_pointer.user_names);
      record_pointer.user_names:=nil;
    end;
  end
  else
  begin
    ReallocMem(record_pointer.user_names,
      user_names.Count*sizeof(PChar));
  end;

  for i:=0 to user_names.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PPChar(
      Integer(record_pointer.user_names)+sizeof(PChar)*i
      )^:=PChar(user_names[i]);
  end;  Result:=record_pointer;
end;

procedure TMYX_USER_NAMES.Assign(Source: TPersistent);
begin
  if(Source is TMYX_USER_NAMES)then
  begin
    with TMYX_USER_NAMES(Source) do
    begin
      self.user_names.Assign(user_names);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_USER_NAMES_List.GetItem(Index: Integer): TMYX_USER_NAMES;
begin
  Result:=TMYX_USER_NAMES(inherited GetItem(Index));
end;

procedure TMYX_USER_NAMES_List.SetItem(Index: Integer; AObject: TMYX_USER_NAMES);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_USER_NAMES_List.Add(AObject: TMYX_USER_NAMES): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_USER_NAMES_List.Extract(Item: TMYX_USER_NAMES): TMYX_USER_NAMES;
begin
  Result:=TMYX_USER_NAMES(inherited Extract(Item));
end;

function TMYX_USER_NAMES_List.Remove(AObject: TMYX_USER_NAMES): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_USER_NAMES_List.IndexOf(AObject: TMYX_USER_NAMES): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_USER_NAMES_List.Insert(Index: Integer; AObject: TMYX_USER_NAMES);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_USER_NAMES_List.First: TMYX_USER_NAMES;
begin
  Result:=TMYX_USER_NAMES(inherited First);
end;

function TMYX_USER_NAMES_List.Last: TMYX_USER_NAMES;
begin
  Result:=TMYX_USER_NAMES(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_PROCESS_INFO.create(id: string;user: string;host: string;db: string;command: string;time: string;state: string;info: string);
begin
  inherited create;

  self.Fid:=id;
  self.Fuser:=user;
  self.Fhost:=host;
  self.Fdb:=db;
  self.Fcommand:=command;
  self.Ftime:=time;
  self.Fstate:=state;
  self.Finfo:=info;
end;

constructor TMYX_PROCESS_INFO.create(record_pointer: PMYX_PROCESS_INFO);
begin

  create(Utf8ToAnsi(record_pointer.id),Utf8ToAnsi(record_pointer.user),Utf8ToAnsi(record_pointer.host),Utf8ToAnsi(record_pointer.db),Utf8ToAnsi(record_pointer.command),Utf8ToAnsi(record_pointer.time),Utf8ToAnsi(record_pointer.state),Utf8ToAnsi(record_pointer.info));

  self.record_pointer:=nil;

end;

destructor TMYX_PROCESS_INFO.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable id
    if(record_pointer.id=nil)then
      FreeMem(record_pointer.id);
    //Free mem for string variable user
    if(record_pointer.user=nil)then
      FreeMem(record_pointer.user);
    //Free mem for string variable host
    if(record_pointer.host=nil)then
      FreeMem(record_pointer.host);
    //Free mem for string variable db
    if(record_pointer.db=nil)then
      FreeMem(record_pointer.db);
    //Free mem for string variable command
    if(record_pointer.command=nil)then
      FreeMem(record_pointer.command);
    //Free mem for string variable time
    if(record_pointer.time=nil)then
      FreeMem(record_pointer.time);
    //Free mem for string variable state
    if(record_pointer.state=nil)then
      FreeMem(record_pointer.state);
    //Free mem for string variable info
    if(record_pointer.info=nil)then
      FreeMem(record_pointer.info);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_PROCESS_INFO.get_record_pointer: PMYX_PROCESS_INFO;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_PROCESS_INFO));
    record_pointer.id:=nil;
    record_pointer.user:=nil;
    record_pointer.host:=nil;
    record_pointer.db:=nil;
    record_pointer.command:=nil;
    record_pointer.time:=nil;
    record_pointer.state:=nil;
    record_pointer.info:=nil;
  end;

  //Allocate memory for string variable id
  if(record_pointer.id=nil)then
    GetMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1)
  else
    ReallocMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1);
  StrMove(record_pointer.id, PChar(AnsiToUtf8(Fid)), Length(AnsiToUtf8(Fid))+1);

  //Allocate memory for string variable user
  if(record_pointer.user=nil)then
    GetMem(record_pointer.user, Length(AnsiToUtf8(Fuser))+1)
  else
    ReallocMem(record_pointer.user, Length(AnsiToUtf8(Fuser))+1);
  StrMove(record_pointer.user, PChar(AnsiToUtf8(Fuser)), Length(AnsiToUtf8(Fuser))+1);

  //Allocate memory for string variable host
  if(record_pointer.host=nil)then
    GetMem(record_pointer.host, Length(AnsiToUtf8(Fhost))+1)
  else
    ReallocMem(record_pointer.host, Length(AnsiToUtf8(Fhost))+1);
  StrMove(record_pointer.host, PChar(AnsiToUtf8(Fhost)), Length(AnsiToUtf8(Fhost))+1);

  //Allocate memory for string variable db
  if(record_pointer.db=nil)then
    GetMem(record_pointer.db, Length(AnsiToUtf8(Fdb))+1)
  else
    ReallocMem(record_pointer.db, Length(AnsiToUtf8(Fdb))+1);
  StrMove(record_pointer.db, PChar(AnsiToUtf8(Fdb)), Length(AnsiToUtf8(Fdb))+1);

  //Allocate memory for string variable command
  if(record_pointer.command=nil)then
    GetMem(record_pointer.command, Length(AnsiToUtf8(Fcommand))+1)
  else
    ReallocMem(record_pointer.command, Length(AnsiToUtf8(Fcommand))+1);
  StrMove(record_pointer.command, PChar(AnsiToUtf8(Fcommand)), Length(AnsiToUtf8(Fcommand))+1);

  //Allocate memory for string variable time
  if(record_pointer.time=nil)then
    GetMem(record_pointer.time, Length(AnsiToUtf8(Ftime))+1)
  else
    ReallocMem(record_pointer.time, Length(AnsiToUtf8(Ftime))+1);
  StrMove(record_pointer.time, PChar(AnsiToUtf8(Ftime)), Length(AnsiToUtf8(Ftime))+1);

  //Allocate memory for string variable state
  if(record_pointer.state=nil)then
    GetMem(record_pointer.state, Length(AnsiToUtf8(Fstate))+1)
  else
    ReallocMem(record_pointer.state, Length(AnsiToUtf8(Fstate))+1);
  StrMove(record_pointer.state, PChar(AnsiToUtf8(Fstate)), Length(AnsiToUtf8(Fstate))+1);

  //Allocate memory for string variable info
  if(record_pointer.info=nil)then
    GetMem(record_pointer.info, Length(AnsiToUtf8(Finfo))+1)
  else
    ReallocMem(record_pointer.info, Length(AnsiToUtf8(Finfo))+1);
  StrMove(record_pointer.info, PChar(AnsiToUtf8(Finfo)), Length(AnsiToUtf8(Finfo))+1);

  Result:=record_pointer;
end;

procedure TMYX_PROCESS_INFO.Assign(Source: TPersistent);
begin
  if(Source is TMYX_PROCESS_INFO)then
  begin
    with TMYX_PROCESS_INFO(Source) do
    begin
      self.id:=id;
      self.user:=user;
      self.host:=host;
      self.db:=db;
      self.command:=command;
      self.time:=time;
      self.state:=state;
      self.info:=info;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_PROCESS_INFO_List.GetItem(Index: Integer): TMYX_PROCESS_INFO;
begin
  Result:=TMYX_PROCESS_INFO(inherited GetItem(Index));
end;

procedure TMYX_PROCESS_INFO_List.SetItem(Index: Integer; AObject: TMYX_PROCESS_INFO);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_PROCESS_INFO_List.Add(AObject: TMYX_PROCESS_INFO): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_PROCESS_INFO_List.Extract(Item: TMYX_PROCESS_INFO): TMYX_PROCESS_INFO;
begin
  Result:=TMYX_PROCESS_INFO(inherited Extract(Item));
end;

function TMYX_PROCESS_INFO_List.Remove(AObject: TMYX_PROCESS_INFO): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_PROCESS_INFO_List.IndexOf(AObject: TMYX_PROCESS_INFO): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_PROCESS_INFO_List.Insert(Index: Integer; AObject: TMYX_PROCESS_INFO);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_PROCESS_INFO_List.First: TMYX_PROCESS_INFO;
begin
  Result:=TMYX_PROCESS_INFO(inherited First);
end;

function TMYX_PROCESS_INFO_List.Last: TMYX_PROCESS_INFO;
begin
  Result:=TMYX_PROCESS_INFO(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_PROCESS_LIST.create();
begin
  inherited create;

  self.process_infos:=TMYX_PROCESS_INFO_List.Create;
end;

constructor TMYX_PROCESS_LIST.create(record_pointer: PMYX_PROCESS_LIST);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.process_infos_num-1 do
  begin
    process_infos.Add(TMYX_PROCESS_INFO.Create(
      PMYX_PROCESS_INFO(
        (Integer(record_pointer.process_infos)+sizeof(MYX_PROCESS_INFO)*i)
        )
      ));
  end;
end;

destructor TMYX_PROCESS_LIST.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.process_infos<>nil)then
      FreeMem(record_pointer.process_infos);

  process_infos.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_PROCESS_LIST.get_record_pointer: PMYX_PROCESS_LIST;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_PROCESS_LIST));
    record_pointer.process_infos:=nil;
  end;

  record_pointer.process_infos_num:=process_infos.Count;
  //if the number of process_infos is now 0, free memory
  if(process_infos.Count=0)then
  begin
    if(record_pointer.process_infos<>nil)then
    begin
      FreeMem(record_pointer.process_infos);
      record_pointer.process_infos:=nil;
    end;
  end
  //make sure enough memory is allocated for all process_infos in the "array"
  else
  begin
    ReallocMem(record_pointer.process_infos,
      process_infos.Count*sizeof(MYX_PROCESS_INFO));
  end;

  //Get all records in the "array"
  for i:=0 to process_infos.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_PROCESS_INFO(
      Integer(record_pointer.process_infos)+sizeof(MYX_PROCESS_INFO)*i
      )^:=(TMYX_PROCESS_INFO(process_infos[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_PROCESS_LIST.Assign(Source: TPersistent);
begin
  if(Source is TMYX_PROCESS_LIST)then
  begin
    with TMYX_PROCESS_LIST(Source) do
    begin
      self.process_infos.Assign(process_infos);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_PROCESS_LIST_List.GetItem(Index: Integer): TMYX_PROCESS_LIST;
begin
  Result:=TMYX_PROCESS_LIST(inherited GetItem(Index));
end;

procedure TMYX_PROCESS_LIST_List.SetItem(Index: Integer; AObject: TMYX_PROCESS_LIST);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_PROCESS_LIST_List.Add(AObject: TMYX_PROCESS_LIST): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_PROCESS_LIST_List.Extract(Item: TMYX_PROCESS_LIST): TMYX_PROCESS_LIST;
begin
  Result:=TMYX_PROCESS_LIST(inherited Extract(Item));
end;

function TMYX_PROCESS_LIST_List.Remove(AObject: TMYX_PROCESS_LIST): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_PROCESS_LIST_List.IndexOf(AObject: TMYX_PROCESS_LIST): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_PROCESS_LIST_List.Insert(Index: Integer; AObject: TMYX_PROCESS_LIST);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_PROCESS_LIST_List.First: TMYX_PROCESS_LIST;
begin
  Result:=TMYX_PROCESS_LIST(inherited First);
end;

function TMYX_PROCESS_LIST_List.Last: TMYX_PROCESS_LIST;
begin
  Result:=TMYX_PROCESS_LIST(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_VARIABLE.create(name: string;value: string);
begin
  inherited create;

  self.Fname:=name;
  self.Fvalue:=value;
end;

constructor TMYX_VARIABLE.create(record_pointer: PMYX_VARIABLE);
begin

  create(Utf8ToAnsi(record_pointer.name),Utf8ToAnsi(record_pointer.value));

  self.record_pointer:=nil;

end;

destructor TMYX_VARIABLE.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable name
    if(record_pointer.name=nil)then
      FreeMem(record_pointer.name);
    //Free mem for string variable value
    if(record_pointer.value=nil)then
      FreeMem(record_pointer.value);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_VARIABLE.get_record_pointer: PMYX_VARIABLE;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_VARIABLE));
    record_pointer.name:=nil;
    record_pointer.value:=nil;
  end;

  //Allocate memory for string variable name
  if(record_pointer.name=nil)then
    GetMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1)
  else
    ReallocMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1);
  StrMove(record_pointer.name, PChar(AnsiToUtf8(Fname)), Length(AnsiToUtf8(Fname))+1);

  //Allocate memory for string variable value
  if(record_pointer.value=nil)then
    GetMem(record_pointer.value, Length(AnsiToUtf8(Fvalue))+1)
  else
    ReallocMem(record_pointer.value, Length(AnsiToUtf8(Fvalue))+1);
  StrMove(record_pointer.value, PChar(AnsiToUtf8(Fvalue)), Length(AnsiToUtf8(Fvalue))+1);

  Result:=record_pointer;
end;

procedure TMYX_VARIABLE.Assign(Source: TPersistent);
begin
  if(Source is TMYX_VARIABLE)then
  begin
    with TMYX_VARIABLE(Source) do
    begin
      self.name:=name;
      self.value:=value;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_VARIABLE_List.GetItem(Index: Integer): TMYX_VARIABLE;
begin
  Result:=TMYX_VARIABLE(inherited GetItem(Index));
end;

procedure TMYX_VARIABLE_List.SetItem(Index: Integer; AObject: TMYX_VARIABLE);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_VARIABLE_List.Add(AObject: TMYX_VARIABLE): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_VARIABLE_List.Extract(Item: TMYX_VARIABLE): TMYX_VARIABLE;
begin
  Result:=TMYX_VARIABLE(inherited Extract(Item));
end;

function TMYX_VARIABLE_List.Remove(AObject: TMYX_VARIABLE): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_VARIABLE_List.IndexOf(AObject: TMYX_VARIABLE): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_VARIABLE_List.Insert(Index: Integer; AObject: TMYX_VARIABLE);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_VARIABLE_List.First: TMYX_VARIABLE;
begin
  Result:=TMYX_VARIABLE(inherited First);
end;

function TMYX_VARIABLE_List.Last: TMYX_VARIABLE;
begin
  Result:=TMYX_VARIABLE(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_VARIABLES.create();
begin
  inherited create;

  self.variables:=TMYX_VARIABLE_List.Create;
end;

constructor TMYX_VARIABLES.create(record_pointer: PMYX_VARIABLES);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.variables_num-1 do
  begin
    variables.Add(TMYX_VARIABLE.Create(
      PMYX_VARIABLE(
        (Integer(record_pointer.variables)+sizeof(MYX_VARIABLE)*i)
        )
      ));
  end;
end;

destructor TMYX_VARIABLES.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.variables<>nil)then
      FreeMem(record_pointer.variables);

  variables.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_VARIABLES.get_record_pointer: PMYX_VARIABLES;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_VARIABLES));
    record_pointer.variables:=nil;
  end;

  record_pointer.variables_num:=variables.Count;
  //if the number of variables is now 0, free memory
  if(variables.Count=0)then
  begin
    if(record_pointer.variables<>nil)then
    begin
      FreeMem(record_pointer.variables);
      record_pointer.variables:=nil;
    end;
  end
  //make sure enough memory is allocated for all variables in the "array"
  else
  begin
    ReallocMem(record_pointer.variables,
      variables.Count*sizeof(MYX_VARIABLE));
  end;

  //Get all records in the "array"
  for i:=0 to variables.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_VARIABLE(
      Integer(record_pointer.variables)+sizeof(MYX_VARIABLE)*i
      )^:=(TMYX_VARIABLE(variables[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_VARIABLES.Assign(Source: TPersistent);
begin
  if(Source is TMYX_VARIABLES)then
  begin
    with TMYX_VARIABLES(Source) do
    begin
      self.variables.Assign(variables);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_VARIABLES_List.GetItem(Index: Integer): TMYX_VARIABLES;
begin
  Result:=TMYX_VARIABLES(inherited GetItem(Index));
end;

procedure TMYX_VARIABLES_List.SetItem(Index: Integer; AObject: TMYX_VARIABLES);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_VARIABLES_List.Add(AObject: TMYX_VARIABLES): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_VARIABLES_List.Extract(Item: TMYX_VARIABLES): TMYX_VARIABLES;
begin
  Result:=TMYX_VARIABLES(inherited Extract(Item));
end;

function TMYX_VARIABLES_List.Remove(AObject: TMYX_VARIABLES): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_VARIABLES_List.IndexOf(AObject: TMYX_VARIABLES): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_VARIABLES_List.Insert(Index: Integer; AObject: TMYX_VARIABLES);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_VARIABLES_List.First: TMYX_VARIABLES;
begin
  Result:=TMYX_VARIABLES(inherited First);
end;

function TMYX_VARIABLES_List.Last: TMYX_VARIABLES;
begin
  Result:=TMYX_VARIABLES(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_VARIABLE_ELEMENT.create(mysql_id: string;desc_id: string;editable: Cardinal);
begin
  inherited create;

  self.Fmysql_id:=mysql_id;
  self.Fdesc_id:=desc_id;
  self.Feditable:=editable;
end;

constructor TMYX_VARIABLE_ELEMENT.create(record_pointer: PMYX_VARIABLE_ELEMENT);
begin

  create(Utf8ToAnsi(record_pointer.mysql_id),Utf8ToAnsi(record_pointer.desc_id),record_pointer.editable);

  self.record_pointer:=nil;

end;

destructor TMYX_VARIABLE_ELEMENT.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable mysql_id
    if(record_pointer.mysql_id=nil)then
      FreeMem(record_pointer.mysql_id);
    //Free mem for string variable desc_id
    if(record_pointer.desc_id=nil)then
      FreeMem(record_pointer.desc_id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_VARIABLE_ELEMENT.get_record_pointer: PMYX_VARIABLE_ELEMENT;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_VARIABLE_ELEMENT));
    record_pointer.mysql_id:=nil;
    record_pointer.desc_id:=nil;
  end;

  //Allocate memory for string variable mysql_id
  if(record_pointer.mysql_id=nil)then
    GetMem(record_pointer.mysql_id, Length(AnsiToUtf8(Fmysql_id))+1)
  else
    ReallocMem(record_pointer.mysql_id, Length(AnsiToUtf8(Fmysql_id))+1);
  StrMove(record_pointer.mysql_id, PChar(AnsiToUtf8(Fmysql_id)), Length(AnsiToUtf8(Fmysql_id))+1);

  //Allocate memory for string variable desc_id
  if(record_pointer.desc_id=nil)then
    GetMem(record_pointer.desc_id, Length(AnsiToUtf8(Fdesc_id))+1)
  else
    ReallocMem(record_pointer.desc_id, Length(AnsiToUtf8(Fdesc_id))+1);
  StrMove(record_pointer.desc_id, PChar(AnsiToUtf8(Fdesc_id)), Length(AnsiToUtf8(Fdesc_id))+1);

  record_pointer.editable:=Cardinal(Feditable);
  Result:=record_pointer;
end;

procedure TMYX_VARIABLE_ELEMENT.Assign(Source: TPersistent);
begin
  if(Source is TMYX_VARIABLE_ELEMENT)then
  begin
    with TMYX_VARIABLE_ELEMENT(Source) do
    begin
      self.mysql_id:=mysql_id;
      self.desc_id:=desc_id;
      self.editable:=editable;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_VARIABLE_ELEMENT_List.GetItem(Index: Integer): TMYX_VARIABLE_ELEMENT;
begin
  Result:=TMYX_VARIABLE_ELEMENT(inherited GetItem(Index));
end;

procedure TMYX_VARIABLE_ELEMENT_List.SetItem(Index: Integer; AObject: TMYX_VARIABLE_ELEMENT);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_VARIABLE_ELEMENT_List.Add(AObject: TMYX_VARIABLE_ELEMENT): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_VARIABLE_ELEMENT_List.Extract(Item: TMYX_VARIABLE_ELEMENT): TMYX_VARIABLE_ELEMENT;
begin
  Result:=TMYX_VARIABLE_ELEMENT(inherited Extract(Item));
end;

function TMYX_VARIABLE_ELEMENT_List.Remove(AObject: TMYX_VARIABLE_ELEMENT): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_VARIABLE_ELEMENT_List.IndexOf(AObject: TMYX_VARIABLE_ELEMENT): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_VARIABLE_ELEMENT_List.Insert(Index: Integer; AObject: TMYX_VARIABLE_ELEMENT);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_VARIABLE_ELEMENT_List.First: TMYX_VARIABLE_ELEMENT;
begin
  Result:=TMYX_VARIABLE_ELEMENT(inherited First);
end;

function TMYX_VARIABLE_ELEMENT_List.Last: TMYX_VARIABLE_ELEMENT;
begin
  Result:=TMYX_VARIABLE_ELEMENT(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_VARIABLES_SUBGROUP.create(pos: Cardinal;name: string;caption_id: string);
begin
  inherited create;

  self.Fpos:=pos;
  self.Fname:=name;
  self.Fcaption_id:=caption_id;
  self.variables:=TMYX_VARIABLE_ELEMENT_List.Create;
end;

constructor TMYX_VARIABLES_SUBGROUP.create(record_pointer: PMYX_VARIABLES_SUBGROUP);
var i: integer;
begin

  create(record_pointer.pos,Utf8ToAnsi(record_pointer.name),Utf8ToAnsi(record_pointer.caption_id));

  self.record_pointer:=nil;

  for i:=0 to record_pointer.variables_num-1 do
  begin
    variables.Add(TMYX_VARIABLE_ELEMENT.Create(
      PMYX_VARIABLE_ELEMENT(
        (Integer(record_pointer.variables)+sizeof(MYX_VARIABLE_ELEMENT)*i)
        )
      ));
  end;
end;

destructor TMYX_VARIABLES_SUBGROUP.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.variables<>nil)then
      FreeMem(record_pointer.variables);

  variables.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable name
    if(record_pointer.name=nil)then
      FreeMem(record_pointer.name);
    //Free mem for string variable caption_id
    if(record_pointer.caption_id=nil)then
      FreeMem(record_pointer.caption_id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_VARIABLES_SUBGROUP.get_record_pointer: PMYX_VARIABLES_SUBGROUP;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_VARIABLES_SUBGROUP));
    record_pointer.name:=nil;
    record_pointer.caption_id:=nil;
    record_pointer.variables:=nil;
  end;

  record_pointer.pos:=Cardinal(Fpos);
  //Allocate memory for string variable name
  if(record_pointer.name=nil)then
    GetMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1)
  else
    ReallocMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1);
  StrMove(record_pointer.name, PChar(AnsiToUtf8(Fname)), Length(AnsiToUtf8(Fname))+1);

  //Allocate memory for string variable caption_id
  if(record_pointer.caption_id=nil)then
    GetMem(record_pointer.caption_id, Length(AnsiToUtf8(Fcaption_id))+1)
  else
    ReallocMem(record_pointer.caption_id, Length(AnsiToUtf8(Fcaption_id))+1);
  StrMove(record_pointer.caption_id, PChar(AnsiToUtf8(Fcaption_id)), Length(AnsiToUtf8(Fcaption_id))+1);

  record_pointer.variables_num:=variables.Count;
  //if the number of variables is now 0, free memory
  if(variables.Count=0)then
  begin
    if(record_pointer.variables<>nil)then
    begin
      FreeMem(record_pointer.variables);
      record_pointer.variables:=nil;
    end;
  end
  //make sure enough memory is allocated for all variables in the "array"
  else
  begin
    ReallocMem(record_pointer.variables,
      variables.Count*sizeof(MYX_VARIABLE_ELEMENT));
  end;

  //Get all records in the "array"
  for i:=0 to variables.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_VARIABLE_ELEMENT(
      Integer(record_pointer.variables)+sizeof(MYX_VARIABLE_ELEMENT)*i
      )^:=(TMYX_VARIABLE_ELEMENT(variables[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_VARIABLES_SUBGROUP.Assign(Source: TPersistent);
begin
  if(Source is TMYX_VARIABLES_SUBGROUP)then
  begin
    with TMYX_VARIABLES_SUBGROUP(Source) do
    begin
      self.pos:=pos;
      self.name:=name;
      self.caption_id:=caption_id;
      self.variables.Assign(variables);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_VARIABLES_SUBGROUP_List.GetItem(Index: Integer): TMYX_VARIABLES_SUBGROUP;
begin
  Result:=TMYX_VARIABLES_SUBGROUP(inherited GetItem(Index));
end;

procedure TMYX_VARIABLES_SUBGROUP_List.SetItem(Index: Integer; AObject: TMYX_VARIABLES_SUBGROUP);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_VARIABLES_SUBGROUP_List.Add(AObject: TMYX_VARIABLES_SUBGROUP): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_VARIABLES_SUBGROUP_List.Extract(Item: TMYX_VARIABLES_SUBGROUP): TMYX_VARIABLES_SUBGROUP;
begin
  Result:=TMYX_VARIABLES_SUBGROUP(inherited Extract(Item));
end;

function TMYX_VARIABLES_SUBGROUP_List.Remove(AObject: TMYX_VARIABLES_SUBGROUP): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_VARIABLES_SUBGROUP_List.IndexOf(AObject: TMYX_VARIABLES_SUBGROUP): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_VARIABLES_SUBGROUP_List.Insert(Index: Integer; AObject: TMYX_VARIABLES_SUBGROUP);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_VARIABLES_SUBGROUP_List.First: TMYX_VARIABLES_SUBGROUP;
begin
  Result:=TMYX_VARIABLES_SUBGROUP(inherited First);
end;

function TMYX_VARIABLES_SUBGROUP_List.Last: TMYX_VARIABLES_SUBGROUP;
begin
  Result:=TMYX_VARIABLES_SUBGROUP(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_VARIABLES_GROUP.create(pos: Cardinal;name: string;caption_id: string);
begin
  inherited create;

  self.Fpos:=pos;
  self.Fname:=name;
  self.Fcaption_id:=caption_id;
  self.variables:=TMYX_VARIABLE_ELEMENT_List.Create;
  self.subgroups:=TMYX_VARIABLES_SUBGROUP_List.Create;
end;

constructor TMYX_VARIABLES_GROUP.create(record_pointer: PMYX_VARIABLES_GROUP);
var i: integer;
begin

  create(record_pointer.pos,Utf8ToAnsi(record_pointer.name),Utf8ToAnsi(record_pointer.caption_id));

  self.record_pointer:=nil;

  for i:=0 to record_pointer.variables_num-1 do
  begin
    variables.Add(TMYX_VARIABLE_ELEMENT.Create(
      PMYX_VARIABLE_ELEMENT(
        (Integer(record_pointer.variables)+sizeof(MYX_VARIABLE_ELEMENT)*i)
        )
      ));
  end;
  for i:=0 to record_pointer.subgroups_num-1 do
  begin
    subgroups.Add(TMYX_VARIABLES_SUBGROUP.Create(
      PMYX_VARIABLES_SUBGROUP(
        (Integer(record_pointer.subgroups)+sizeof(MYX_VARIABLES_SUBGROUP)*i)
        )
      ));
  end;
end;

destructor TMYX_VARIABLES_GROUP.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.variables<>nil)then
      FreeMem(record_pointer.variables);

  variables.Free;

  if(record_pointer<>nil)then
    if(record_pointer.subgroups<>nil)then
      FreeMem(record_pointer.subgroups);

  subgroups.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable name
    if(record_pointer.name=nil)then
      FreeMem(record_pointer.name);
    //Free mem for string variable caption_id
    if(record_pointer.caption_id=nil)then
      FreeMem(record_pointer.caption_id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_VARIABLES_GROUP.get_record_pointer: PMYX_VARIABLES_GROUP;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_VARIABLES_GROUP));
    record_pointer.name:=nil;
    record_pointer.caption_id:=nil;
    record_pointer.variables:=nil;
    record_pointer.subgroups:=nil;
  end;

  record_pointer.pos:=Cardinal(Fpos);
  //Allocate memory for string variable name
  if(record_pointer.name=nil)then
    GetMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1)
  else
    ReallocMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1);
  StrMove(record_pointer.name, PChar(AnsiToUtf8(Fname)), Length(AnsiToUtf8(Fname))+1);

  //Allocate memory for string variable caption_id
  if(record_pointer.caption_id=nil)then
    GetMem(record_pointer.caption_id, Length(AnsiToUtf8(Fcaption_id))+1)
  else
    ReallocMem(record_pointer.caption_id, Length(AnsiToUtf8(Fcaption_id))+1);
  StrMove(record_pointer.caption_id, PChar(AnsiToUtf8(Fcaption_id)), Length(AnsiToUtf8(Fcaption_id))+1);

  record_pointer.variables_num:=variables.Count;
  //if the number of variables is now 0, free memory
  if(variables.Count=0)then
  begin
    if(record_pointer.variables<>nil)then
    begin
      FreeMem(record_pointer.variables);
      record_pointer.variables:=nil;
    end;
  end
  //make sure enough memory is allocated for all variables in the "array"
  else
  begin
    ReallocMem(record_pointer.variables,
      variables.Count*sizeof(MYX_VARIABLE_ELEMENT));
  end;

  //Get all records in the "array"
  for i:=0 to variables.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_VARIABLE_ELEMENT(
      Integer(record_pointer.variables)+sizeof(MYX_VARIABLE_ELEMENT)*i
      )^:=(TMYX_VARIABLE_ELEMENT(variables[i]).get_record_pointer)^;
  end;

    record_pointer.subgroups_num:=subgroups.Count;
  //if the number of subgroups is now 0, free memory
  if(subgroups.Count=0)then
  begin
    if(record_pointer.subgroups<>nil)then
    begin
      FreeMem(record_pointer.subgroups);
      record_pointer.subgroups:=nil;
    end;
  end
  //make sure enough memory is allocated for all subgroups in the "array"
  else
  begin
    ReallocMem(record_pointer.subgroups,
      subgroups.Count*sizeof(MYX_VARIABLES_SUBGROUP));
  end;

  //Get all records in the "array"
  for i:=0 to subgroups.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_VARIABLES_SUBGROUP(
      Integer(record_pointer.subgroups)+sizeof(MYX_VARIABLES_SUBGROUP)*i
      )^:=(TMYX_VARIABLES_SUBGROUP(subgroups[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_VARIABLES_GROUP.Assign(Source: TPersistent);
begin
  if(Source is TMYX_VARIABLES_GROUP)then
  begin
    with TMYX_VARIABLES_GROUP(Source) do
    begin
      self.pos:=pos;
      self.name:=name;
      self.caption_id:=caption_id;
      self.variables.Assign(variables);
      self.subgroups.Assign(subgroups);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_VARIABLES_GROUP_List.GetItem(Index: Integer): TMYX_VARIABLES_GROUP;
begin
  Result:=TMYX_VARIABLES_GROUP(inherited GetItem(Index));
end;

procedure TMYX_VARIABLES_GROUP_List.SetItem(Index: Integer; AObject: TMYX_VARIABLES_GROUP);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_VARIABLES_GROUP_List.Add(AObject: TMYX_VARIABLES_GROUP): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_VARIABLES_GROUP_List.Extract(Item: TMYX_VARIABLES_GROUP): TMYX_VARIABLES_GROUP;
begin
  Result:=TMYX_VARIABLES_GROUP(inherited Extract(Item));
end;

function TMYX_VARIABLES_GROUP_List.Remove(AObject: TMYX_VARIABLES_GROUP): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_VARIABLES_GROUP_List.IndexOf(AObject: TMYX_VARIABLES_GROUP): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_VARIABLES_GROUP_List.Insert(Index: Integer; AObject: TMYX_VARIABLES_GROUP);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_VARIABLES_GROUP_List.First: TMYX_VARIABLES_GROUP;
begin
  Result:=TMYX_VARIABLES_GROUP(inherited First);
end;

function TMYX_VARIABLES_GROUP_List.Last: TMYX_VARIABLES_GROUP;
begin
  Result:=TMYX_VARIABLES_GROUP(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_VARIABLES_LISTING.create();
begin
  inherited create;

  self.groups:=TMYX_VARIABLES_GROUP_List.Create;
end;

constructor TMYX_VARIABLES_LISTING.create(record_pointer: PMYX_VARIABLES_LISTING);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.groups_num-1 do
  begin
    groups.Add(TMYX_VARIABLES_GROUP.Create(
      PMYX_VARIABLES_GROUP(
        (Integer(record_pointer.groups)+sizeof(MYX_VARIABLES_GROUP)*i)
        )
      ));
  end;
end;

destructor TMYX_VARIABLES_LISTING.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.groups<>nil)then
      FreeMem(record_pointer.groups);

  groups.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_VARIABLES_LISTING.get_record_pointer: PMYX_VARIABLES_LISTING;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_VARIABLES_LISTING));
    record_pointer.groups:=nil;
  end;

  record_pointer.groups_num:=groups.Count;
  //if the number of groups is now 0, free memory
  if(groups.Count=0)then
  begin
    if(record_pointer.groups<>nil)then
    begin
      FreeMem(record_pointer.groups);
      record_pointer.groups:=nil;
    end;
  end
  //make sure enough memory is allocated for all groups in the "array"
  else
  begin
    ReallocMem(record_pointer.groups,
      groups.Count*sizeof(MYX_VARIABLES_GROUP));
  end;

  //Get all records in the "array"
  for i:=0 to groups.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_VARIABLES_GROUP(
      Integer(record_pointer.groups)+sizeof(MYX_VARIABLES_GROUP)*i
      )^:=(TMYX_VARIABLES_GROUP(groups[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_VARIABLES_LISTING.Assign(Source: TPersistent);
begin
  if(Source is TMYX_VARIABLES_LISTING)then
  begin
    with TMYX_VARIABLES_LISTING(Source) do
    begin
      self.groups.Assign(groups);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_VARIABLES_LISTING_List.GetItem(Index: Integer): TMYX_VARIABLES_LISTING;
begin
  Result:=TMYX_VARIABLES_LISTING(inherited GetItem(Index));
end;

procedure TMYX_VARIABLES_LISTING_List.SetItem(Index: Integer; AObject: TMYX_VARIABLES_LISTING);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_VARIABLES_LISTING_List.Add(AObject: TMYX_VARIABLES_LISTING): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_VARIABLES_LISTING_List.Extract(Item: TMYX_VARIABLES_LISTING): TMYX_VARIABLES_LISTING;
begin
  Result:=TMYX_VARIABLES_LISTING(inherited Extract(Item));
end;

function TMYX_VARIABLES_LISTING_List.Remove(AObject: TMYX_VARIABLES_LISTING): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_VARIABLES_LISTING_List.IndexOf(AObject: TMYX_VARIABLES_LISTING): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_VARIABLES_LISTING_List.Insert(Index: Integer; AObject: TMYX_VARIABLES_LISTING);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_VARIABLES_LISTING_List.First: TMYX_VARIABLES_LISTING;
begin
  Result:=TMYX_VARIABLES_LISTING(inherited First);
end;

function TMYX_VARIABLES_LISTING_List.Last: TMYX_VARIABLES_LISTING;
begin
  Result:=TMYX_VARIABLES_LISTING(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_DROPDOWNBOX.create(editable: Integer);
begin
  inherited create;

  self.Feditable:=editable;
  items:=TStringList.Create;
end;

constructor TMYX_GUI_DROPDOWNBOX.create(record_pointer: PMYX_GUI_DROPDOWNBOX);
var i: integer;
begin

  create(record_pointer.editable);

  self.record_pointer:=nil;

  for i:=0 to record_pointer.items_num-1 do
  begin
    items.Add(
        PPChar(
          integer(record_pointer.items)+sizeof(PChar)*i
        )^
      );
  end;
end;

destructor TMYX_GUI_DROPDOWNBOX.destroy;
begin
  //Free Mem allocated for List
  if(record_pointer<>nil)then
    if(record_pointer.items<>nil)then
      FreeMem(record_pointer.items);

  //Free List
  items.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_DROPDOWNBOX.get_record_pointer: PMYX_GUI_DROPDOWNBOX;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_DROPDOWNBOX));
    record_pointer.items:=nil;
  end;

  record_pointer.editable:=Integer(Feditable);
  record_pointer.items_num:=items.Count;
  if(items.Count=0)then
  begin
    if(record_pointer.items<>nil)then
    begin
      FreeMem(record_pointer.items);
      record_pointer.items:=nil;
    end;
  end
  else
  begin
    ReallocMem(record_pointer.items,
      items.Count*sizeof(PChar));
  end;

  for i:=0 to items.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PPChar(
      Integer(record_pointer.items)+sizeof(PChar)*i
      )^:=PChar(items[i]);
  end;  Result:=record_pointer;
end;

procedure TMYX_GUI_DROPDOWNBOX.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_DROPDOWNBOX)then
  begin
    with TMYX_GUI_DROPDOWNBOX(Source) do
    begin
      self.editable:=editable;
      self.items.Assign(items);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_DROPDOWNBOX_List.GetItem(Index: Integer): TMYX_GUI_DROPDOWNBOX;
begin
  Result:=TMYX_GUI_DROPDOWNBOX(inherited GetItem(Index));
end;

procedure TMYX_GUI_DROPDOWNBOX_List.SetItem(Index: Integer; AObject: TMYX_GUI_DROPDOWNBOX);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_DROPDOWNBOX_List.Add(AObject: TMYX_GUI_DROPDOWNBOX): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_DROPDOWNBOX_List.Extract(Item: TMYX_GUI_DROPDOWNBOX): TMYX_GUI_DROPDOWNBOX;
begin
  Result:=TMYX_GUI_DROPDOWNBOX(inherited Extract(Item));
end;

function TMYX_GUI_DROPDOWNBOX_List.Remove(AObject: TMYX_GUI_DROPDOWNBOX): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_DROPDOWNBOX_List.IndexOf(AObject: TMYX_GUI_DROPDOWNBOX): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_DROPDOWNBOX_List.Insert(Index: Integer; AObject: TMYX_GUI_DROPDOWNBOX);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_DROPDOWNBOX_List.First: TMYX_GUI_DROPDOWNBOX;
begin
  Result:=TMYX_GUI_DROPDOWNBOX(inherited First);
end;

function TMYX_GUI_DROPDOWNBOX_List.Last: TMYX_GUI_DROPDOWNBOX;
begin
  Result:=TMYX_GUI_DROPDOWNBOX(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_TEXTEDIT.create(edit_type: string);
begin
  inherited create;

  self.Fedit_type:=edit_type;
end;

constructor TMYX_GUI_TEXTEDIT.create(record_pointer: PMYX_GUI_TEXTEDIT);
begin

  create(Utf8ToAnsi(record_pointer.edit_type));

  self.record_pointer:=nil;

end;

destructor TMYX_GUI_TEXTEDIT.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable edit_type
    if(record_pointer.edit_type=nil)then
      FreeMem(record_pointer.edit_type);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_TEXTEDIT.get_record_pointer: PMYX_GUI_TEXTEDIT;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_TEXTEDIT));
    record_pointer.edit_type:=nil;
  end;

  //Allocate memory for string variable edit_type
  if(record_pointer.edit_type=nil)then
    GetMem(record_pointer.edit_type, Length(AnsiToUtf8(Fedit_type))+1)
  else
    ReallocMem(record_pointer.edit_type, Length(AnsiToUtf8(Fedit_type))+1);
  StrMove(record_pointer.edit_type, PChar(AnsiToUtf8(Fedit_type)), Length(AnsiToUtf8(Fedit_type))+1);

  Result:=record_pointer;
end;

procedure TMYX_GUI_TEXTEDIT.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_TEXTEDIT)then
  begin
    with TMYX_GUI_TEXTEDIT(Source) do
    begin
      self.edit_type:=edit_type;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_TEXTEDIT_List.GetItem(Index: Integer): TMYX_GUI_TEXTEDIT;
begin
  Result:=TMYX_GUI_TEXTEDIT(inherited GetItem(Index));
end;

procedure TMYX_GUI_TEXTEDIT_List.SetItem(Index: Integer; AObject: TMYX_GUI_TEXTEDIT);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_TEXTEDIT_List.Add(AObject: TMYX_GUI_TEXTEDIT): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_TEXTEDIT_List.Extract(Item: TMYX_GUI_TEXTEDIT): TMYX_GUI_TEXTEDIT;
begin
  Result:=TMYX_GUI_TEXTEDIT(inherited Extract(Item));
end;

function TMYX_GUI_TEXTEDIT_List.Remove(AObject: TMYX_GUI_TEXTEDIT): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_TEXTEDIT_List.IndexOf(AObject: TMYX_GUI_TEXTEDIT): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_TEXTEDIT_List.Insert(Index: Integer; AObject: TMYX_GUI_TEXTEDIT);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_TEXTEDIT_List.First: TMYX_GUI_TEXTEDIT;
begin
  Result:=TMYX_GUI_TEXTEDIT(inherited First);
end;

function TMYX_GUI_TEXTEDIT_List.Last: TMYX_GUI_TEXTEDIT;
begin
  Result:=TMYX_GUI_TEXTEDIT(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_SPINEDIT.create(unitcontrolbox: string);
begin
  inherited create;

  self.Funitcontrolbox:=unitcontrolbox;
end;

constructor TMYX_GUI_SPINEDIT.create(record_pointer: PMYX_GUI_SPINEDIT);
begin

  create(Utf8ToAnsi(record_pointer.unitcontrolbox));

  self.record_pointer:=nil;

end;

destructor TMYX_GUI_SPINEDIT.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable unitcontrolbox
    if(record_pointer.unitcontrolbox=nil)then
      FreeMem(record_pointer.unitcontrolbox);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_SPINEDIT.get_record_pointer: PMYX_GUI_SPINEDIT;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_SPINEDIT));
    record_pointer.unitcontrolbox:=nil;
  end;

  //Allocate memory for string variable unitcontrolbox
  if(record_pointer.unitcontrolbox=nil)then
    GetMem(record_pointer.unitcontrolbox, Length(AnsiToUtf8(Funitcontrolbox))+1)
  else
    ReallocMem(record_pointer.unitcontrolbox, Length(AnsiToUtf8(Funitcontrolbox))+1);
  StrMove(record_pointer.unitcontrolbox, PChar(AnsiToUtf8(Funitcontrolbox)), Length(AnsiToUtf8(Funitcontrolbox))+1);

  Result:=record_pointer;
end;

procedure TMYX_GUI_SPINEDIT.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_SPINEDIT)then
  begin
    with TMYX_GUI_SPINEDIT(Source) do
    begin
      self.unitcontrolbox:=unitcontrolbox;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_SPINEDIT_List.GetItem(Index: Integer): TMYX_GUI_SPINEDIT;
begin
  Result:=TMYX_GUI_SPINEDIT(inherited GetItem(Index));
end;

procedure TMYX_GUI_SPINEDIT_List.SetItem(Index: Integer; AObject: TMYX_GUI_SPINEDIT);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_SPINEDIT_List.Add(AObject: TMYX_GUI_SPINEDIT): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_SPINEDIT_List.Extract(Item: TMYX_GUI_SPINEDIT): TMYX_GUI_SPINEDIT;
begin
  Result:=TMYX_GUI_SPINEDIT(inherited Extract(Item));
end;

function TMYX_GUI_SPINEDIT_List.Remove(AObject: TMYX_GUI_SPINEDIT): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_SPINEDIT_List.IndexOf(AObject: TMYX_GUI_SPINEDIT): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_SPINEDIT_List.Insert(Index: Integer; AObject: TMYX_GUI_SPINEDIT);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_SPINEDIT_List.First: TMYX_GUI_SPINEDIT;
begin
  Result:=TMYX_GUI_SPINEDIT(inherited First);
end;

function TMYX_GUI_SPINEDIT_List.Last: TMYX_GUI_SPINEDIT;
begin
  Result:=TMYX_GUI_SPINEDIT(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_CHECKBOX.create(is_boolean: Integer;invert: Integer);
begin
  inherited create;

  self.Fis_boolean:=is_boolean;
  self.Finvert:=invert;
end;

constructor TMYX_GUI_CHECKBOX.create(record_pointer: PMYX_GUI_CHECKBOX);
begin

  create(record_pointer.is_boolean,record_pointer.invert);

  self.record_pointer:=nil;

end;

destructor TMYX_GUI_CHECKBOX.destroy;
begin
  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_CHECKBOX.get_record_pointer: PMYX_GUI_CHECKBOX;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_CHECKBOX));
  end;

  record_pointer.is_boolean:=Integer(Fis_boolean);
  record_pointer.invert:=Integer(Finvert);
  Result:=record_pointer;
end;

procedure TMYX_GUI_CHECKBOX.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_CHECKBOX)then
  begin
    with TMYX_GUI_CHECKBOX(Source) do
    begin
      self.is_boolean:=is_boolean;
      self.invert:=invert;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_CHECKBOX_List.GetItem(Index: Integer): TMYX_GUI_CHECKBOX;
begin
  Result:=TMYX_GUI_CHECKBOX(inherited GetItem(Index));
end;

procedure TMYX_GUI_CHECKBOX_List.SetItem(Index: Integer; AObject: TMYX_GUI_CHECKBOX);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_CHECKBOX_List.Add(AObject: TMYX_GUI_CHECKBOX): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_CHECKBOX_List.Extract(Item: TMYX_GUI_CHECKBOX): TMYX_GUI_CHECKBOX;
begin
  Result:=TMYX_GUI_CHECKBOX(inherited Extract(Item));
end;

function TMYX_GUI_CHECKBOX_List.Remove(AObject: TMYX_GUI_CHECKBOX): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_CHECKBOX_List.IndexOf(AObject: TMYX_GUI_CHECKBOX): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_CHECKBOX_List.Insert(Index: Integer; AObject: TMYX_GUI_CHECKBOX);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_CHECKBOX_List.First: TMYX_GUI_CHECKBOX;
begin
  Result:=TMYX_GUI_CHECKBOX(inherited First);
end;

function TMYX_GUI_CHECKBOX_List.Last: TMYX_GUI_CHECKBOX;
begin
  Result:=TMYX_GUI_CHECKBOX(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_WIDGET.create(id: string;caption: string;description: string;default_value: string;position: Integer;value: string;active: Integer;loose_option: Integer;multiple: Integer;widget_type: MYX_GUI_WIDGET_TYPE;checkbox: PMYX_GUI_CHECKBOX;spinedit: PMYX_GUI_SPINEDIT;textedit: PMYX_GUI_TEXTEDIT;dropdownbox: PMYX_GUI_DROPDOWNBOX);
begin
  inherited create;

  self.Fid:=id;
  self.Fcaption:=caption;
  self.Fdescription:=description;
  self.Fdefault_value:=default_value;
  self.Fposition:=position;
  self.Fvalue:=value;
  self.Factive:=active;
  self.Floose_option:=loose_option;
  self.Fmultiple:=multiple;
  self.Fwidget_type:=widget_type;
  if(checkbox<>nil)then
    self.checkbox:=TMYX_GUI_CHECKBOX.Create(checkbox)
  else
    self.checkbox:=nil;
  if(spinedit<>nil)then
    self.spinedit:=TMYX_GUI_SPINEDIT.Create(spinedit)
  else
    self.spinedit:=nil;
  if(textedit<>nil)then
    self.textedit:=TMYX_GUI_TEXTEDIT.Create(textedit)
  else
    self.textedit:=nil;
  if(dropdownbox<>nil)then
    self.dropdownbox:=TMYX_GUI_DROPDOWNBOX.Create(dropdownbox)
  else
    self.dropdownbox:=nil;
  alt_names:=TStringList.Create;
end;

constructor TMYX_GUI_WIDGET.create(record_pointer: PMYX_GUI_WIDGET);
var i: integer;
begin

  create(Utf8ToAnsi(record_pointer.id),Utf8ToAnsi(record_pointer.caption),Utf8ToAnsi(record_pointer.description),Utf8ToAnsi(record_pointer.default_value),record_pointer.position,Utf8ToAnsi(record_pointer.value),record_pointer.active,record_pointer.loose_option,record_pointer.multiple,record_pointer.widget_type,record_pointer.checkbox,record_pointer.spinedit,record_pointer.textedit,record_pointer.dropdownbox);

  self.record_pointer:=nil;

  for i:=0 to record_pointer.alt_names_num-1 do
  begin
    alt_names.Add(
        PPChar(
          integer(record_pointer.alt_names)+sizeof(PChar)*i
        )^
      );
  end;
end;

destructor TMYX_GUI_WIDGET.destroy;
begin
  if(checkbox<>nil)then
    checkbox.Free;
  if(spinedit<>nil)then
    spinedit.Free;
  if(textedit<>nil)then
    textedit.Free;
  if(dropdownbox<>nil)then
    dropdownbox.Free;
  //Free Mem allocated for List
  if(record_pointer<>nil)then
    if(record_pointer.alt_names<>nil)then
      FreeMem(record_pointer.alt_names);

  //Free List
  alt_names.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable id
    if(record_pointer.id=nil)then
      FreeMem(record_pointer.id);
    //Free mem for string variable caption
    if(record_pointer.caption=nil)then
      FreeMem(record_pointer.caption);
    //Free mem for string variable description
    if(record_pointer.description=nil)then
      FreeMem(record_pointer.description);
    //Free mem for string variable default_value
    if(record_pointer.default_value=nil)then
      FreeMem(record_pointer.default_value);
    //Free mem for string variable value
    if(record_pointer.value=nil)then
      FreeMem(record_pointer.value);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_WIDGET.get_record_pointer: PMYX_GUI_WIDGET;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_WIDGET));
    record_pointer.id:=nil;
    record_pointer.caption:=nil;
    record_pointer.description:=nil;
    record_pointer.default_value:=nil;
    record_pointer.value:=nil;
    record_pointer.alt_names:=nil;
  end;

  //Allocate memory for string variable id
  if(record_pointer.id=nil)then
    GetMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1)
  else
    ReallocMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1);
  StrMove(record_pointer.id, PChar(AnsiToUtf8(Fid)), Length(AnsiToUtf8(Fid))+1);

  //Allocate memory for string variable caption
  if(record_pointer.caption=nil)then
    GetMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1)
  else
    ReallocMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1);
  StrMove(record_pointer.caption, PChar(AnsiToUtf8(Fcaption)), Length(AnsiToUtf8(Fcaption))+1);

  //Allocate memory for string variable description
  if(record_pointer.description=nil)then
    GetMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1)
  else
    ReallocMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1);
  StrMove(record_pointer.description, PChar(AnsiToUtf8(Fdescription)), Length(AnsiToUtf8(Fdescription))+1);

  //Allocate memory for string variable default_value
  if(record_pointer.default_value=nil)then
    GetMem(record_pointer.default_value, Length(AnsiToUtf8(Fdefault_value))+1)
  else
    ReallocMem(record_pointer.default_value, Length(AnsiToUtf8(Fdefault_value))+1);
  StrMove(record_pointer.default_value, PChar(AnsiToUtf8(Fdefault_value)), Length(AnsiToUtf8(Fdefault_value))+1);

  record_pointer.position:=Integer(Fposition);
  //Allocate memory for string variable value
  if(record_pointer.value=nil)then
    GetMem(record_pointer.value, Length(AnsiToUtf8(Fvalue))+1)
  else
    ReallocMem(record_pointer.value, Length(AnsiToUtf8(Fvalue))+1);
  StrMove(record_pointer.value, PChar(AnsiToUtf8(Fvalue)), Length(AnsiToUtf8(Fvalue))+1);

  record_pointer.active:=Integer(Factive);
  record_pointer.loose_option:=Integer(Floose_option);
  record_pointer.multiple:=Integer(Fmultiple);
  record_pointer.widget_type:=MYX_GUI_WIDGET_TYPE(Fwidget_type);
  if(checkbox<>nil)then
    record_pointer.checkbox:=checkbox.get_record_pointer
  else
    record_pointer.checkbox:=nil;
  if(spinedit<>nil)then
    record_pointer.spinedit:=spinedit.get_record_pointer
  else
    record_pointer.spinedit:=nil;
  if(textedit<>nil)then
    record_pointer.textedit:=textedit.get_record_pointer
  else
    record_pointer.textedit:=nil;
  if(dropdownbox<>nil)then
    record_pointer.dropdownbox:=dropdownbox.get_record_pointer
  else
    record_pointer.dropdownbox:=nil;
  record_pointer.alt_names_num:=alt_names.Count;
  if(alt_names.Count=0)then
  begin
    if(record_pointer.alt_names<>nil)then
    begin
      FreeMem(record_pointer.alt_names);
      record_pointer.alt_names:=nil;
    end;
  end
  else
  begin
    ReallocMem(record_pointer.alt_names,
      alt_names.Count*sizeof(PChar));
  end;

  for i:=0 to alt_names.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PPChar(
      Integer(record_pointer.alt_names)+sizeof(PChar)*i
      )^:=PChar(alt_names[i]);
  end;  Result:=record_pointer;
end;

procedure TMYX_GUI_WIDGET.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_WIDGET)then
  begin
    with TMYX_GUI_WIDGET(Source) do
    begin
      self.id:=id;
      self.caption:=caption;
      self.description:=description;
      self.default_value:=default_value;
      self.position:=position;
      self.value:=value;
      self.active:=active;
      self.loose_option:=loose_option;
      self.multiple:=multiple;
      self.widget_type:=widget_type;
      if(self.checkbox<>nil)and(checkbox<>nil)then
        self.checkbox.Assign(checkbox);
      if(self.spinedit<>nil)and(spinedit<>nil)then
        self.spinedit.Assign(spinedit);
      if(self.textedit<>nil)and(textedit<>nil)then
        self.textedit.Assign(textedit);
      if(self.dropdownbox<>nil)and(dropdownbox<>nil)then
        self.dropdownbox.Assign(dropdownbox);
      self.alt_names.Assign(alt_names);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_WIDGET_List.GetItem(Index: Integer): TMYX_GUI_WIDGET;
begin
  Result:=TMYX_GUI_WIDGET(inherited GetItem(Index));
end;

procedure TMYX_GUI_WIDGET_List.SetItem(Index: Integer; AObject: TMYX_GUI_WIDGET);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_WIDGET_List.Add(AObject: TMYX_GUI_WIDGET): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_WIDGET_List.Extract(Item: TMYX_GUI_WIDGET): TMYX_GUI_WIDGET;
begin
  Result:=TMYX_GUI_WIDGET(inherited Extract(Item));
end;

function TMYX_GUI_WIDGET_List.Remove(AObject: TMYX_GUI_WIDGET): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_WIDGET_List.IndexOf(AObject: TMYX_GUI_WIDGET): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_WIDGET_List.Insert(Index: Integer; AObject: TMYX_GUI_WIDGET);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_WIDGET_List.First: TMYX_GUI_WIDGET;
begin
  Result:=TMYX_GUI_WIDGET(inherited First);
end;

function TMYX_GUI_WIDGET_List.Last: TMYX_GUI_WIDGET;
begin
  Result:=TMYX_GUI_WIDGET(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_GROUP.create(caption: string;position: Integer;id: string);
begin
  inherited create;

  self.Fcaption:=caption;
  self.Fposition:=position;
  self.Fid:=id;
  self.widgets:=TMYX_GUI_WIDGET_List.Create;
end;

constructor TMYX_GUI_GROUP.create(record_pointer: PMYX_GUI_GROUP);
var i: integer;
begin

  create(Utf8ToAnsi(record_pointer.caption),record_pointer.position,Utf8ToAnsi(record_pointer.id));

  self.record_pointer:=nil;

  for i:=0 to record_pointer.widgets_num-1 do
  begin
    widgets.Add(TMYX_GUI_WIDGET.Create(
      PMYX_GUI_WIDGET(
        (Integer(record_pointer.widgets)+sizeof(MYX_GUI_WIDGET)*i)
        )
      ));
  end;
end;

destructor TMYX_GUI_GROUP.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.widgets<>nil)then
      FreeMem(record_pointer.widgets);

  widgets.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable caption
    if(record_pointer.caption=nil)then
      FreeMem(record_pointer.caption);
    //Free mem for string variable id
    if(record_pointer.id=nil)then
      FreeMem(record_pointer.id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_GROUP.get_record_pointer: PMYX_GUI_GROUP;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_GROUP));
    record_pointer.caption:=nil;
    record_pointer.id:=nil;
    record_pointer.widgets:=nil;
  end;

  //Allocate memory for string variable caption
  if(record_pointer.caption=nil)then
    GetMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1)
  else
    ReallocMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1);
  StrMove(record_pointer.caption, PChar(AnsiToUtf8(Fcaption)), Length(AnsiToUtf8(Fcaption))+1);

  record_pointer.position:=Integer(Fposition);
  //Allocate memory for string variable id
  if(record_pointer.id=nil)then
    GetMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1)
  else
    ReallocMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1);
  StrMove(record_pointer.id, PChar(AnsiToUtf8(Fid)), Length(AnsiToUtf8(Fid))+1);

  record_pointer.widgets_num:=widgets.Count;
  //if the number of widgets is now 0, free memory
  if(widgets.Count=0)then
  begin
    if(record_pointer.widgets<>nil)then
    begin
      FreeMem(record_pointer.widgets);
      record_pointer.widgets:=nil;
    end;
  end
  //make sure enough memory is allocated for all widgets in the "array"
  else
  begin
    ReallocMem(record_pointer.widgets,
      widgets.Count*sizeof(MYX_GUI_WIDGET));
  end;

  //Get all records in the "array"
  for i:=0 to widgets.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_GUI_WIDGET(
      Integer(record_pointer.widgets)+sizeof(MYX_GUI_WIDGET)*i
      )^:=(TMYX_GUI_WIDGET(widgets[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_GUI_GROUP.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_GROUP)then
  begin
    with TMYX_GUI_GROUP(Source) do
    begin
      self.caption:=caption;
      self.position:=position;
      self.id:=id;
      self.widgets.Assign(widgets);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_GROUP_List.GetItem(Index: Integer): TMYX_GUI_GROUP;
begin
  Result:=TMYX_GUI_GROUP(inherited GetItem(Index));
end;

procedure TMYX_GUI_GROUP_List.SetItem(Index: Integer; AObject: TMYX_GUI_GROUP);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_GROUP_List.Add(AObject: TMYX_GUI_GROUP): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_GROUP_List.Extract(Item: TMYX_GUI_GROUP): TMYX_GUI_GROUP;
begin
  Result:=TMYX_GUI_GROUP(inherited Extract(Item));
end;

function TMYX_GUI_GROUP_List.Remove(AObject: TMYX_GUI_GROUP): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_GROUP_List.IndexOf(AObject: TMYX_GUI_GROUP): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_GROUP_List.Insert(Index: Integer; AObject: TMYX_GUI_GROUP);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_GROUP_List.First: TMYX_GUI_GROUP;
begin
  Result:=TMYX_GUI_GROUP(inherited First);
end;

function TMYX_GUI_GROUP_List.Last: TMYX_GUI_GROUP;
begin
  Result:=TMYX_GUI_GROUP(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_PAGE.create(caption: string;description: string;position: Integer;id: string);
begin
  inherited create;

  self.Fcaption:=caption;
  self.Fdescription:=description;
  self.Fposition:=position;
  self.Fid:=id;
  self.groups:=TMYX_GUI_GROUP_List.Create;
end;

constructor TMYX_GUI_PAGE.create(record_pointer: PMYX_GUI_PAGE);
var i: integer;
begin

  create(Utf8ToAnsi(record_pointer.caption),Utf8ToAnsi(record_pointer.description),record_pointer.position,Utf8ToAnsi(record_pointer.id));

  self.record_pointer:=nil;

  for i:=0 to record_pointer.groups_num-1 do
  begin
    groups.Add(TMYX_GUI_GROUP.Create(
      PMYX_GUI_GROUP(
        (Integer(record_pointer.groups)+sizeof(MYX_GUI_GROUP)*i)
        )
      ));
  end;
end;

destructor TMYX_GUI_PAGE.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.groups<>nil)then
      FreeMem(record_pointer.groups);

  groups.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable caption
    if(record_pointer.caption=nil)then
      FreeMem(record_pointer.caption);
    //Free mem for string variable description
    if(record_pointer.description=nil)then
      FreeMem(record_pointer.description);
    //Free mem for string variable id
    if(record_pointer.id=nil)then
      FreeMem(record_pointer.id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_PAGE.get_record_pointer: PMYX_GUI_PAGE;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_PAGE));
    record_pointer.caption:=nil;
    record_pointer.description:=nil;
    record_pointer.id:=nil;
    record_pointer.groups:=nil;
  end;

  //Allocate memory for string variable caption
  if(record_pointer.caption=nil)then
    GetMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1)
  else
    ReallocMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1);
  StrMove(record_pointer.caption, PChar(AnsiToUtf8(Fcaption)), Length(AnsiToUtf8(Fcaption))+1);

  //Allocate memory for string variable description
  if(record_pointer.description=nil)then
    GetMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1)
  else
    ReallocMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1);
  StrMove(record_pointer.description, PChar(AnsiToUtf8(Fdescription)), Length(AnsiToUtf8(Fdescription))+1);

  record_pointer.position:=Integer(Fposition);
  //Allocate memory for string variable id
  if(record_pointer.id=nil)then
    GetMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1)
  else
    ReallocMem(record_pointer.id, Length(AnsiToUtf8(Fid))+1);
  StrMove(record_pointer.id, PChar(AnsiToUtf8(Fid)), Length(AnsiToUtf8(Fid))+1);

  record_pointer.groups_num:=groups.Count;
  //if the number of groups is now 0, free memory
  if(groups.Count=0)then
  begin
    if(record_pointer.groups<>nil)then
    begin
      FreeMem(record_pointer.groups);
      record_pointer.groups:=nil;
    end;
  end
  //make sure enough memory is allocated for all groups in the "array"
  else
  begin
    ReallocMem(record_pointer.groups,
      groups.Count*sizeof(MYX_GUI_GROUP));
  end;

  //Get all records in the "array"
  for i:=0 to groups.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_GUI_GROUP(
      Integer(record_pointer.groups)+sizeof(MYX_GUI_GROUP)*i
      )^:=(TMYX_GUI_GROUP(groups[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_GUI_PAGE.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_PAGE)then
  begin
    with TMYX_GUI_PAGE(Source) do
    begin
      self.caption:=caption;
      self.description:=description;
      self.position:=position;
      self.id:=id;
      self.groups.Assign(groups);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_PAGE_List.GetItem(Index: Integer): TMYX_GUI_PAGE;
begin
  Result:=TMYX_GUI_PAGE(inherited GetItem(Index));
end;

procedure TMYX_GUI_PAGE_List.SetItem(Index: Integer; AObject: TMYX_GUI_PAGE);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_PAGE_List.Add(AObject: TMYX_GUI_PAGE): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_PAGE_List.Extract(Item: TMYX_GUI_PAGE): TMYX_GUI_PAGE;
begin
  Result:=TMYX_GUI_PAGE(inherited Extract(Item));
end;

function TMYX_GUI_PAGE_List.Remove(AObject: TMYX_GUI_PAGE): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_PAGE_List.IndexOf(AObject: TMYX_GUI_PAGE): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_PAGE_List.Insert(Index: Integer; AObject: TMYX_GUI_PAGE);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_PAGE_List.First: TMYX_GUI_PAGE;
begin
  Result:=TMYX_GUI_PAGE(inherited First);
end;

function TMYX_GUI_PAGE_List.Last: TMYX_GUI_PAGE;
begin
  Result:=TMYX_GUI_PAGE(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_GUI_DESCRIPTION.create();
begin
  inherited create;

  self.pages:=TMYX_GUI_PAGE_List.Create;
end;

constructor TMYX_GUI_DESCRIPTION.create(record_pointer: PMYX_GUI_DESCRIPTION);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.pages_num-1 do
  begin
    pages.Add(TMYX_GUI_PAGE.Create(
      PMYX_GUI_PAGE(
        (Integer(record_pointer.pages)+sizeof(MYX_GUI_PAGE)*i)
        )
      ));
  end;
end;

destructor TMYX_GUI_DESCRIPTION.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.pages<>nil)then
      FreeMem(record_pointer.pages);

  pages.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_GUI_DESCRIPTION.get_record_pointer: PMYX_GUI_DESCRIPTION;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_GUI_DESCRIPTION));
    record_pointer.pages:=nil;
  end;

  record_pointer.pages_num:=pages.Count;
  //if the number of pages is now 0, free memory
  if(pages.Count=0)then
  begin
    if(record_pointer.pages<>nil)then
    begin
      FreeMem(record_pointer.pages);
      record_pointer.pages:=nil;
    end;
  end
  //make sure enough memory is allocated for all pages in the "array"
  else
  begin
    ReallocMem(record_pointer.pages,
      pages.Count*sizeof(MYX_GUI_PAGE));
  end;

  //Get all records in the "array"
  for i:=0 to pages.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_GUI_PAGE(
      Integer(record_pointer.pages)+sizeof(MYX_GUI_PAGE)*i
      )^:=(TMYX_GUI_PAGE(pages[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_GUI_DESCRIPTION.Assign(Source: TPersistent);
begin
  if(Source is TMYX_GUI_DESCRIPTION)then
  begin
    with TMYX_GUI_DESCRIPTION(Source) do
    begin
      self.pages.Assign(pages);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_GUI_DESCRIPTION_List.GetItem(Index: Integer): TMYX_GUI_DESCRIPTION;
begin
  Result:=TMYX_GUI_DESCRIPTION(inherited GetItem(Index));
end;

procedure TMYX_GUI_DESCRIPTION_List.SetItem(Index: Integer; AObject: TMYX_GUI_DESCRIPTION);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_GUI_DESCRIPTION_List.Add(AObject: TMYX_GUI_DESCRIPTION): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_GUI_DESCRIPTION_List.Extract(Item: TMYX_GUI_DESCRIPTION): TMYX_GUI_DESCRIPTION;
begin
  Result:=TMYX_GUI_DESCRIPTION(inherited Extract(Item));
end;

function TMYX_GUI_DESCRIPTION_List.Remove(AObject: TMYX_GUI_DESCRIPTION): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_GUI_DESCRIPTION_List.IndexOf(AObject: TMYX_GUI_DESCRIPTION): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_GUI_DESCRIPTION_List.Insert(Index: Integer; AObject: TMYX_GUI_DESCRIPTION);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_GUI_DESCRIPTION_List.First: TMYX_GUI_DESCRIPTION;
begin
  Result:=TMYX_GUI_DESCRIPTION(inherited First);
end;

function TMYX_GUI_DESCRIPTION_List.Last: TMYX_GUI_DESCRIPTION;
begin
  Result:=TMYX_GUI_DESCRIPTION(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_STRINGLIST.create();
begin
  inherited create;

  strings:=TStringList.Create;
end;

constructor TMYX_STRINGLIST.create(record_pointer: PMYX_STRINGLIST);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.strings_num-1 do
  begin
    strings.Add(
        PPChar(
          integer(record_pointer.strings)+sizeof(PChar)*i
        )^
      );
  end;
end;

destructor TMYX_STRINGLIST.destroy;
begin
  //Free Mem allocated for List
  if(record_pointer<>nil)then
    if(record_pointer.strings<>nil)then
      FreeMem(record_pointer.strings);

  //Free List
  strings.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_STRINGLIST.get_record_pointer: PMYX_STRINGLIST;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_STRINGLIST));
    record_pointer.strings:=nil;
  end;

  record_pointer.strings_num:=strings.Count;
  if(strings.Count=0)then
  begin
    if(record_pointer.strings<>nil)then
    begin
      FreeMem(record_pointer.strings);
      record_pointer.strings:=nil;
    end;
  end
  else
  begin
    ReallocMem(record_pointer.strings,
      strings.Count*sizeof(PChar));
  end;

  for i:=0 to strings.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PPChar(
      Integer(record_pointer.strings)+sizeof(PChar)*i
      )^:=PChar(strings[i]);
  end;  Result:=record_pointer;
end;

procedure TMYX_STRINGLIST.Assign(Source: TPersistent);
begin
  if(Source is TMYX_STRINGLIST)then
  begin
    with TMYX_STRINGLIST(Source) do
    begin
      self.strings.Assign(strings);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_STRINGLIST_List.GetItem(Index: Integer): TMYX_STRINGLIST;
begin
  Result:=TMYX_STRINGLIST(inherited GetItem(Index));
end;

procedure TMYX_STRINGLIST_List.SetItem(Index: Integer; AObject: TMYX_STRINGLIST);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_STRINGLIST_List.Add(AObject: TMYX_STRINGLIST): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_STRINGLIST_List.Extract(Item: TMYX_STRINGLIST): TMYX_STRINGLIST;
begin
  Result:=TMYX_STRINGLIST(inherited Extract(Item));
end;

function TMYX_STRINGLIST_List.Remove(AObject: TMYX_STRINGLIST): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_STRINGLIST_List.IndexOf(AObject: TMYX_STRINGLIST): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_STRINGLIST_List.Insert(Index: Integer; AObject: TMYX_STRINGLIST);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_STRINGLIST_List.First: TMYX_STRINGLIST;
begin
  Result:=TMYX_STRINGLIST(inherited First);
end;

function TMYX_STRINGLIST_List.Last: TMYX_STRINGLIST;
begin
  Result:=TMYX_STRINGLIST(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_BACKUP_TABLE.create(catalog: string;schema: string;table: string);
begin
  inherited create;

  self.Fcatalog:=catalog;
  self.Fschema:=schema;
  self.Ftable:=table;
end;

constructor TMYX_BACKUP_TABLE.create(record_pointer: PMYX_BACKUP_TABLE);
begin

  create(Utf8ToAnsi(record_pointer.catalog),Utf8ToAnsi(record_pointer.schema),Utf8ToAnsi(record_pointer.table));

  self.record_pointer:=nil;

end;

destructor TMYX_BACKUP_TABLE.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable catalog
    if(record_pointer.catalog=nil)then
      FreeMem(record_pointer.catalog);
    //Free mem for string variable schema
    if(record_pointer.schema=nil)then
      FreeMem(record_pointer.schema);
    //Free mem for string variable table
    if(record_pointer.table=nil)then
      FreeMem(record_pointer.table);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_BACKUP_TABLE.get_record_pointer: PMYX_BACKUP_TABLE;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_BACKUP_TABLE));
    record_pointer.catalog:=nil;
    record_pointer.schema:=nil;
    record_pointer.table:=nil;
  end;

  //Allocate memory for string variable catalog
  if(record_pointer.catalog=nil)then
    GetMem(record_pointer.catalog, Length(AnsiToUtf8(Fcatalog))+1)
  else
    ReallocMem(record_pointer.catalog, Length(AnsiToUtf8(Fcatalog))+1);
  StrMove(record_pointer.catalog, PChar(AnsiToUtf8(Fcatalog)), Length(AnsiToUtf8(Fcatalog))+1);

  //Allocate memory for string variable schema
  if(record_pointer.schema=nil)then
    GetMem(record_pointer.schema, Length(AnsiToUtf8(Fschema))+1)
  else
    ReallocMem(record_pointer.schema, Length(AnsiToUtf8(Fschema))+1);
  StrMove(record_pointer.schema, PChar(AnsiToUtf8(Fschema)), Length(AnsiToUtf8(Fschema))+1);

  //Allocate memory for string variable table
  if(record_pointer.table=nil)then
    GetMem(record_pointer.table, Length(AnsiToUtf8(Ftable))+1)
  else
    ReallocMem(record_pointer.table, Length(AnsiToUtf8(Ftable))+1);
  StrMove(record_pointer.table, PChar(AnsiToUtf8(Ftable)), Length(AnsiToUtf8(Ftable))+1);

  Result:=record_pointer;
end;

procedure TMYX_BACKUP_TABLE.Assign(Source: TPersistent);
begin
  if(Source is TMYX_BACKUP_TABLE)then
  begin
    with TMYX_BACKUP_TABLE(Source) do
    begin
      self.catalog:=catalog;
      self.schema:=schema;
      self.table:=table;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_BACKUP_TABLE_List.GetItem(Index: Integer): TMYX_BACKUP_TABLE;
begin
  Result:=TMYX_BACKUP_TABLE(inherited GetItem(Index));
end;

procedure TMYX_BACKUP_TABLE_List.SetItem(Index: Integer; AObject: TMYX_BACKUP_TABLE);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_BACKUP_TABLE_List.Add(AObject: TMYX_BACKUP_TABLE): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_BACKUP_TABLE_List.Extract(Item: TMYX_BACKUP_TABLE): TMYX_BACKUP_TABLE;
begin
  Result:=TMYX_BACKUP_TABLE(inherited Extract(Item));
end;

function TMYX_BACKUP_TABLE_List.Remove(AObject: TMYX_BACKUP_TABLE): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_BACKUP_TABLE_List.IndexOf(AObject: TMYX_BACKUP_TABLE): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_BACKUP_TABLE_List.Insert(Index: Integer; AObject: TMYX_BACKUP_TABLE);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_BACKUP_TABLE_List.First: TMYX_BACKUP_TABLE;
begin
  Result:=TMYX_BACKUP_TABLE(inherited First);
end;

function TMYX_BACKUP_TABLE_List.Last: TMYX_BACKUP_TABLE;
begin
  Result:=TMYX_BACKUP_TABLE(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_BACKUP_CONTENT.create();
begin
  inherited create;

  self.tables:=TMYX_BACKUP_TABLE_List.Create;
end;

constructor TMYX_BACKUP_CONTENT.create(record_pointer: PMYX_BACKUP_CONTENT);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.tables_num-1 do
  begin
    tables.Add(TMYX_BACKUP_TABLE.Create(
      PMYX_BACKUP_TABLE(
        (Integer(record_pointer.tables)+sizeof(MYX_BACKUP_TABLE)*i)
        )
      ));
  end;
end;

destructor TMYX_BACKUP_CONTENT.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.tables<>nil)then
      FreeMem(record_pointer.tables);

  tables.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_BACKUP_CONTENT.get_record_pointer: PMYX_BACKUP_CONTENT;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_BACKUP_CONTENT));
    record_pointer.tables:=nil;
  end;

  record_pointer.tables_num:=tables.Count;
  //if the number of tables is now 0, free memory
  if(tables.Count=0)then
  begin
    if(record_pointer.tables<>nil)then
    begin
      FreeMem(record_pointer.tables);
      record_pointer.tables:=nil;
    end;
  end
  //make sure enough memory is allocated for all tables in the "array"
  else
  begin
    ReallocMem(record_pointer.tables,
      tables.Count*sizeof(MYX_BACKUP_TABLE));
  end;

  //Get all records in the "array"
  for i:=0 to tables.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_BACKUP_TABLE(
      Integer(record_pointer.tables)+sizeof(MYX_BACKUP_TABLE)*i
      )^:=(TMYX_BACKUP_TABLE(tables[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_BACKUP_CONTENT.Assign(Source: TPersistent);
begin
  if(Source is TMYX_BACKUP_CONTENT)then
  begin
    with TMYX_BACKUP_CONTENT(Source) do
    begin
      self.tables.Assign(tables);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_BACKUP_CONTENT_List.GetItem(Index: Integer): TMYX_BACKUP_CONTENT;
begin
  Result:=TMYX_BACKUP_CONTENT(inherited GetItem(Index));
end;

procedure TMYX_BACKUP_CONTENT_List.SetItem(Index: Integer; AObject: TMYX_BACKUP_CONTENT);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_BACKUP_CONTENT_List.Add(AObject: TMYX_BACKUP_CONTENT): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_BACKUP_CONTENT_List.Extract(Item: TMYX_BACKUP_CONTENT): TMYX_BACKUP_CONTENT;
begin
  Result:=TMYX_BACKUP_CONTENT(inherited Extract(Item));
end;

function TMYX_BACKUP_CONTENT_List.Remove(AObject: TMYX_BACKUP_CONTENT): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_BACKUP_CONTENT_List.IndexOf(AObject: TMYX_BACKUP_CONTENT): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_BACKUP_CONTENT_List.Insert(Index: Integer; AObject: TMYX_BACKUP_CONTENT);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_BACKUP_CONTENT_List.First: TMYX_BACKUP_CONTENT;
begin
  Result:=TMYX_BACKUP_CONTENT(inherited First);
end;

function TMYX_BACKUP_CONTENT_List.Last: TMYX_BACKUP_CONTENT;
begin
  Result:=TMYX_BACKUP_CONTENT(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_BACKUP_PROFILE.create(profile_name: string;target_directory: string;filename_prefix: string;last_used: string;options: Integer;backup_type: MYX_BACKUP_TYPE;backup_content: PMYX_BACKUP_CONTENT);
begin
  inherited create;

  self.Fprofile_name:=profile_name;
  self.Ftarget_directory:=target_directory;
  self.Ffilename_prefix:=filename_prefix;
  self.Flast_used:=last_used;
  self.Foptions:=options;
  self.Fbackup_type:=backup_type;
  if(backup_content<>nil)then
    self.backup_content:=TMYX_BACKUP_CONTENT.Create(backup_content)
  else
    self.backup_content:=nil;
end;

constructor TMYX_BACKUP_PROFILE.create(record_pointer: PMYX_BACKUP_PROFILE);
begin

  create(Utf8ToAnsi(record_pointer.profile_name),Utf8ToAnsi(record_pointer.target_directory),Utf8ToAnsi(record_pointer.filename_prefix),Utf8ToAnsi(record_pointer.last_used),record_pointer.options,record_pointer.backup_type,record_pointer.backup_content);

  self.record_pointer:=nil;

end;

destructor TMYX_BACKUP_PROFILE.destroy;
begin
  if(backup_content<>nil)then
    backup_content.Free;
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable profile_name
    if(record_pointer.profile_name=nil)then
      FreeMem(record_pointer.profile_name);
    //Free mem for string variable target_directory
    if(record_pointer.target_directory=nil)then
      FreeMem(record_pointer.target_directory);
    //Free mem for string variable filename_prefix
    if(record_pointer.filename_prefix=nil)then
      FreeMem(record_pointer.filename_prefix);
    //Free mem for string variable last_used
    if(record_pointer.last_used=nil)then
      FreeMem(record_pointer.last_used);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_BACKUP_PROFILE.get_record_pointer: PMYX_BACKUP_PROFILE;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_BACKUP_PROFILE));
    record_pointer.profile_name:=nil;
    record_pointer.target_directory:=nil;
    record_pointer.filename_prefix:=nil;
    record_pointer.last_used:=nil;
  end;

  //Allocate memory for string variable profile_name
  if(record_pointer.profile_name=nil)then
    GetMem(record_pointer.profile_name, Length(AnsiToUtf8(Fprofile_name))+1)
  else
    ReallocMem(record_pointer.profile_name, Length(AnsiToUtf8(Fprofile_name))+1);
  StrMove(record_pointer.profile_name, PChar(AnsiToUtf8(Fprofile_name)), Length(AnsiToUtf8(Fprofile_name))+1);

  //Allocate memory for string variable target_directory
  if(record_pointer.target_directory=nil)then
    GetMem(record_pointer.target_directory, Length(AnsiToUtf8(Ftarget_directory))+1)
  else
    ReallocMem(record_pointer.target_directory, Length(AnsiToUtf8(Ftarget_directory))+1);
  StrMove(record_pointer.target_directory, PChar(AnsiToUtf8(Ftarget_directory)), Length(AnsiToUtf8(Ftarget_directory))+1);

  //Allocate memory for string variable filename_prefix
  if(record_pointer.filename_prefix=nil)then
    GetMem(record_pointer.filename_prefix, Length(AnsiToUtf8(Ffilename_prefix))+1)
  else
    ReallocMem(record_pointer.filename_prefix, Length(AnsiToUtf8(Ffilename_prefix))+1);
  StrMove(record_pointer.filename_prefix, PChar(AnsiToUtf8(Ffilename_prefix)), Length(AnsiToUtf8(Ffilename_prefix))+1);

  //Allocate memory for string variable last_used
  if(record_pointer.last_used=nil)then
    GetMem(record_pointer.last_used, Length(AnsiToUtf8(Flast_used))+1)
  else
    ReallocMem(record_pointer.last_used, Length(AnsiToUtf8(Flast_used))+1);
  StrMove(record_pointer.last_used, PChar(AnsiToUtf8(Flast_used)), Length(AnsiToUtf8(Flast_used))+1);

  record_pointer.options:=Integer(Foptions);
  record_pointer.backup_type:=MYX_BACKUP_TYPE(Fbackup_type);
  if(backup_content<>nil)then
    record_pointer.backup_content:=backup_content.get_record_pointer
  else
    record_pointer.backup_content:=nil;
  Result:=record_pointer;
end;

procedure TMYX_BACKUP_PROFILE.Assign(Source: TPersistent);
begin
  if(Source is TMYX_BACKUP_PROFILE)then
  begin
    with TMYX_BACKUP_PROFILE(Source) do
    begin
      self.profile_name:=profile_name;
      self.target_directory:=target_directory;
      self.filename_prefix:=filename_prefix;
      self.last_used:=last_used;
      self.options:=options;
      self.backup_type:=backup_type;
      if(self.backup_content<>nil)and(backup_content<>nil)then
        self.backup_content.Assign(backup_content);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_BACKUP_PROFILE_List.GetItem(Index: Integer): TMYX_BACKUP_PROFILE;
begin
  Result:=TMYX_BACKUP_PROFILE(inherited GetItem(Index));
end;

procedure TMYX_BACKUP_PROFILE_List.SetItem(Index: Integer; AObject: TMYX_BACKUP_PROFILE);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_BACKUP_PROFILE_List.Add(AObject: TMYX_BACKUP_PROFILE): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_BACKUP_PROFILE_List.Extract(Item: TMYX_BACKUP_PROFILE): TMYX_BACKUP_PROFILE;
begin
  Result:=TMYX_BACKUP_PROFILE(inherited Extract(Item));
end;

function TMYX_BACKUP_PROFILE_List.Remove(AObject: TMYX_BACKUP_PROFILE): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_BACKUP_PROFILE_List.IndexOf(AObject: TMYX_BACKUP_PROFILE): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_BACKUP_PROFILE_List.Insert(Index: Integer; AObject: TMYX_BACKUP_PROFILE);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_BACKUP_PROFILE_List.First: TMYX_BACKUP_PROFILE;
begin
  Result:=TMYX_BACKUP_PROFILE(inherited First);
end;

function TMYX_BACKUP_PROFILE_List.Last: TMYX_BACKUP_PROFILE;
begin
  Result:=TMYX_BACKUP_PROFILE(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_HEALTH_GRAPH.create(graph_caption: string;display_graph_caption: Integer;graphtype: MYX_HEALTH_GRAPH_TYPE;value_unit: MYX_HEALTH_GRAPH_VALUE_UNIT;min: Double;max: Double;autoextend_max: Integer;value_formula: string;max_formula: string;value_caption: string;value_caption_trans_id: string;max_caption: string;max_caption_trans_id: string;refreshtime: Integer;pos: Integer);
begin
  inherited create;

  self.Fgraph_caption:=graph_caption;
  self.Fdisplay_graph_caption:=display_graph_caption;
  self.Fgraphtype:=graphtype;
  self.Fvalue_unit:=value_unit;
  self.Fmin:=min;
  self.Fmax:=max;
  self.Fautoextend_max:=autoextend_max;
  self.Fvalue_formula:=value_formula;
  self.Fmax_formula:=max_formula;
  self.Fvalue_caption:=value_caption;
  self.Fvalue_caption_trans_id:=value_caption_trans_id;
  self.Fmax_caption:=max_caption;
  self.Fmax_caption_trans_id:=max_caption_trans_id;
  self.Frefreshtime:=refreshtime;
  self.Fpos:=pos;
end;

constructor TMYX_HEALTH_GRAPH.create(record_pointer: PMYX_HEALTH_GRAPH);
begin

  create(Utf8ToAnsi(record_pointer.graph_caption),record_pointer.display_graph_caption,record_pointer.graphtype,record_pointer.value_unit,record_pointer.min,record_pointer.max,record_pointer.autoextend_max,Utf8ToAnsi(record_pointer.value_formula),Utf8ToAnsi(record_pointer.max_formula),Utf8ToAnsi(record_pointer.value_caption),Utf8ToAnsi(record_pointer.value_caption_trans_id),Utf8ToAnsi(record_pointer.max_caption),Utf8ToAnsi(record_pointer.max_caption_trans_id),record_pointer.refreshtime,record_pointer.pos);

  self.record_pointer:=nil;

end;

destructor TMYX_HEALTH_GRAPH.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable graph_caption
    if(record_pointer.graph_caption=nil)then
      FreeMem(record_pointer.graph_caption);
    //Free mem for string variable value_formula
    if(record_pointer.value_formula=nil)then
      FreeMem(record_pointer.value_formula);
    //Free mem for string variable max_formula
    if(record_pointer.max_formula=nil)then
      FreeMem(record_pointer.max_formula);
    //Free mem for string variable value_caption
    if(record_pointer.value_caption=nil)then
      FreeMem(record_pointer.value_caption);
    //Free mem for string variable value_caption_trans_id
    if(record_pointer.value_caption_trans_id=nil)then
      FreeMem(record_pointer.value_caption_trans_id);
    //Free mem for string variable max_caption
    if(record_pointer.max_caption=nil)then
      FreeMem(record_pointer.max_caption);
    //Free mem for string variable max_caption_trans_id
    if(record_pointer.max_caption_trans_id=nil)then
      FreeMem(record_pointer.max_caption_trans_id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_HEALTH_GRAPH.get_record_pointer: PMYX_HEALTH_GRAPH;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_HEALTH_GRAPH));
    record_pointer.graph_caption:=nil;
    record_pointer.value_formula:=nil;
    record_pointer.max_formula:=nil;
    record_pointer.value_caption:=nil;
    record_pointer.value_caption_trans_id:=nil;
    record_pointer.max_caption:=nil;
    record_pointer.max_caption_trans_id:=nil;
  end;

  //Allocate memory for string variable graph_caption
  if(record_pointer.graph_caption=nil)then
    GetMem(record_pointer.graph_caption, Length(AnsiToUtf8(Fgraph_caption))+1)
  else
    ReallocMem(record_pointer.graph_caption, Length(AnsiToUtf8(Fgraph_caption))+1);
  StrMove(record_pointer.graph_caption, PChar(AnsiToUtf8(Fgraph_caption)), Length(AnsiToUtf8(Fgraph_caption))+1);

  record_pointer.display_graph_caption:=Integer(Fdisplay_graph_caption);
  record_pointer.graphtype:=MYX_HEALTH_GRAPH_TYPE(Fgraphtype);
  record_pointer.value_unit:=MYX_HEALTH_GRAPH_VALUE_UNIT(Fvalue_unit);
  record_pointer.min:=Double(Fmin);
  record_pointer.max:=Double(Fmax);
  record_pointer.autoextend_max:=Integer(Fautoextend_max);
  //Allocate memory for string variable value_formula
  if(record_pointer.value_formula=nil)then
    GetMem(record_pointer.value_formula, Length(AnsiToUtf8(Fvalue_formula))+1)
  else
    ReallocMem(record_pointer.value_formula, Length(AnsiToUtf8(Fvalue_formula))+1);
  StrMove(record_pointer.value_formula, PChar(AnsiToUtf8(Fvalue_formula)), Length(AnsiToUtf8(Fvalue_formula))+1);

  //Allocate memory for string variable max_formula
  if(record_pointer.max_formula=nil)then
    GetMem(record_pointer.max_formula, Length(AnsiToUtf8(Fmax_formula))+1)
  else
    ReallocMem(record_pointer.max_formula, Length(AnsiToUtf8(Fmax_formula))+1);
  StrMove(record_pointer.max_formula, PChar(AnsiToUtf8(Fmax_formula)), Length(AnsiToUtf8(Fmax_formula))+1);

  //Allocate memory for string variable value_caption
  if(record_pointer.value_caption=nil)then
    GetMem(record_pointer.value_caption, Length(AnsiToUtf8(Fvalue_caption))+1)
  else
    ReallocMem(record_pointer.value_caption, Length(AnsiToUtf8(Fvalue_caption))+1);
  StrMove(record_pointer.value_caption, PChar(AnsiToUtf8(Fvalue_caption)), Length(AnsiToUtf8(Fvalue_caption))+1);

  //Allocate memory for string variable value_caption_trans_id
  if(record_pointer.value_caption_trans_id=nil)then
    GetMem(record_pointer.value_caption_trans_id, Length(AnsiToUtf8(Fvalue_caption_trans_id))+1)
  else
    ReallocMem(record_pointer.value_caption_trans_id, Length(AnsiToUtf8(Fvalue_caption_trans_id))+1);
  StrMove(record_pointer.value_caption_trans_id, PChar(AnsiToUtf8(Fvalue_caption_trans_id)), Length(AnsiToUtf8(Fvalue_caption_trans_id))+1);

  //Allocate memory for string variable max_caption
  if(record_pointer.max_caption=nil)then
    GetMem(record_pointer.max_caption, Length(AnsiToUtf8(Fmax_caption))+1)
  else
    ReallocMem(record_pointer.max_caption, Length(AnsiToUtf8(Fmax_caption))+1);
  StrMove(record_pointer.max_caption, PChar(AnsiToUtf8(Fmax_caption)), Length(AnsiToUtf8(Fmax_caption))+1);

  //Allocate memory for string variable max_caption_trans_id
  if(record_pointer.max_caption_trans_id=nil)then
    GetMem(record_pointer.max_caption_trans_id, Length(AnsiToUtf8(Fmax_caption_trans_id))+1)
  else
    ReallocMem(record_pointer.max_caption_trans_id, Length(AnsiToUtf8(Fmax_caption_trans_id))+1);
  StrMove(record_pointer.max_caption_trans_id, PChar(AnsiToUtf8(Fmax_caption_trans_id)), Length(AnsiToUtf8(Fmax_caption_trans_id))+1);

  record_pointer.refreshtime:=Integer(Frefreshtime);
  record_pointer.pos:=Integer(Fpos);
  Result:=record_pointer;
end;

procedure TMYX_HEALTH_GRAPH.Assign(Source: TPersistent);
begin
  if(Source is TMYX_HEALTH_GRAPH)then
  begin
    with TMYX_HEALTH_GRAPH(Source) do
    begin
      self.graph_caption:=graph_caption;
      self.display_graph_caption:=display_graph_caption;
      self.graphtype:=graphtype;
      self.value_unit:=value_unit;
      self.min:=min;
      self.max:=max;
      self.autoextend_max:=autoextend_max;
      self.value_formula:=value_formula;
      self.max_formula:=max_formula;
      self.value_caption:=value_caption;
      self.value_caption_trans_id:=value_caption_trans_id;
      self.max_caption:=max_caption;
      self.max_caption_trans_id:=max_caption_trans_id;
      self.refreshtime:=refreshtime;
      self.pos:=pos;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_HEALTH_GRAPH_List.GetItem(Index: Integer): TMYX_HEALTH_GRAPH;
begin
  Result:=TMYX_HEALTH_GRAPH(inherited GetItem(Index));
end;

procedure TMYX_HEALTH_GRAPH_List.SetItem(Index: Integer; AObject: TMYX_HEALTH_GRAPH);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_HEALTH_GRAPH_List.Add(AObject: TMYX_HEALTH_GRAPH): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_HEALTH_GRAPH_List.Extract(Item: TMYX_HEALTH_GRAPH): TMYX_HEALTH_GRAPH;
begin
  Result:=TMYX_HEALTH_GRAPH(inherited Extract(Item));
end;

function TMYX_HEALTH_GRAPH_List.Remove(AObject: TMYX_HEALTH_GRAPH): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_HEALTH_GRAPH_List.IndexOf(AObject: TMYX_HEALTH_GRAPH): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_HEALTH_GRAPH_List.Insert(Index: Integer; AObject: TMYX_HEALTH_GRAPH);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_HEALTH_GRAPH_List.First: TMYX_HEALTH_GRAPH;
begin
  Result:=TMYX_HEALTH_GRAPH(inherited First);
end;

function TMYX_HEALTH_GRAPH_List.Last: TMYX_HEALTH_GRAPH;
begin
  Result:=TMYX_HEALTH_GRAPH(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_HEALTH_GROUP.create(caption: string;caption_trans_id: string;pos: Integer);
begin
  inherited create;

  self.Fcaption:=caption;
  self.Fcaption_trans_id:=caption_trans_id;
  self.Fpos:=pos;
  self.graphs:=TMYX_HEALTH_GRAPH_List.Create;
end;

constructor TMYX_HEALTH_GROUP.create(record_pointer: PMYX_HEALTH_GROUP);
var i: integer;
begin

  create(Utf8ToAnsi(record_pointer.caption),Utf8ToAnsi(record_pointer.caption_trans_id),record_pointer.pos);

  self.record_pointer:=nil;

  for i:=0 to record_pointer.graphs_num-1 do
  begin
    graphs.Add(TMYX_HEALTH_GRAPH.Create(
      PMYX_HEALTH_GRAPH(
        (Integer(record_pointer.graphs)+sizeof(MYX_HEALTH_GRAPH)*i)
        )
      ));
  end;
end;

destructor TMYX_HEALTH_GROUP.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.graphs<>nil)then
      FreeMem(record_pointer.graphs);

  graphs.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable caption
    if(record_pointer.caption=nil)then
      FreeMem(record_pointer.caption);
    //Free mem for string variable caption_trans_id
    if(record_pointer.caption_trans_id=nil)then
      FreeMem(record_pointer.caption_trans_id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_HEALTH_GROUP.get_record_pointer: PMYX_HEALTH_GROUP;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_HEALTH_GROUP));
    record_pointer.caption:=nil;
    record_pointer.caption_trans_id:=nil;
    record_pointer.graphs:=nil;
  end;

  //Allocate memory for string variable caption
  if(record_pointer.caption=nil)then
    GetMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1)
  else
    ReallocMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1);
  StrMove(record_pointer.caption, PChar(AnsiToUtf8(Fcaption)), Length(AnsiToUtf8(Fcaption))+1);

  //Allocate memory for string variable caption_trans_id
  if(record_pointer.caption_trans_id=nil)then
    GetMem(record_pointer.caption_trans_id, Length(AnsiToUtf8(Fcaption_trans_id))+1)
  else
    ReallocMem(record_pointer.caption_trans_id, Length(AnsiToUtf8(Fcaption_trans_id))+1);
  StrMove(record_pointer.caption_trans_id, PChar(AnsiToUtf8(Fcaption_trans_id)), Length(AnsiToUtf8(Fcaption_trans_id))+1);

  record_pointer.pos:=Integer(Fpos);
  record_pointer.graphs_num:=graphs.Count;
  //if the number of graphs is now 0, free memory
  if(graphs.Count=0)then
  begin
    if(record_pointer.graphs<>nil)then
    begin
      FreeMem(record_pointer.graphs);
      record_pointer.graphs:=nil;
    end;
  end
  //make sure enough memory is allocated for all graphs in the "array"
  else
  begin
    ReallocMem(record_pointer.graphs,
      graphs.Count*sizeof(MYX_HEALTH_GRAPH));
  end;

  //Get all records in the "array"
  for i:=0 to graphs.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_HEALTH_GRAPH(
      Integer(record_pointer.graphs)+sizeof(MYX_HEALTH_GRAPH)*i
      )^:=(TMYX_HEALTH_GRAPH(graphs[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_HEALTH_GROUP.Assign(Source: TPersistent);
begin
  if(Source is TMYX_HEALTH_GROUP)then
  begin
    with TMYX_HEALTH_GROUP(Source) do
    begin
      self.caption:=caption;
      self.caption_trans_id:=caption_trans_id;
      self.pos:=pos;
      self.graphs.Assign(graphs);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_HEALTH_GROUP_List.GetItem(Index: Integer): TMYX_HEALTH_GROUP;
begin
  Result:=TMYX_HEALTH_GROUP(inherited GetItem(Index));
end;

procedure TMYX_HEALTH_GROUP_List.SetItem(Index: Integer; AObject: TMYX_HEALTH_GROUP);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_HEALTH_GROUP_List.Add(AObject: TMYX_HEALTH_GROUP): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_HEALTH_GROUP_List.Extract(Item: TMYX_HEALTH_GROUP): TMYX_HEALTH_GROUP;
begin
  Result:=TMYX_HEALTH_GROUP(inherited Extract(Item));
end;

function TMYX_HEALTH_GROUP_List.Remove(AObject: TMYX_HEALTH_GROUP): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_HEALTH_GROUP_List.IndexOf(AObject: TMYX_HEALTH_GROUP): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_HEALTH_GROUP_List.Insert(Index: Integer; AObject: TMYX_HEALTH_GROUP);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_HEALTH_GROUP_List.First: TMYX_HEALTH_GROUP;
begin
  Result:=TMYX_HEALTH_GROUP(inherited First);
end;

function TMYX_HEALTH_GROUP_List.Last: TMYX_HEALTH_GROUP;
begin
  Result:=TMYX_HEALTH_GROUP(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_HEALTH_PAGE.create(caption: string;caption_trans_id: string;description: string;description_trans_id: string;pos: Integer);
begin
  inherited create;

  self.Fcaption:=caption;
  self.Fcaption_trans_id:=caption_trans_id;
  self.Fdescription:=description;
  self.Fdescription_trans_id:=description_trans_id;
  self.Fpos:=pos;
  self.groups:=TMYX_HEALTH_GROUP_List.Create;
end;

constructor TMYX_HEALTH_PAGE.create(record_pointer: PMYX_HEALTH_PAGE);
var i: integer;
begin

  create(Utf8ToAnsi(record_pointer.caption),Utf8ToAnsi(record_pointer.caption_trans_id),Utf8ToAnsi(record_pointer.description),Utf8ToAnsi(record_pointer.description_trans_id),record_pointer.pos);

  self.record_pointer:=nil;

  for i:=0 to record_pointer.groups_num-1 do
  begin
    groups.Add(TMYX_HEALTH_GROUP.Create(
      PMYX_HEALTH_GROUP(
        (Integer(record_pointer.groups)+sizeof(MYX_HEALTH_GROUP)*i)
        )
      ));
  end;
end;

destructor TMYX_HEALTH_PAGE.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.groups<>nil)then
      FreeMem(record_pointer.groups);

  groups.Free;

  if(record_pointer<>nil)then
  begin
    //Free mem for string variable caption
    if(record_pointer.caption=nil)then
      FreeMem(record_pointer.caption);
    //Free mem for string variable caption_trans_id
    if(record_pointer.caption_trans_id=nil)then
      FreeMem(record_pointer.caption_trans_id);
    //Free mem for string variable description
    if(record_pointer.description=nil)then
      FreeMem(record_pointer.description);
    //Free mem for string variable description_trans_id
    if(record_pointer.description_trans_id=nil)then
      FreeMem(record_pointer.description_trans_id);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_HEALTH_PAGE.get_record_pointer: PMYX_HEALTH_PAGE;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_HEALTH_PAGE));
    record_pointer.caption:=nil;
    record_pointer.caption_trans_id:=nil;
    record_pointer.description:=nil;
    record_pointer.description_trans_id:=nil;
    record_pointer.groups:=nil;
  end;

  //Allocate memory for string variable caption
  if(record_pointer.caption=nil)then
    GetMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1)
  else
    ReallocMem(record_pointer.caption, Length(AnsiToUtf8(Fcaption))+1);
  StrMove(record_pointer.caption, PChar(AnsiToUtf8(Fcaption)), Length(AnsiToUtf8(Fcaption))+1);

  //Allocate memory for string variable caption_trans_id
  if(record_pointer.caption_trans_id=nil)then
    GetMem(record_pointer.caption_trans_id, Length(AnsiToUtf8(Fcaption_trans_id))+1)
  else
    ReallocMem(record_pointer.caption_trans_id, Length(AnsiToUtf8(Fcaption_trans_id))+1);
  StrMove(record_pointer.caption_trans_id, PChar(AnsiToUtf8(Fcaption_trans_id)), Length(AnsiToUtf8(Fcaption_trans_id))+1);

  //Allocate memory for string variable description
  if(record_pointer.description=nil)then
    GetMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1)
  else
    ReallocMem(record_pointer.description, Length(AnsiToUtf8(Fdescription))+1);
  StrMove(record_pointer.description, PChar(AnsiToUtf8(Fdescription)), Length(AnsiToUtf8(Fdescription))+1);

  //Allocate memory for string variable description_trans_id
  if(record_pointer.description_trans_id=nil)then
    GetMem(record_pointer.description_trans_id, Length(AnsiToUtf8(Fdescription_trans_id))+1)
  else
    ReallocMem(record_pointer.description_trans_id, Length(AnsiToUtf8(Fdescription_trans_id))+1);
  StrMove(record_pointer.description_trans_id, PChar(AnsiToUtf8(Fdescription_trans_id)), Length(AnsiToUtf8(Fdescription_trans_id))+1);

  record_pointer.pos:=Integer(Fpos);
  record_pointer.groups_num:=groups.Count;
  //if the number of groups is now 0, free memory
  if(groups.Count=0)then
  begin
    if(record_pointer.groups<>nil)then
    begin
      FreeMem(record_pointer.groups);
      record_pointer.groups:=nil;
    end;
  end
  //make sure enough memory is allocated for all groups in the "array"
  else
  begin
    ReallocMem(record_pointer.groups,
      groups.Count*sizeof(MYX_HEALTH_GROUP));
  end;

  //Get all records in the "array"
  for i:=0 to groups.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_HEALTH_GROUP(
      Integer(record_pointer.groups)+sizeof(MYX_HEALTH_GROUP)*i
      )^:=(TMYX_HEALTH_GROUP(groups[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_HEALTH_PAGE.Assign(Source: TPersistent);
begin
  if(Source is TMYX_HEALTH_PAGE)then
  begin
    with TMYX_HEALTH_PAGE(Source) do
    begin
      self.caption:=caption;
      self.caption_trans_id:=caption_trans_id;
      self.description:=description;
      self.description_trans_id:=description_trans_id;
      self.pos:=pos;
      self.groups.Assign(groups);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_HEALTH_PAGE_List.GetItem(Index: Integer): TMYX_HEALTH_PAGE;
begin
  Result:=TMYX_HEALTH_PAGE(inherited GetItem(Index));
end;

procedure TMYX_HEALTH_PAGE_List.SetItem(Index: Integer; AObject: TMYX_HEALTH_PAGE);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_HEALTH_PAGE_List.Add(AObject: TMYX_HEALTH_PAGE): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_HEALTH_PAGE_List.Extract(Item: TMYX_HEALTH_PAGE): TMYX_HEALTH_PAGE;
begin
  Result:=TMYX_HEALTH_PAGE(inherited Extract(Item));
end;

function TMYX_HEALTH_PAGE_List.Remove(AObject: TMYX_HEALTH_PAGE): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_HEALTH_PAGE_List.IndexOf(AObject: TMYX_HEALTH_PAGE): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_HEALTH_PAGE_List.Insert(Index: Integer; AObject: TMYX_HEALTH_PAGE);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_HEALTH_PAGE_List.First: TMYX_HEALTH_PAGE;
begin
  Result:=TMYX_HEALTH_PAGE(inherited First);
end;

function TMYX_HEALTH_PAGE_List.Last: TMYX_HEALTH_PAGE;
begin
  Result:=TMYX_HEALTH_PAGE(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_HEALTH_PAGES.create();
begin
  inherited create;

  self.pages:=TMYX_HEALTH_PAGE_List.Create;
end;

constructor TMYX_HEALTH_PAGES.create(record_pointer: PMYX_HEALTH_PAGES);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.pages_num-1 do
  begin
    pages.Add(TMYX_HEALTH_PAGE.Create(
      PMYX_HEALTH_PAGE(
        (Integer(record_pointer.pages)+sizeof(MYX_HEALTH_PAGE)*i)
        )
      ));
  end;
end;

destructor TMYX_HEALTH_PAGES.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.pages<>nil)then
      FreeMem(record_pointer.pages);

  pages.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_HEALTH_PAGES.get_record_pointer: PMYX_HEALTH_PAGES;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_HEALTH_PAGES));
    record_pointer.pages:=nil;
  end;

  record_pointer.pages_num:=pages.Count;
  //if the number of pages is now 0, free memory
  if(pages.Count=0)then
  begin
    if(record_pointer.pages<>nil)then
    begin
      FreeMem(record_pointer.pages);
      record_pointer.pages:=nil;
    end;
  end
  //make sure enough memory is allocated for all pages in the "array"
  else
  begin
    ReallocMem(record_pointer.pages,
      pages.Count*sizeof(MYX_HEALTH_PAGE));
  end;

  //Get all records in the "array"
  for i:=0 to pages.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_HEALTH_PAGE(
      Integer(record_pointer.pages)+sizeof(MYX_HEALTH_PAGE)*i
      )^:=(TMYX_HEALTH_PAGE(pages[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_HEALTH_PAGES.Assign(Source: TPersistent);
begin
  if(Source is TMYX_HEALTH_PAGES)then
  begin
    with TMYX_HEALTH_PAGES(Source) do
    begin
      self.pages.Assign(pages);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_HEALTH_PAGES_List.GetItem(Index: Integer): TMYX_HEALTH_PAGES;
begin
  Result:=TMYX_HEALTH_PAGES(inherited GetItem(Index));
end;

procedure TMYX_HEALTH_PAGES_List.SetItem(Index: Integer; AObject: TMYX_HEALTH_PAGES);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_HEALTH_PAGES_List.Add(AObject: TMYX_HEALTH_PAGES): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_HEALTH_PAGES_List.Extract(Item: TMYX_HEALTH_PAGES): TMYX_HEALTH_PAGES;
begin
  Result:=TMYX_HEALTH_PAGES(inherited Extract(Item));
end;

function TMYX_HEALTH_PAGES_List.Remove(AObject: TMYX_HEALTH_PAGES): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_HEALTH_PAGES_List.IndexOf(AObject: TMYX_HEALTH_PAGES): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_HEALTH_PAGES_List.Insert(Index: Integer; AObject: TMYX_HEALTH_PAGES);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_HEALTH_PAGES_List.First: TMYX_HEALTH_PAGES;
begin
  Result:=TMYX_HEALTH_PAGES(inherited First);
end;

function TMYX_HEALTH_PAGES_List.Last: TMYX_HEALTH_PAGES;
begin
  Result:=TMYX_HEALTH_PAGES(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_DATETIME.create(tm_year: Cardinal;tm_mon: Cardinal;tm_mday: Cardinal;tm_hour: Cardinal;tm_min: Cardinal;tm_sec: Cardinal);
begin
  inherited create;

  self.Ftm_year:=tm_year;
  self.Ftm_mon:=tm_mon;
  self.Ftm_mday:=tm_mday;
  self.Ftm_hour:=tm_hour;
  self.Ftm_min:=tm_min;
  self.Ftm_sec:=tm_sec;
end;

constructor TMYX_DATETIME.create(record_pointer: PMYX_DATETIME);
begin

  create(record_pointer.tm_year,record_pointer.tm_mon,record_pointer.tm_mday,record_pointer.tm_hour,record_pointer.tm_min,record_pointer.tm_sec);

  self.record_pointer:=nil;

end;

destructor TMYX_DATETIME.destroy;
begin
  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_DATETIME.get_record_pointer: PMYX_DATETIME;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_DATETIME));
  end;

  record_pointer.tm_year:=Cardinal(Ftm_year);
  record_pointer.tm_mon:=Cardinal(Ftm_mon);
  record_pointer.tm_mday:=Cardinal(Ftm_mday);
  record_pointer.tm_hour:=Cardinal(Ftm_hour);
  record_pointer.tm_min:=Cardinal(Ftm_min);
  record_pointer.tm_sec:=Cardinal(Ftm_sec);
  Result:=record_pointer;
end;

procedure TMYX_DATETIME.Assign(Source: TPersistent);
begin
  if(Source is TMYX_DATETIME)then
  begin
    with TMYX_DATETIME(Source) do
    begin
      self.tm_year:=tm_year;
      self.tm_mon:=tm_mon;
      self.tm_mday:=tm_mday;
      self.tm_hour:=tm_hour;
      self.tm_min:=tm_min;
      self.tm_sec:=tm_sec;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_DATETIME_List.GetItem(Index: Integer): TMYX_DATETIME;
begin
  Result:=TMYX_DATETIME(inherited GetItem(Index));
end;

procedure TMYX_DATETIME_List.SetItem(Index: Integer; AObject: TMYX_DATETIME);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_DATETIME_List.Add(AObject: TMYX_DATETIME): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_DATETIME_List.Extract(Item: TMYX_DATETIME): TMYX_DATETIME;
begin
  Result:=TMYX_DATETIME(inherited Extract(Item));
end;

function TMYX_DATETIME_List.Remove(AObject: TMYX_DATETIME): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_DATETIME_List.IndexOf(AObject: TMYX_DATETIME): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_DATETIME_List.Insert(Index: Integer; AObject: TMYX_DATETIME);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_DATETIME_List.First: TMYX_DATETIME;
begin
  Result:=TMYX_DATETIME(inherited First);
end;

function TMYX_DATETIME_List.Last: TMYX_DATETIME;
begin
  Result:=TMYX_DATETIME(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_LOGFILE_EVENT.create(event_type: MYX_LOGFILE_EVENT_TYPE;line_no: Integer;date: PMYX_DATETIME);
begin
  inherited create;

  self.Fevent_type:=event_type;
  self.Fline_no:=line_no;
  if(date<>nil)then
    self.date:=TMYX_DATETIME.Create(date)
  else
    self.date:=nil;
end;

constructor TMYX_LOGFILE_EVENT.create(record_pointer: PMYX_LOGFILE_EVENT);
begin

  create(record_pointer.event_type,record_pointer.line_no,record_pointer.date);

  self.record_pointer:=nil;

end;

destructor TMYX_LOGFILE_EVENT.destroy;
begin
  if(date<>nil)then
    date.Free;
  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_LOGFILE_EVENT.get_record_pointer: PMYX_LOGFILE_EVENT;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_LOGFILE_EVENT));
  end;

  record_pointer.event_type:=MYX_LOGFILE_EVENT_TYPE(Fevent_type);
  record_pointer.line_no:=Integer(Fline_no);
  if(date<>nil)then
    record_pointer.date:=date.get_record_pointer
  else
    record_pointer.date:=nil;
  Result:=record_pointer;
end;

procedure TMYX_LOGFILE_EVENT.Assign(Source: TPersistent);
begin
  if(Source is TMYX_LOGFILE_EVENT)then
  begin
    with TMYX_LOGFILE_EVENT(Source) do
    begin
      self.event_type:=event_type;
      self.line_no:=line_no;
      if(self.date<>nil)and(date<>nil)then
        self.date.Assign(date);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_LOGFILE_EVENT_List.GetItem(Index: Integer): TMYX_LOGFILE_EVENT;
begin
  Result:=TMYX_LOGFILE_EVENT(inherited GetItem(Index));
end;

procedure TMYX_LOGFILE_EVENT_List.SetItem(Index: Integer; AObject: TMYX_LOGFILE_EVENT);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_LOGFILE_EVENT_List.Add(AObject: TMYX_LOGFILE_EVENT): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_LOGFILE_EVENT_List.Extract(Item: TMYX_LOGFILE_EVENT): TMYX_LOGFILE_EVENT;
begin
  Result:=TMYX_LOGFILE_EVENT(inherited Extract(Item));
end;

function TMYX_LOGFILE_EVENT_List.Remove(AObject: TMYX_LOGFILE_EVENT): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_LOGFILE_EVENT_List.IndexOf(AObject: TMYX_LOGFILE_EVENT): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_LOGFILE_EVENT_List.Insert(Index: Integer; AObject: TMYX_LOGFILE_EVENT);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_LOGFILE_EVENT_List.First: TMYX_LOGFILE_EVENT;
begin
  Result:=TMYX_LOGFILE_EVENT(inherited First);
end;

function TMYX_LOGFILE_EVENT_List.Last: TMYX_LOGFILE_EVENT;
begin
  Result:=TMYX_LOGFILE_EVENT(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_LOGFILE.create(file_size: Int64;block_num: Cardinal);
begin
  inherited create;

  self.Ffile_size:=file_size;
  self.Fblock_num:=block_num;
  self.events:=TMYX_LOGFILE_EVENT_List.Create;
  lines:=TStringList.Create;
end;

constructor TMYX_LOGFILE.create(record_pointer: PMYX_LOGFILE);
var i: integer;
begin

  create(record_pointer.file_size,record_pointer.block_num);

  self.record_pointer:=nil;

  for i:=0 to record_pointer.events_num-1 do
  begin
    events.Add(TMYX_LOGFILE_EVENT.Create(
      PMYX_LOGFILE_EVENT(
        (Integer(record_pointer.events)+sizeof(MYX_LOGFILE_EVENT)*i)
        )
      ));
  end;
  for i:=0 to record_pointer.lines_num-1 do
  begin
    lines.Add(
        PPChar(
          integer(record_pointer.lines)+sizeof(PChar)*i
        )^
      );
  end;
end;

destructor TMYX_LOGFILE.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.events<>nil)then
      FreeMem(record_pointer.events);

  events.Free;

  //Free Mem allocated for List
  if(record_pointer<>nil)then
    if(record_pointer.lines<>nil)then
      FreeMem(record_pointer.lines);

  //Free List
  lines.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_LOGFILE.get_record_pointer: PMYX_LOGFILE;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_LOGFILE));
    record_pointer.events:=nil;
    record_pointer.lines:=nil;
  end;

  record_pointer.file_size:=Int64(Ffile_size);
  record_pointer.block_num:=Cardinal(Fblock_num);
  record_pointer.events_num:=events.Count;
  //if the number of events is now 0, free memory
  if(events.Count=0)then
  begin
    if(record_pointer.events<>nil)then
    begin
      FreeMem(record_pointer.events);
      record_pointer.events:=nil;
    end;
  end
  //make sure enough memory is allocated for all events in the "array"
  else
  begin
    ReallocMem(record_pointer.events,
      events.Count*sizeof(MYX_LOGFILE_EVENT));
  end;

  //Get all records in the "array"
  for i:=0 to events.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_LOGFILE_EVENT(
      Integer(record_pointer.events)+sizeof(MYX_LOGFILE_EVENT)*i
      )^:=(TMYX_LOGFILE_EVENT(events[i]).get_record_pointer)^;
  end;

    record_pointer.lines_num:=lines.Count;
  if(lines.Count=0)then
  begin
    if(record_pointer.lines<>nil)then
    begin
      FreeMem(record_pointer.lines);
      record_pointer.lines:=nil;
    end;
  end
  else
  begin
    ReallocMem(record_pointer.lines,
      lines.Count*sizeof(PChar));
  end;

  for i:=0 to lines.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PPChar(
      Integer(record_pointer.lines)+sizeof(PChar)*i
      )^:=PChar(lines[i]);
  end;  Result:=record_pointer;
end;

procedure TMYX_LOGFILE.Assign(Source: TPersistent);
begin
  if(Source is TMYX_LOGFILE)then
  begin
    with TMYX_LOGFILE(Source) do
    begin
      self.file_size:=file_size;
      self.block_num:=block_num;
      self.events.Assign(events);
      self.lines.Assign(lines);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_LOGFILE_List.GetItem(Index: Integer): TMYX_LOGFILE;
begin
  Result:=TMYX_LOGFILE(inherited GetItem(Index));
end;

procedure TMYX_LOGFILE_List.SetItem(Index: Integer; AObject: TMYX_LOGFILE);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_LOGFILE_List.Add(AObject: TMYX_LOGFILE): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_LOGFILE_List.Extract(Item: TMYX_LOGFILE): TMYX_LOGFILE;
begin
  Result:=TMYX_LOGFILE(inherited Extract(Item));
end;

function TMYX_LOGFILE_List.Remove(AObject: TMYX_LOGFILE): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_LOGFILE_List.IndexOf(AObject: TMYX_LOGFILE): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_LOGFILE_List.Insert(Index: Integer; AObject: TMYX_LOGFILE);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_LOGFILE_List.First: TMYX_LOGFILE;
begin
  Result:=TMYX_LOGFILE(inherited First);
end;

function TMYX_LOGFILE_List.Last: TMYX_LOGFILE;
begin
  Result:=TMYX_LOGFILE(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_TABLE_COMMAND_STATUS.create(table: string;message_type: MYX_COMMAND_MESSAGE_TYPE;message: string);
begin
  inherited create;

  self.Ftable:=table;
  self.Fmessage_type:=message_type;
  self.Fmessage:=message;
end;

constructor TMYX_TABLE_COMMAND_STATUS.create(record_pointer: PMYX_TABLE_COMMAND_STATUS);
begin

  create(Utf8ToAnsi(record_pointer.table),record_pointer.message_type,Utf8ToAnsi(record_pointer.message));

  self.record_pointer:=nil;

end;

destructor TMYX_TABLE_COMMAND_STATUS.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable table
    if(record_pointer.table=nil)then
      FreeMem(record_pointer.table);
    //Free mem for string variable message
    if(record_pointer.message=nil)then
      FreeMem(record_pointer.message);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_TABLE_COMMAND_STATUS.get_record_pointer: PMYX_TABLE_COMMAND_STATUS;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_TABLE_COMMAND_STATUS));
    record_pointer.table:=nil;
    record_pointer.message:=nil;
  end;

  //Allocate memory for string variable table
  if(record_pointer.table=nil)then
    GetMem(record_pointer.table, Length(AnsiToUtf8(Ftable))+1)
  else
    ReallocMem(record_pointer.table, Length(AnsiToUtf8(Ftable))+1);
  StrMove(record_pointer.table, PChar(AnsiToUtf8(Ftable)), Length(AnsiToUtf8(Ftable))+1);

  record_pointer.message_type:=MYX_COMMAND_MESSAGE_TYPE(Fmessage_type);
  //Allocate memory for string variable message
  if(record_pointer.message=nil)then
    GetMem(record_pointer.message, Length(AnsiToUtf8(Fmessage))+1)
  else
    ReallocMem(record_pointer.message, Length(AnsiToUtf8(Fmessage))+1);
  StrMove(record_pointer.message, PChar(AnsiToUtf8(Fmessage)), Length(AnsiToUtf8(Fmessage))+1);

  Result:=record_pointer;
end;

procedure TMYX_TABLE_COMMAND_STATUS.Assign(Source: TPersistent);
begin
  if(Source is TMYX_TABLE_COMMAND_STATUS)then
  begin
    with TMYX_TABLE_COMMAND_STATUS(Source) do
    begin
      self.table:=table;
      self.message_type:=message_type;
      self.message:=message;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_TABLE_COMMAND_STATUS_List.GetItem(Index: Integer): TMYX_TABLE_COMMAND_STATUS;
begin
  Result:=TMYX_TABLE_COMMAND_STATUS(inherited GetItem(Index));
end;

procedure TMYX_TABLE_COMMAND_STATUS_List.SetItem(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUS);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_TABLE_COMMAND_STATUS_List.Add(AObject: TMYX_TABLE_COMMAND_STATUS): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_TABLE_COMMAND_STATUS_List.Extract(Item: TMYX_TABLE_COMMAND_STATUS): TMYX_TABLE_COMMAND_STATUS;
begin
  Result:=TMYX_TABLE_COMMAND_STATUS(inherited Extract(Item));
end;

function TMYX_TABLE_COMMAND_STATUS_List.Remove(AObject: TMYX_TABLE_COMMAND_STATUS): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_TABLE_COMMAND_STATUS_List.IndexOf(AObject: TMYX_TABLE_COMMAND_STATUS): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_TABLE_COMMAND_STATUS_List.Insert(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUS);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_TABLE_COMMAND_STATUS_List.First: TMYX_TABLE_COMMAND_STATUS;
begin
  Result:=TMYX_TABLE_COMMAND_STATUS(inherited First);
end;

function TMYX_TABLE_COMMAND_STATUS_List.Last: TMYX_TABLE_COMMAND_STATUS;
begin
  Result:=TMYX_TABLE_COMMAND_STATUS(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_TABLE_COMMAND_STATUSES.create();
begin
  inherited create;

  self.status:=TMYX_TABLE_COMMAND_STATUS_List.Create;
end;

constructor TMYX_TABLE_COMMAND_STATUSES.create(record_pointer: PMYX_TABLE_COMMAND_STATUSES);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.status_num-1 do
  begin
    status.Add(TMYX_TABLE_COMMAND_STATUS.Create(
      PMYX_TABLE_COMMAND_STATUS(
        (Integer(record_pointer.status)+sizeof(MYX_TABLE_COMMAND_STATUS)*i)
        )
      ));
  end;
end;

destructor TMYX_TABLE_COMMAND_STATUSES.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.status<>nil)then
      FreeMem(record_pointer.status);

  status.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_TABLE_COMMAND_STATUSES.get_record_pointer: PMYX_TABLE_COMMAND_STATUSES;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_TABLE_COMMAND_STATUSES));
    record_pointer.status:=nil;
  end;

  record_pointer.status_num:=status.Count;
  //if the number of status is now 0, free memory
  if(status.Count=0)then
  begin
    if(record_pointer.status<>nil)then
    begin
      FreeMem(record_pointer.status);
      record_pointer.status:=nil;
    end;
  end
  //make sure enough memory is allocated for all status in the "array"
  else
  begin
    ReallocMem(record_pointer.status,
      status.Count*sizeof(MYX_TABLE_COMMAND_STATUS));
  end;

  //Get all records in the "array"
  for i:=0 to status.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_TABLE_COMMAND_STATUS(
      Integer(record_pointer.status)+sizeof(MYX_TABLE_COMMAND_STATUS)*i
      )^:=(TMYX_TABLE_COMMAND_STATUS(status[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_TABLE_COMMAND_STATUSES.Assign(Source: TPersistent);
begin
  if(Source is TMYX_TABLE_COMMAND_STATUSES)then
  begin
    with TMYX_TABLE_COMMAND_STATUSES(Source) do
    begin
      self.status.Assign(status);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_TABLE_COMMAND_STATUSES_List.GetItem(Index: Integer): TMYX_TABLE_COMMAND_STATUSES;
begin
  Result:=TMYX_TABLE_COMMAND_STATUSES(inherited GetItem(Index));
end;

procedure TMYX_TABLE_COMMAND_STATUSES_List.SetItem(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUSES);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_TABLE_COMMAND_STATUSES_List.Add(AObject: TMYX_TABLE_COMMAND_STATUSES): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_TABLE_COMMAND_STATUSES_List.Extract(Item: TMYX_TABLE_COMMAND_STATUSES): TMYX_TABLE_COMMAND_STATUSES;
begin
  Result:=TMYX_TABLE_COMMAND_STATUSES(inherited Extract(Item));
end;

function TMYX_TABLE_COMMAND_STATUSES_List.Remove(AObject: TMYX_TABLE_COMMAND_STATUSES): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_TABLE_COMMAND_STATUSES_List.IndexOf(AObject: TMYX_TABLE_COMMAND_STATUSES): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_TABLE_COMMAND_STATUSES_List.Insert(Index: Integer; AObject: TMYX_TABLE_COMMAND_STATUSES);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_TABLE_COMMAND_STATUSES_List.First: TMYX_TABLE_COMMAND_STATUSES;
begin
  Result:=TMYX_TABLE_COMMAND_STATUSES(inherited First);
end;

function TMYX_TABLE_COMMAND_STATUSES_List.Last: TMYX_TABLE_COMMAND_STATUSES;
begin
  Result:=TMYX_TABLE_COMMAND_STATUSES(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_USER_REPL_HOST.create(name: string);
begin
  inherited create;

  self.Fname:=name;
end;

constructor TMYX_USER_REPL_HOST.create(record_pointer: PMYX_USER_REPL_HOST);
begin

  create(Utf8ToAnsi(record_pointer.name));

  self.record_pointer:=nil;

end;

destructor TMYX_USER_REPL_HOST.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable name
    if(record_pointer.name=nil)then
      FreeMem(record_pointer.name);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_USER_REPL_HOST.get_record_pointer: PMYX_USER_REPL_HOST;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_USER_REPL_HOST));
    record_pointer.name:=nil;
  end;

  //Allocate memory for string variable name
  if(record_pointer.name=nil)then
    GetMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1)
  else
    ReallocMem(record_pointer.name, Length(AnsiToUtf8(Fname))+1);
  StrMove(record_pointer.name, PChar(AnsiToUtf8(Fname)), Length(AnsiToUtf8(Fname))+1);

  Result:=record_pointer;
end;

procedure TMYX_USER_REPL_HOST.Assign(Source: TPersistent);
begin
  if(Source is TMYX_USER_REPL_HOST)then
  begin
    with TMYX_USER_REPL_HOST(Source) do
    begin
      self.name:=name;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_USER_REPL_HOST_List.GetItem(Index: Integer): TMYX_USER_REPL_HOST;
begin
  Result:=TMYX_USER_REPL_HOST(inherited GetItem(Index));
end;

procedure TMYX_USER_REPL_HOST_List.SetItem(Index: Integer; AObject: TMYX_USER_REPL_HOST);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_USER_REPL_HOST_List.Add(AObject: TMYX_USER_REPL_HOST): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_USER_REPL_HOST_List.Extract(Item: TMYX_USER_REPL_HOST): TMYX_USER_REPL_HOST;
begin
  Result:=TMYX_USER_REPL_HOST(inherited Extract(Item));
end;

function TMYX_USER_REPL_HOST_List.Remove(AObject: TMYX_USER_REPL_HOST): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_USER_REPL_HOST_List.IndexOf(AObject: TMYX_USER_REPL_HOST): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_USER_REPL_HOST_List.Insert(Index: Integer; AObject: TMYX_USER_REPL_HOST);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_USER_REPL_HOST_List.First: TMYX_USER_REPL_HOST;
begin
  Result:=TMYX_USER_REPL_HOST(inherited First);
end;

function TMYX_USER_REPL_HOST_List.Last: TMYX_USER_REPL_HOST;
begin
  Result:=TMYX_USER_REPL_HOST(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_USER_REPL_HOSTS.create();
begin
  inherited create;

  self.hosts:=TMYX_USER_REPL_HOST_List.Create;
end;

constructor TMYX_USER_REPL_HOSTS.create(record_pointer: PMYX_USER_REPL_HOSTS);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.hosts_num-1 do
  begin
    hosts.Add(TMYX_USER_REPL_HOST.Create(
      PMYX_USER_REPL_HOST(
        (Integer(record_pointer.hosts)+sizeof(MYX_USER_REPL_HOST)*i)
        )
      ));
  end;
end;

destructor TMYX_USER_REPL_HOSTS.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.hosts<>nil)then
      FreeMem(record_pointer.hosts);

  hosts.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_USER_REPL_HOSTS.get_record_pointer: PMYX_USER_REPL_HOSTS;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_USER_REPL_HOSTS));
    record_pointer.hosts:=nil;
  end;

  record_pointer.hosts_num:=hosts.Count;
  //if the number of hosts is now 0, free memory
  if(hosts.Count=0)then
  begin
    if(record_pointer.hosts<>nil)then
    begin
      FreeMem(record_pointer.hosts);
      record_pointer.hosts:=nil;
    end;
  end
  //make sure enough memory is allocated for all hosts in the "array"
  else
  begin
    ReallocMem(record_pointer.hosts,
      hosts.Count*sizeof(MYX_USER_REPL_HOST));
  end;

  //Get all records in the "array"
  for i:=0 to hosts.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_USER_REPL_HOST(
      Integer(record_pointer.hosts)+sizeof(MYX_USER_REPL_HOST)*i
      )^:=(TMYX_USER_REPL_HOST(hosts[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_USER_REPL_HOSTS.Assign(Source: TPersistent);
begin
  if(Source is TMYX_USER_REPL_HOSTS)then
  begin
    with TMYX_USER_REPL_HOSTS(Source) do
    begin
      self.hosts.Assign(hosts);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_USER_REPL_HOSTS_List.GetItem(Index: Integer): TMYX_USER_REPL_HOSTS;
begin
  Result:=TMYX_USER_REPL_HOSTS(inherited GetItem(Index));
end;

procedure TMYX_USER_REPL_HOSTS_List.SetItem(Index: Integer; AObject: TMYX_USER_REPL_HOSTS);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_USER_REPL_HOSTS_List.Add(AObject: TMYX_USER_REPL_HOSTS): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_USER_REPL_HOSTS_List.Extract(Item: TMYX_USER_REPL_HOSTS): TMYX_USER_REPL_HOSTS;
begin
  Result:=TMYX_USER_REPL_HOSTS(inherited Extract(Item));
end;

function TMYX_USER_REPL_HOSTS_List.Remove(AObject: TMYX_USER_REPL_HOSTS): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_USER_REPL_HOSTS_List.IndexOf(AObject: TMYX_USER_REPL_HOSTS): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_USER_REPL_HOSTS_List.Insert(Index: Integer; AObject: TMYX_USER_REPL_HOSTS);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_USER_REPL_HOSTS_List.First: TMYX_USER_REPL_HOSTS;
begin
  Result:=TMYX_USER_REPL_HOSTS(inherited First);
end;

function TMYX_USER_REPL_HOSTS_List.Last: TMYX_USER_REPL_HOSTS;
begin
  Result:=TMYX_USER_REPL_HOSTS(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_REPL_HOST.create(server_id: Integer;host: string;port: Integer;rpl_recovery_rank: Integer;master_id: Integer;is_master: Integer;binlog_file: string;binlog_pos: string;status: MYX_REPL_HOST_STATUS);
begin
  inherited create;

  self.Fserver_id:=server_id;
  self.Fhost:=host;
  self.Fport:=port;
  self.Frpl_recovery_rank:=rpl_recovery_rank;
  self.Fmaster_id:=master_id;
  self.Fis_master:=is_master;
  self.Fbinlog_file:=binlog_file;
  self.Fbinlog_pos:=binlog_pos;
  self.Fstatus:=status;
end;

constructor TMYX_REPL_HOST.create(record_pointer: PMYX_REPL_HOST);
begin

  create(record_pointer.server_id,Utf8ToAnsi(record_pointer.host),record_pointer.port,record_pointer.rpl_recovery_rank,record_pointer.master_id,record_pointer.is_master,Utf8ToAnsi(record_pointer.binlog_file),Utf8ToAnsi(record_pointer.binlog_pos),record_pointer.status);

  self.record_pointer:=nil;

end;

destructor TMYX_REPL_HOST.destroy;
begin
  if(record_pointer<>nil)then
  begin
    //Free mem for string variable host
    if(record_pointer.host=nil)then
      FreeMem(record_pointer.host);
    //Free mem for string variable binlog_file
    if(record_pointer.binlog_file=nil)then
      FreeMem(record_pointer.binlog_file);
    //Free mem for string variable binlog_pos
    if(record_pointer.binlog_pos=nil)then
      FreeMem(record_pointer.binlog_pos);
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_REPL_HOST.get_record_pointer: PMYX_REPL_HOST;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_REPL_HOST));
    record_pointer.host:=nil;
    record_pointer.binlog_file:=nil;
    record_pointer.binlog_pos:=nil;
  end;

  record_pointer.server_id:=Integer(Fserver_id);
  //Allocate memory for string variable host
  if(record_pointer.host=nil)then
    GetMem(record_pointer.host, Length(AnsiToUtf8(Fhost))+1)
  else
    ReallocMem(record_pointer.host, Length(AnsiToUtf8(Fhost))+1);
  StrMove(record_pointer.host, PChar(AnsiToUtf8(Fhost)), Length(AnsiToUtf8(Fhost))+1);

  record_pointer.port:=Integer(Fport);
  record_pointer.rpl_recovery_rank:=Integer(Frpl_recovery_rank);
  record_pointer.master_id:=Integer(Fmaster_id);
  record_pointer.is_master:=Integer(Fis_master);
  //Allocate memory for string variable binlog_file
  if(record_pointer.binlog_file=nil)then
    GetMem(record_pointer.binlog_file, Length(AnsiToUtf8(Fbinlog_file))+1)
  else
    ReallocMem(record_pointer.binlog_file, Length(AnsiToUtf8(Fbinlog_file))+1);
  StrMove(record_pointer.binlog_file, PChar(AnsiToUtf8(Fbinlog_file)), Length(AnsiToUtf8(Fbinlog_file))+1);

  //Allocate memory for string variable binlog_pos
  if(record_pointer.binlog_pos=nil)then
    GetMem(record_pointer.binlog_pos, Length(AnsiToUtf8(Fbinlog_pos))+1)
  else
    ReallocMem(record_pointer.binlog_pos, Length(AnsiToUtf8(Fbinlog_pos))+1);
  StrMove(record_pointer.binlog_pos, PChar(AnsiToUtf8(Fbinlog_pos)), Length(AnsiToUtf8(Fbinlog_pos))+1);

  record_pointer.status:=MYX_REPL_HOST_STATUS(Fstatus);
  Result:=record_pointer;
end;

procedure TMYX_REPL_HOST.Assign(Source: TPersistent);
begin
  if(Source is TMYX_REPL_HOST)then
  begin
    with TMYX_REPL_HOST(Source) do
    begin
      self.server_id:=server_id;
      self.host:=host;
      self.port:=port;
      self.rpl_recovery_rank:=rpl_recovery_rank;
      self.master_id:=master_id;
      self.is_master:=is_master;
      self.binlog_file:=binlog_file;
      self.binlog_pos:=binlog_pos;
      self.status:=status;
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_REPL_HOST_List.GetItem(Index: Integer): TMYX_REPL_HOST;
begin
  Result:=TMYX_REPL_HOST(inherited GetItem(Index));
end;

procedure TMYX_REPL_HOST_List.SetItem(Index: Integer; AObject: TMYX_REPL_HOST);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_REPL_HOST_List.Add(AObject: TMYX_REPL_HOST): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_REPL_HOST_List.Extract(Item: TMYX_REPL_HOST): TMYX_REPL_HOST;
begin
  Result:=TMYX_REPL_HOST(inherited Extract(Item));
end;

function TMYX_REPL_HOST_List.Remove(AObject: TMYX_REPL_HOST): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_REPL_HOST_List.IndexOf(AObject: TMYX_REPL_HOST): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_REPL_HOST_List.Insert(Index: Integer; AObject: TMYX_REPL_HOST);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_REPL_HOST_List.First: TMYX_REPL_HOST;
begin
  Result:=TMYX_REPL_HOST(inherited First);
end;

function TMYX_REPL_HOST_List.Last: TMYX_REPL_HOST;
begin
  Result:=TMYX_REPL_HOST(inherited Last);
end;


//------------------------------------------------------------------------------

constructor TMYX_REPL_HOSTS.create();
begin
  inherited create;

  self.hosts:=TMYX_REPL_HOST_List.Create;
end;

constructor TMYX_REPL_HOSTS.create(record_pointer: PMYX_REPL_HOSTS);
var i: integer;
begin

  create();

  self.record_pointer:=nil;

  for i:=0 to record_pointer.hosts_num-1 do
  begin
    hosts.Add(TMYX_REPL_HOST.Create(
      PMYX_REPL_HOST(
        (Integer(record_pointer.hosts)+sizeof(MYX_REPL_HOST)*i)
        )
      ));
  end;
end;

destructor TMYX_REPL_HOSTS.destroy;
begin
  if(record_pointer<>nil)then
    if(record_pointer.hosts<>nil)then
      FreeMem(record_pointer.hosts);

  hosts.Free;

  if(record_pointer<>nil)then
  begin
  
    FreeMem(record_pointer);
  end;

  inherited destroy;
end;

function TMYX_REPL_HOSTS.get_record_pointer: PMYX_REPL_HOSTS;
var i: integer;
begin
  if(record_pointer=nil)then
  begin
    GetMem(record_pointer, sizeof(MYX_REPL_HOSTS));
    record_pointer.hosts:=nil;
  end;

  record_pointer.hosts_num:=hosts.Count;
  //if the number of hosts is now 0, free memory
  if(hosts.Count=0)then
  begin
    if(record_pointer.hosts<>nil)then
    begin
      FreeMem(record_pointer.hosts);
      record_pointer.hosts:=nil;
    end;
  end
  //make sure enough memory is allocated for all hosts in the "array"
  else
  begin
    ReallocMem(record_pointer.hosts,
      hosts.Count*sizeof(MYX_REPL_HOST));
  end;

  //Get all records in the "array"
  for i:=0 to hosts.Count-1 do
  begin
    //Copy the record of the element to the "array"
    PMYX_REPL_HOST(
      Integer(record_pointer.hosts)+sizeof(MYX_REPL_HOST)*i
      )^:=(TMYX_REPL_HOST(hosts[i]).get_record_pointer)^;
  end;

    Result:=record_pointer;
end;

procedure TMYX_REPL_HOSTS.Assign(Source: TPersistent);
begin
  if(Source is TMYX_REPL_HOSTS)then
  begin
    with TMYX_REPL_HOSTS(Source) do
    begin
      self.hosts.Assign(hosts);
    end;
  end
  else
    inherited Assign(Source);
end;

function TMYX_REPL_HOSTS_List.GetItem(Index: Integer): TMYX_REPL_HOSTS;
begin
  Result:=TMYX_REPL_HOSTS(inherited GetItem(Index));
end;

procedure TMYX_REPL_HOSTS_List.SetItem(Index: Integer; AObject: TMYX_REPL_HOSTS);
begin
  inherited SetItem(Index, AObject);
end;

function TMYX_REPL_HOSTS_List.Add(AObject: TMYX_REPL_HOSTS): Integer;
begin
  Result:=inherited Add(AObject);
end;

function TMYX_REPL_HOSTS_List.Extract(Item: TMYX_REPL_HOSTS): TMYX_REPL_HOSTS;
begin
  Result:=TMYX_REPL_HOSTS(inherited Extract(Item));
end;

function TMYX_REPL_HOSTS_List.Remove(AObject: TMYX_REPL_HOSTS): Integer;
begin
  Result:=inherited Remove(AObject);
end;

function TMYX_REPL_HOSTS_List.IndexOf(AObject: TMYX_REPL_HOSTS): Integer;
begin
  Result:=inherited IndexOf(AObject);
end;

procedure TMYX_REPL_HOSTS_List.Insert(Index: Integer; AObject: TMYX_REPL_HOSTS);
begin
  inherited Insert(Index, AObject);
end;

function TMYX_REPL_HOSTS_List.First: TMYX_REPL_HOSTS;
begin
  Result:=TMYX_REPL_HOSTS(inherited First);
end;

function TMYX_REPL_HOSTS_List.Last: TMYX_REPL_HOSTS;
begin
  Result:=TMYX_REPL_HOSTS(inherited Last);
end;


//------------------------------------------------------------------------------



end.
